package androidx.appcompat.view.menu;

import G1.b;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import h.AbstractC0225a;
import m.AbstractC0264c;
import m.C0263b;
import m.InterfaceC0259A;
import m.l;
import m.m;
import m.o;
import n.C0334f0;
import n.InterfaceC0343k;
/* loaded from: classes.dex */
public class ActionMenuItemView extends C0334f0 implements InterfaceC0259A, View.OnClickListener, InterfaceC0343k {

    /* renamed from: k  reason: collision with root package name */
    public o f1517k;

    /* renamed from: l  reason: collision with root package name */
    public CharSequence f1518l;

    /* renamed from: m  reason: collision with root package name */
    public Drawable f1519m;

    /* renamed from: n  reason: collision with root package name */
    public l f1520n;

    /* renamed from: o  reason: collision with root package name */
    public C0263b f1521o;

    /* renamed from: p  reason: collision with root package name */
    public AbstractC0264c f1522p;

    /* renamed from: q  reason: collision with root package name */
    public boolean f1523q;

    /* renamed from: r  reason: collision with root package name */
    public boolean f1524r;

    /* renamed from: s  reason: collision with root package name */
    public final int f1525s;

    /* renamed from: t  reason: collision with root package name */
    public int f1526t;

    /* renamed from: u  reason: collision with root package name */
    public final int f1527u;

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        Resources resources = context.getResources();
        this.f1523q = g();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, AbstractC0225a.f2650c, 0, 0);
        this.f1525s = obtainStyledAttributes.getDimensionPixelSize(0, 0);
        obtainStyledAttributes.recycle();
        this.f1527u = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.f1526t = -1;
        setSaveEnabled(false);
    }

    @Override // n.InterfaceC0343k
    public final boolean a() {
        return !TextUtils.isEmpty(getText());
    }

    @Override // m.InterfaceC0259A
    public final void b(o oVar) {
        int i2;
        this.f1517k = oVar;
        setIcon(oVar.getIcon());
        setTitle(oVar.getTitleCondensed());
        setId(oVar.f3431a);
        if (oVar.isVisible()) {
            i2 = 0;
        } else {
            i2 = 8;
        }
        setVisibility(i2);
        setEnabled(oVar.isEnabled());
        if (oVar.hasSubMenu() && this.f1521o == null) {
            this.f1521o = new C0263b(this);
        }
    }

    @Override // n.InterfaceC0343k
    public final boolean c() {
        if ((!TextUtils.isEmpty(getText())) && this.f1517k.getIcon() == null) {
            return true;
        }
        return false;
    }

    public final boolean g() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i2 = configuration.screenWidthDp;
        return i2 >= 480 || (i2 >= 640 && configuration.screenHeightDp >= 480) || configuration.orientation == 2;
    }

    @Override // android.widget.TextView, android.view.View
    public CharSequence getAccessibilityClassName() {
        return Button.class.getName();
    }

    @Override // m.InterfaceC0259A
    public o getItemData() {
        return this.f1517k;
    }

    public final void h() {
        CharSequence charSequence;
        boolean z2 = true;
        boolean z3 = !TextUtils.isEmpty(this.f1518l);
        if (this.f1519m != null && ((this.f1517k.f3454y & 4) != 4 || (!this.f1523q && !this.f1524r))) {
            z2 = false;
        }
        boolean z4 = z3 & z2;
        CharSequence charSequence2 = null;
        if (z4) {
            charSequence = this.f1518l;
        } else {
            charSequence = null;
        }
        setText(charSequence);
        CharSequence charSequence3 = this.f1517k.f3446q;
        if (TextUtils.isEmpty(charSequence3)) {
            if (z4) {
                charSequence3 = null;
            } else {
                charSequence3 = this.f1517k.f3435e;
            }
        }
        setContentDescription(charSequence3);
        CharSequence charSequence4 = this.f1517k.f3447r;
        if (TextUtils.isEmpty(charSequence4)) {
            if (!z4) {
                charSequence2 = this.f1517k.f3435e;
            }
            b.H(this, charSequence2);
            return;
        }
        b.H(this, charSequence4);
    }

    @Override // android.view.View.OnClickListener
    public final void onClick(View view) {
        l lVar = this.f1520n;
        if (lVar != null) {
            lVar.c(this.f1517k);
        }
    }

    @Override // android.widget.TextView, android.view.View
    public final void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f1523q = g();
        h();
    }

    @Override // n.C0334f0, android.widget.TextView, android.view.View
    public final void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        boolean z2 = !TextUtils.isEmpty(getText());
        if (z2 && (i5 = this.f1526t) >= 0) {
            super.setPadding(i5, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i2, i3);
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int measuredWidth = getMeasuredWidth();
        int i6 = this.f1525s;
        if (mode == Integer.MIN_VALUE) {
            i4 = Math.min(size, i6);
        } else {
            i4 = i6;
        }
        if (mode != 1073741824 && i6 > 0 && measuredWidth < i4) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(i4, 1073741824), i3);
        }
        if (!z2 && this.f1519m != null) {
            super.setPadding((getMeasuredWidth() - this.f1519m.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
    }

    @Override // android.widget.TextView, android.view.View
    public final void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState(null);
    }

    @Override // android.widget.TextView, android.view.View
    public final boolean onTouchEvent(MotionEvent motionEvent) {
        C0263b c0263b;
        if (this.f1517k.hasSubMenu() && (c0263b = this.f1521o) != null && c0263b.onTouch(this, motionEvent)) {
            return true;
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setCheckable(boolean z2) {
    }

    public void setChecked(boolean z2) {
    }

    public void setExpandedFormat(boolean z2) {
        if (this.f1524r != z2) {
            this.f1524r = z2;
            o oVar = this.f1517k;
            if (oVar != null) {
                m mVar = oVar.f3443n;
                mVar.f3410k = true;
                mVar.p(true);
            }
        }
    }

    public void setIcon(Drawable drawable) {
        this.f1519m = drawable;
        if (drawable != null) {
            int intrinsicWidth = drawable.getIntrinsicWidth();
            int intrinsicHeight = drawable.getIntrinsicHeight();
            int i2 = this.f1527u;
            if (intrinsicWidth > i2) {
                intrinsicHeight = (int) (intrinsicHeight * (i2 / intrinsicWidth));
                intrinsicWidth = i2;
            }
            if (intrinsicHeight > i2) {
                intrinsicWidth = (int) (intrinsicWidth * (i2 / intrinsicHeight));
            } else {
                i2 = intrinsicHeight;
            }
            drawable.setBounds(0, 0, intrinsicWidth, i2);
        }
        setCompoundDrawables(drawable, null, null, null);
        h();
    }

    public void setItemInvoker(l lVar) {
        this.f1520n = lVar;
    }

    @Override // android.widget.TextView, android.view.View
    public final void setPadding(int i2, int i3, int i4, int i5) {
        this.f1526t = i2;
        super.setPadding(i2, i3, i4, i5);
    }

    public void setPopupCallback(AbstractC0264c abstractC0264c) {
        this.f1522p = abstractC0264c;
    }

    public void setTitle(CharSequence charSequence) {
        this.f1518l = charSequence;
        h();
    }
}
