package androidx.appcompat.view.menu;

import F.U;
import F0.b;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import com.pichillilorenzo.flutter_inappwebview_android.R;
import h.AbstractC0225a;
import java.util.WeakHashMap;
import m.InterfaceC0259A;
import m.m;
import m.o;
/* loaded from: classes.dex */
public class ListMenuItemView extends LinearLayout implements InterfaceC0259A, AbsListView.SelectionBoundsAdjuster {

    /* renamed from: d  reason: collision with root package name */
    public o f1530d;

    /* renamed from: e  reason: collision with root package name */
    public ImageView f1531e;

    /* renamed from: f  reason: collision with root package name */
    public RadioButton f1532f;

    /* renamed from: g  reason: collision with root package name */
    public TextView f1533g;

    /* renamed from: h  reason: collision with root package name */
    public CheckBox f1534h;

    /* renamed from: i  reason: collision with root package name */
    public TextView f1535i;
    public ImageView j;

    /* renamed from: k  reason: collision with root package name */
    public ImageView f1536k;

    /* renamed from: l  reason: collision with root package name */
    public LinearLayout f1537l;

    /* renamed from: m  reason: collision with root package name */
    public final Drawable f1538m;

    /* renamed from: n  reason: collision with root package name */
    public final int f1539n;

    /* renamed from: o  reason: collision with root package name */
    public final Context f1540o;

    /* renamed from: p  reason: collision with root package name */
    public boolean f1541p;

    /* renamed from: q  reason: collision with root package name */
    public final Drawable f1542q;

    /* renamed from: r  reason: collision with root package name */
    public final boolean f1543r;

    /* renamed from: s  reason: collision with root package name */
    public LayoutInflater f1544s;

    /* renamed from: t  reason: collision with root package name */
    public boolean f1545t;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        b Y2 = b.Y(getContext(), attributeSet, AbstractC0225a.f2664r, R.attr.listMenuViewStyle, 0);
        this.f1538m = Y2.L(5);
        TypedArray typedArray = (TypedArray) Y2.f426f;
        this.f1539n = typedArray.getResourceId(1, -1);
        this.f1541p = typedArray.getBoolean(7, false);
        this.f1540o = context;
        this.f1542q = Y2.L(8);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, R.attr.dropDownListViewStyle, 0);
        this.f1543r = obtainStyledAttributes.hasValue(0);
        Y2.b0();
        obtainStyledAttributes.recycle();
    }

    private LayoutInflater getInflater() {
        if (this.f1544s == null) {
            this.f1544s = LayoutInflater.from(getContext());
        }
        return this.f1544s;
    }

    private void setSubMenuArrowVisible(boolean z2) {
        ImageView imageView = this.j;
        if (imageView != null) {
            imageView.setVisibility(z2 ? 0 : 8);
        }
    }

    @Override // android.widget.AbsListView.SelectionBoundsAdjuster
    public final void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.f1536k;
        if (imageView == null || imageView.getVisibility() != 0) {
            return;
        }
        LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f1536k.getLayoutParams();
        rect.top = this.f1536k.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin + rect.top;
    }

    /* JADX WARN: Code restructure failed: missing block: B:26:0x005b, code lost:
        if (r0 == false) goto L56;
     */
    /* JADX WARN: Removed duplicated region for block: B:17:0x003f  */
    /* JADX WARN: Removed duplicated region for block: B:30:0x0061  */
    /* JADX WARN: Removed duplicated region for block: B:58:0x0118  */
    @Override // m.InterfaceC0259A
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void b(o oVar) {
        int i2;
        boolean z2;
        char c2;
        int i3;
        int i4;
        String sb;
        boolean z3;
        char c3;
        char c4;
        this.f1530d = oVar;
        int i5 = 0;
        if (oVar.isVisible()) {
            i2 = 0;
        } else {
            i2 = 8;
        }
        setVisibility(i2);
        setTitle(oVar.f3435e);
        setCheckable(oVar.isCheckable());
        if (oVar.f3443n.o()) {
            if (oVar.f3443n.n()) {
                c4 = oVar.j;
            } else {
                c4 = oVar.f3438h;
            }
            if (c4 != 0) {
                z2 = true;
                oVar.f3443n.n();
                if (z2) {
                    o oVar2 = this.f1530d;
                    if (oVar2.f3443n.o()) {
                        if (oVar2.f3443n.n()) {
                            c3 = oVar2.j;
                        } else {
                            c3 = oVar2.f3438h;
                        }
                        if (c3 != 0) {
                            z3 = true;
                        }
                    }
                    z3 = false;
                }
                i5 = 8;
                if (i5 == 0) {
                    TextView textView = this.f1535i;
                    o oVar3 = this.f1530d;
                    if (oVar3.f3443n.n()) {
                        c2 = oVar3.j;
                    } else {
                        c2 = oVar3.f3438h;
                    }
                    if (c2 == 0) {
                        sb = "";
                    } else {
                        m mVar = oVar3.f3443n;
                        Resources resources = mVar.f3401a.getResources();
                        StringBuilder sb2 = new StringBuilder();
                        if (ViewConfiguration.get(mVar.f3401a).hasPermanentMenuKey()) {
                            sb2.append(resources.getString(R.string.abc_prepend_shortcut_label));
                        }
                        if (mVar.n()) {
                            i3 = oVar3.f3440k;
                        } else {
                            i3 = oVar3.f3439i;
                        }
                        o.c(sb2, i3, 65536, resources.getString(R.string.abc_menu_meta_shortcut_label));
                        o.c(sb2, i3, 4096, resources.getString(R.string.abc_menu_ctrl_shortcut_label));
                        o.c(sb2, i3, 2, resources.getString(R.string.abc_menu_alt_shortcut_label));
                        o.c(sb2, i3, 1, resources.getString(R.string.abc_menu_shift_shortcut_label));
                        o.c(sb2, i3, 4, resources.getString(R.string.abc_menu_sym_shortcut_label));
                        o.c(sb2, i3, 8, resources.getString(R.string.abc_menu_function_shortcut_label));
                        if (c2 != '\b') {
                            if (c2 != '\n') {
                                if (c2 != ' ') {
                                    sb2.append(c2);
                                    sb = sb2.toString();
                                } else {
                                    i4 = R.string.abc_menu_space_shortcut_label;
                                }
                            } else {
                                i4 = R.string.abc_menu_enter_shortcut_label;
                            }
                        } else {
                            i4 = R.string.abc_menu_delete_shortcut_label;
                        }
                        sb2.append(resources.getString(i4));
                        sb = sb2.toString();
                    }
                    textView.setText(sb);
                }
                if (this.f1535i.getVisibility() != i5) {
                    this.f1535i.setVisibility(i5);
                }
                setIcon(oVar.getIcon());
                setEnabled(oVar.isEnabled());
                setSubMenuArrowVisible(oVar.hasSubMenu());
                setContentDescription(oVar.f3446q);
            }
        }
        z2 = false;
        oVar.f3443n.n();
        if (z2) {
        }
        i5 = 8;
        if (i5 == 0) {
        }
        if (this.f1535i.getVisibility() != i5) {
        }
        setIcon(oVar.getIcon());
        setEnabled(oVar.isEnabled());
        setSubMenuArrowVisible(oVar.hasSubMenu());
        setContentDescription(oVar.f3446q);
    }

    @Override // m.InterfaceC0259A
    public o getItemData() {
        return this.f1530d;
    }

    @Override // android.view.View
    public final void onFinishInflate() {
        super.onFinishInflate();
        WeakHashMap weakHashMap = U.f345a;
        setBackground(this.f1538m);
        TextView textView = (TextView) findViewById(R.id.title);
        this.f1533g = textView;
        int i2 = this.f1539n;
        if (i2 != -1) {
            textView.setTextAppearance(this.f1540o, i2);
        }
        this.f1535i = (TextView) findViewById(R.id.shortcut);
        ImageView imageView = (ImageView) findViewById(R.id.submenuarrow);
        this.j = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.f1542q);
        }
        this.f1536k = (ImageView) findViewById(R.id.group_divider);
        this.f1537l = (LinearLayout) findViewById(R.id.content);
    }

    @Override // android.widget.LinearLayout, android.view.View
    public final void onMeasure(int i2, int i3) {
        if (this.f1531e != null && this.f1541p) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.f1531e.getLayoutParams();
            int i4 = layoutParams.height;
            if (i4 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i4;
            }
        }
        super.onMeasure(i2, i3);
    }

    public void setCheckable(boolean z2) {
        CompoundButton compoundButton;
        View view;
        if (!z2 && this.f1532f == null && this.f1534h == null) {
            return;
        }
        if ((this.f1530d.f3453x & 4) != 0) {
            if (this.f1532f == null) {
                RadioButton radioButton = (RadioButton) getInflater().inflate(R.layout.abc_list_menu_item_radio, (ViewGroup) this, false);
                this.f1532f = radioButton;
                LinearLayout linearLayout = this.f1537l;
                if (linearLayout != null) {
                    linearLayout.addView(radioButton, -1);
                } else {
                    addView(radioButton, -1);
                }
            }
            compoundButton = this.f1532f;
            view = this.f1534h;
        } else {
            if (this.f1534h == null) {
                CheckBox checkBox = (CheckBox) getInflater().inflate(R.layout.abc_list_menu_item_checkbox, (ViewGroup) this, false);
                this.f1534h = checkBox;
                LinearLayout linearLayout2 = this.f1537l;
                if (linearLayout2 != null) {
                    linearLayout2.addView(checkBox, -1);
                } else {
                    addView(checkBox, -1);
                }
            }
            compoundButton = this.f1534h;
            view = this.f1532f;
        }
        if (z2) {
            compoundButton.setChecked(this.f1530d.isChecked());
            if (compoundButton.getVisibility() != 0) {
                compoundButton.setVisibility(0);
            }
            if (view != null && view.getVisibility() != 8) {
                view.setVisibility(8);
                return;
            }
            return;
        }
        CheckBox checkBox2 = this.f1534h;
        if (checkBox2 != null) {
            checkBox2.setVisibility(8);
        }
        RadioButton radioButton2 = this.f1532f;
        if (radioButton2 != null) {
            radioButton2.setVisibility(8);
        }
    }

    public void setChecked(boolean z2) {
        CompoundButton compoundButton;
        if ((this.f1530d.f3453x & 4) != 0) {
            if (this.f1532f == null) {
                RadioButton radioButton = (RadioButton) getInflater().inflate(R.layout.abc_list_menu_item_radio, (ViewGroup) this, false);
                this.f1532f = radioButton;
                LinearLayout linearLayout = this.f1537l;
                if (linearLayout != null) {
                    linearLayout.addView(radioButton, -1);
                } else {
                    addView(radioButton, -1);
                }
            }
            compoundButton = this.f1532f;
        } else {
            if (this.f1534h == null) {
                CheckBox checkBox = (CheckBox) getInflater().inflate(R.layout.abc_list_menu_item_checkbox, (ViewGroup) this, false);
                this.f1534h = checkBox;
                LinearLayout linearLayout2 = this.f1537l;
                if (linearLayout2 != null) {
                    linearLayout2.addView(checkBox, -1);
                } else {
                    addView(checkBox, -1);
                }
            }
            compoundButton = this.f1534h;
        }
        compoundButton.setChecked(z2);
    }

    public void setForceShowIcon(boolean z2) {
        this.f1545t = z2;
        this.f1541p = z2;
    }

    public void setGroupDividerEnabled(boolean z2) {
        ImageView imageView = this.f1536k;
        if (imageView != null) {
            imageView.setVisibility((this.f1543r || !z2) ? 8 : 0);
        }
    }

    public void setIcon(Drawable drawable) {
        boolean z2;
        if (!this.f1530d.f3443n.f3418s && !this.f1545t) {
            z2 = false;
        } else {
            z2 = true;
        }
        if (!z2 && !this.f1541p) {
            return;
        }
        ImageView imageView = this.f1531e;
        if (imageView == null && drawable == null && !this.f1541p) {
            return;
        }
        if (imageView == null) {
            ImageView imageView2 = (ImageView) getInflater().inflate(R.layout.abc_list_menu_item_icon, (ViewGroup) this, false);
            this.f1531e = imageView2;
            LinearLayout linearLayout = this.f1537l;
            if (linearLayout != null) {
                linearLayout.addView(imageView2, 0);
            } else {
                addView(imageView2, 0);
            }
        }
        if (drawable == null && !this.f1541p) {
            this.f1531e.setVisibility(8);
            return;
        }
        ImageView imageView3 = this.f1531e;
        if (!z2) {
            drawable = null;
        }
        imageView3.setImageDrawable(drawable);
        if (this.f1531e.getVisibility() != 0) {
            this.f1531e.setVisibility(0);
        }
    }

    public void setTitle(CharSequence charSequence) {
        int i2;
        TextView textView;
        if (charSequence != null) {
            this.f1533g.setText(charSequence);
            if (this.f1533g.getVisibility() == 0) {
                return;
            }
            textView = this.f1533g;
            i2 = 0;
        } else {
            i2 = 8;
            if (this.f1533g.getVisibility() == 8) {
                return;
            }
            textView = this.f1533g;
        }
        textView.setVisibility(i2);
    }
}
