package androidx.appcompat.widget;

import F.U;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.widget.LinearLayout;
import com.pichillilorenzo.flutter_inappwebview_android.R;
import h.AbstractC0225a;
import java.util.WeakHashMap;
/* loaded from: classes.dex */
public class ButtonBarLayout extends LinearLayout {

    /* renamed from: d  reason: collision with root package name */
    public boolean f1613d;

    /* renamed from: e  reason: collision with root package name */
    public boolean f1614e;

    /* renamed from: f  reason: collision with root package name */
    public int f1615f;

    public ButtonBarLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1615f = -1;
        int[] iArr = AbstractC0225a.f2657k;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr);
        U.g(this, context, iArr, attributeSet, obtainStyledAttributes, 0);
        this.f1613d = obtainStyledAttributes.getBoolean(0, true);
        obtainStyledAttributes.recycle();
        if (getOrientation() == 1) {
            setStacked(this.f1613d);
        }
    }

    private void setStacked(boolean z2) {
        if (this.f1614e != z2) {
            if (!z2 || this.f1613d) {
                this.f1614e = z2;
                setOrientation(z2 ? 1 : 0);
                setGravity(z2 ? 8388613 : 80);
                View findViewById = findViewById(R.id.spacer);
                if (findViewById != null) {
                    findViewById.setVisibility(z2 ? 8 : 4);
                }
                for (int childCount = getChildCount() - 2; childCount >= 0; childCount--) {
                    bringChildToFront(getChildAt(childCount));
                }
            }
        }
    }

    @Override // android.widget.LinearLayout, android.view.View
    public final void onMeasure(int i2, int i3) {
        int i4;
        boolean z2;
        int i5;
        int size = View.MeasureSpec.getSize(i2);
        int i6 = 0;
        if (this.f1613d) {
            if (size > this.f1615f && this.f1614e) {
                setStacked(false);
            }
            this.f1615f = size;
        }
        if (!this.f1614e && View.MeasureSpec.getMode(i2) == 1073741824) {
            i4 = View.MeasureSpec.makeMeasureSpec(size, Integer.MIN_VALUE);
            z2 = true;
        } else {
            i4 = i2;
            z2 = false;
        }
        super.onMeasure(i4, i3);
        if (this.f1613d && !this.f1614e && (getMeasuredWidthAndState() & (-16777216)) == 16777216) {
            setStacked(true);
            z2 = true;
        }
        if (z2) {
            super.onMeasure(i2, i3);
        }
        int childCount = getChildCount();
        int i7 = 0;
        while (true) {
            i5 = -1;
            if (i7 < childCount) {
                if (getChildAt(i7).getVisibility() == 0) {
                    break;
                }
                i7++;
            } else {
                i7 = -1;
                break;
            }
        }
        if (i7 >= 0) {
            View childAt = getChildAt(i7);
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight() + getPaddingTop() + layoutParams.topMargin + layoutParams.bottomMargin;
            if (this.f1614e) {
                int i8 = i7 + 1;
                int childCount2 = getChildCount();
                while (true) {
                    if (i8 >= childCount2) {
                        break;
                    } else if (getChildAt(i8).getVisibility() == 0) {
                        i5 = i8;
                        break;
                    } else {
                        i8++;
                    }
                }
                if (i5 >= 0) {
                    i6 = getChildAt(i5).getPaddingTop() + ((int) (getResources().getDisplayMetrics().density * 16.0f)) + measuredHeight;
                } else {
                    i6 = measuredHeight;
                }
            } else {
                i6 = getPaddingBottom() + measuredHeight;
            }
        }
        WeakHashMap weakHashMap = U.f345a;
        if (getMinimumHeight() != i6) {
            setMinimumHeight(i6);
            if (i3 == 0) {
                super.onMeasure(i2, i3);
            }
        }
    }

    public void setAllowStacking(boolean z2) {
        if (this.f1613d != z2) {
            this.f1613d = z2;
            if (!z2 && this.f1614e) {
                setStacked(false);
            }
            requestLayout();
        }
    }
}
