package androidx.appcompat.widget;

import F.U;
import android.app.PendingIntent;
import android.app.SearchableInfo;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.Cursor;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputMethodManager;
import android.widget.AutoCompleteTextView;
import android.widget.ImageView;
import com.pichillilorenzo.flutter_inappwebview_android.R;
import f1.C0219e;
import h.AbstractC0225a;
import java.lang.reflect.Method;
import java.util.WeakHashMap;
import l.InterfaceC0254c;
import n.AbstractC0295E0;
import n.C0297F0;
import n.C0307O;
import n.C0323b1;
import n.C0349n;
import n.InterfaceC0326c1;
import n.InterfaceC0329d1;
import n.InterfaceC0332e1;
import n.View$OnLayoutChangeListenerC0320a1;
import n.X0;
import n.Y0;
import n.Z0;
import n.f1;
import n.g1;
import n.i1;
/* loaded from: classes.dex */
public class SearchView extends AbstractC0295E0 implements InterfaceC0254c {

    /* renamed from: j0  reason: collision with root package name */
    public static final C0219e f1623j0;

    /* renamed from: A  reason: collision with root package name */
    public final View f1624A;

    /* renamed from: B  reason: collision with root package name */
    public g1 f1625B;

    /* renamed from: C  reason: collision with root package name */
    public final Rect f1626C;

    /* renamed from: D  reason: collision with root package name */
    public final Rect f1627D;

    /* renamed from: E  reason: collision with root package name */
    public final int[] f1628E;

    /* renamed from: F  reason: collision with root package name */
    public final int[] f1629F;

    /* renamed from: G  reason: collision with root package name */
    public final ImageView f1630G;

    /* renamed from: H  reason: collision with root package name */
    public final Drawable f1631H;

    /* renamed from: I  reason: collision with root package name */
    public final int f1632I;

    /* renamed from: J  reason: collision with root package name */
    public final int f1633J;

    /* renamed from: K  reason: collision with root package name */
    public final Intent f1634K;

    /* renamed from: L  reason: collision with root package name */
    public final Intent f1635L;

    /* renamed from: M  reason: collision with root package name */
    public final CharSequence f1636M;

    /* renamed from: N  reason: collision with root package name */
    public View.OnFocusChangeListener f1637N;
    public View.OnClickListener O;

    /* renamed from: P  reason: collision with root package name */
    public boolean f1638P;

    /* renamed from: Q  reason: collision with root package name */
    public boolean f1639Q;

    /* renamed from: R  reason: collision with root package name */
    public L.b f1640R;

    /* renamed from: S  reason: collision with root package name */
    public boolean f1641S;

    /* renamed from: T  reason: collision with root package name */
    public CharSequence f1642T;

    /* renamed from: U  reason: collision with root package name */
    public boolean f1643U;

    /* renamed from: V  reason: collision with root package name */
    public boolean f1644V;

    /* renamed from: W  reason: collision with root package name */
    public int f1645W;

    /* renamed from: a0  reason: collision with root package name */
    public boolean f1646a0;

    /* renamed from: b0  reason: collision with root package name */
    public CharSequence f1647b0;

    /* renamed from: c0  reason: collision with root package name */
    public boolean f1648c0;

    /* renamed from: d0  reason: collision with root package name */
    public int f1649d0;

    /* renamed from: e0  reason: collision with root package name */
    public SearchableInfo f1650e0;

    /* renamed from: f0  reason: collision with root package name */
    public Bundle f1651f0;

    /* renamed from: g0  reason: collision with root package name */
    public final Y0 f1652g0;

    /* renamed from: h0  reason: collision with root package name */
    public final Y0 f1653h0;
    public final WeakHashMap i0;

    /* renamed from: s  reason: collision with root package name */
    public final SearchAutoComplete f1654s;

    /* renamed from: t  reason: collision with root package name */
    public final View f1655t;

    /* renamed from: u  reason: collision with root package name */
    public final View f1656u;

    /* renamed from: v  reason: collision with root package name */
    public final View f1657v;

    /* renamed from: w  reason: collision with root package name */
    public final ImageView f1658w;

    /* renamed from: x  reason: collision with root package name */
    public final ImageView f1659x;

    /* renamed from: y  reason: collision with root package name */
    public final ImageView f1660y;

    /* renamed from: z  reason: collision with root package name */
    public final ImageView f1661z;

    /* loaded from: classes.dex */
    public static class SearchAutoComplete extends C0349n {

        /* renamed from: h  reason: collision with root package name */
        public int f1662h;

        /* renamed from: i  reason: collision with root package name */
        public SearchView f1663i;
        public boolean j;

        /* renamed from: k  reason: collision with root package name */
        public final d f1664k;

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.f1664k = new d(this);
            this.f1662h = getThreshold();
        }

        private int getSearchViewTextMinWidthDp() {
            Configuration configuration = getResources().getConfiguration();
            int i2 = configuration.screenWidthDp;
            int i3 = configuration.screenHeightDp;
            if (i2 < 960 || i3 < 720 || configuration.orientation != 2) {
                if (i2 < 600) {
                    return (i2 < 640 || i3 < 480) ? 160 : 192;
                }
                return 192;
            }
            return 256;
        }

        public final void a() {
            if (Build.VERSION.SDK_INT >= 29) {
                c.b(this, 1);
                if (enoughToFilter()) {
                    showDropDown();
                    return;
                }
                return;
            }
            C0219e c0219e = SearchView.f1623j0;
            c0219e.getClass();
            C0219e.a();
            Method method = c0219e.f2640c;
            if (method != null) {
                try {
                    method.invoke(this, Boolean.TRUE);
                } catch (Exception unused) {
                }
            }
        }

        @Override // android.widget.AutoCompleteTextView
        public final boolean enoughToFilter() {
            return this.f1662h <= 0 || super.enoughToFilter();
        }

        @Override // n.C0349n, android.widget.TextView, android.view.View
        public final InputConnection onCreateInputConnection(EditorInfo editorInfo) {
            InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
            if (this.j) {
                d dVar = this.f1664k;
                removeCallbacks(dVar);
                post(dVar);
            }
            return onCreateInputConnection;
        }

        @Override // android.view.View
        public final void onFinishInflate() {
            super.onFinishInflate();
            setMinWidth((int) TypedValue.applyDimension(1, getSearchViewTextMinWidthDp(), getResources().getDisplayMetrics()));
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public final void onFocusChanged(boolean z2, int i2, Rect rect) {
            super.onFocusChanged(z2, i2, rect);
            SearchView searchView = this.f1663i;
            searchView.x(searchView.f1639Q);
            searchView.post(searchView.f1652g0);
            if (searchView.f1654s.hasFocus()) {
                searchView.m();
            }
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public final boolean onKeyPreIme(int i2, KeyEvent keyEvent) {
            if (i2 == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.f1663i.clearFocus();
                        setImeVisibility(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i2, keyEvent);
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public final void onWindowFocusChanged(boolean z2) {
            super.onWindowFocusChanged(z2);
            if (z2 && this.f1663i.hasFocus() && getVisibility() == 0) {
                this.j = true;
                Context context = getContext();
                C0219e c0219e = SearchView.f1623j0;
                if (context.getResources().getConfiguration().orientation == 2) {
                    a();
                }
            }
        }

        @Override // android.widget.AutoCompleteTextView
        public final void performCompletion() {
        }

        @Override // android.widget.AutoCompleteTextView
        public final void replaceText(CharSequence charSequence) {
        }

        public void setImeVisibility(boolean z2) {
            InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
            d dVar = this.f1664k;
            if (!z2) {
                this.j = false;
                removeCallbacks(dVar);
                inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
            } else if (!inputMethodManager.isActive(this)) {
                this.j = true;
            } else {
                this.j = false;
                removeCallbacks(dVar);
                inputMethodManager.showSoftInput(this, 0);
            }
        }

        public void setSearchView(SearchView searchView) {
            this.f1663i = searchView;
        }

        @Override // android.widget.AutoCompleteTextView
        public void setThreshold(int i2) {
            super.setThreshold(i2);
            this.f1662h = i2;
        }
    }

    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Object, f1.e] */
    static {
        C0219e c0219e = null;
        if (Build.VERSION.SDK_INT < 29) {
            ?? obj = new Object();
            obj.f2638a = null;
            obj.f2639b = null;
            obj.f2640c = null;
            C0219e.a();
            try {
                Method declaredMethod = AutoCompleteTextView.class.getDeclaredMethod("doBeforeTextChanged", null);
                obj.f2638a = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException unused) {
            }
            try {
                Method declaredMethod2 = AutoCompleteTextView.class.getDeclaredMethod("doAfterTextChanged", null);
                obj.f2639b = declaredMethod2;
                declaredMethod2.setAccessible(true);
            } catch (NoSuchMethodException unused2) {
            }
            try {
                Method method = AutoCompleteTextView.class.getMethod("ensureImeVisible", Boolean.TYPE);
                obj.f2640c = method;
                method.setAccessible(true);
            } catch (NoSuchMethodException unused3) {
            }
            c0219e = obj;
        }
        f1623j0 = c0219e;
    }

    public SearchView(Context context) {
        this(context, null);
    }

    private int getPreferredHeight() {
        return getContext().getResources().getDimensionPixelSize(R.dimen.abc_search_view_preferred_height);
    }

    private int getPreferredWidth() {
        return getContext().getResources().getDimensionPixelSize(R.dimen.abc_search_view_preferred_width);
    }

    private void setQuery(CharSequence charSequence) {
        SearchAutoComplete searchAutoComplete = this.f1654s;
        searchAutoComplete.setText(charSequence);
        searchAutoComplete.setSelection(TextUtils.isEmpty(charSequence) ? 0 : charSequence.length());
    }

    @Override // l.InterfaceC0254c
    public final void a() {
        if (this.f1648c0) {
            return;
        }
        this.f1648c0 = true;
        SearchAutoComplete searchAutoComplete = this.f1654s;
        int imeOptions = searchAutoComplete.getImeOptions();
        this.f1649d0 = imeOptions;
        searchAutoComplete.setImeOptions(imeOptions | 33554432);
        searchAutoComplete.setText("");
        setIconified(false);
    }

    @Override // android.view.ViewGroup, android.view.View
    public final void clearFocus() {
        this.f1644V = true;
        super.clearFocus();
        SearchAutoComplete searchAutoComplete = this.f1654s;
        searchAutoComplete.clearFocus();
        searchAutoComplete.setImeVisibility(false);
        this.f1644V = false;
    }

    @Override // l.InterfaceC0254c
    public final void d() {
        SearchAutoComplete searchAutoComplete = this.f1654s;
        searchAutoComplete.setText("");
        searchAutoComplete.setSelection(searchAutoComplete.length());
        this.f1647b0 = "";
        clearFocus();
        x(true);
        searchAutoComplete.setImeOptions(this.f1649d0);
        this.f1648c0 = false;
    }

    public int getImeOptions() {
        return this.f1654s.getImeOptions();
    }

    public int getInputType() {
        return this.f1654s.getInputType();
    }

    public int getMaxWidth() {
        return this.f1645W;
    }

    public CharSequence getQuery() {
        return this.f1654s.getText();
    }

    public CharSequence getQueryHint() {
        CharSequence charSequence = this.f1642T;
        if (charSequence != null) {
            return charSequence;
        }
        SearchableInfo searchableInfo = this.f1650e0;
        return (searchableInfo == null || searchableInfo.getHintId() == 0) ? this.f1636M : getContext().getText(this.f1650e0.getHintId());
    }

    public int getSuggestionCommitIconResId() {
        return this.f1633J;
    }

    public int getSuggestionRowLayout() {
        return this.f1632I;
    }

    public L.b getSuggestionsAdapter() {
        return this.f1640R;
    }

    public final Intent k(String str, Uri uri, String str2, String str3) {
        Intent intent = new Intent(str);
        intent.addFlags(268435456);
        if (uri != null) {
            intent.setData(uri);
        }
        intent.putExtra("user_query", this.f1647b0);
        if (str3 != null) {
            intent.putExtra("query", str3);
        }
        if (str2 != null) {
            intent.putExtra("intent_extra_data_key", str2);
        }
        Bundle bundle = this.f1651f0;
        if (bundle != null) {
            intent.putExtra("app_data", bundle);
        }
        intent.setComponent(this.f1650e0.getSearchActivity());
        return intent;
    }

    public final Intent l(Intent intent, SearchableInfo searchableInfo) {
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        Intent intent2 = new Intent("android.intent.action.SEARCH");
        intent2.setComponent(searchActivity);
        PendingIntent activity = PendingIntent.getActivity(getContext(), 0, intent2, 1107296256);
        Bundle bundle = new Bundle();
        Bundle bundle2 = this.f1651f0;
        if (bundle2 != null) {
            bundle.putParcelable("app_data", bundle2);
        }
        Intent intent3 = new Intent(intent);
        Resources resources = getResources();
        String string = searchableInfo.getVoiceLanguageModeId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageModeId()) : "free_form";
        String string2 = searchableInfo.getVoicePromptTextId() != 0 ? resources.getString(searchableInfo.getVoicePromptTextId()) : null;
        String string3 = searchableInfo.getVoiceLanguageId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageId()) : null;
        int voiceMaxResults = searchableInfo.getVoiceMaxResults() != 0 ? searchableInfo.getVoiceMaxResults() : 1;
        intent3.putExtra("android.speech.extra.LANGUAGE_MODEL", string);
        intent3.putExtra("android.speech.extra.PROMPT", string2);
        intent3.putExtra("android.speech.extra.LANGUAGE", string3);
        intent3.putExtra("android.speech.extra.MAX_RESULTS", voiceMaxResults);
        intent3.putExtra("calling_package", searchActivity != null ? searchActivity.flattenToShortString() : null);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT", activity);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT_BUNDLE", bundle);
        return intent3;
    }

    public final void m() {
        int i2 = Build.VERSION.SDK_INT;
        SearchAutoComplete searchAutoComplete = this.f1654s;
        if (i2 >= 29) {
            c.a(searchAutoComplete);
            return;
        }
        C0219e c0219e = f1623j0;
        c0219e.getClass();
        C0219e.a();
        Method method = c0219e.f2638a;
        if (method != null) {
            try {
                method.invoke(searchAutoComplete, null);
            } catch (Exception unused) {
            }
        }
        c0219e.getClass();
        C0219e.a();
        Method method2 = c0219e.f2639b;
        if (method2 != null) {
            try {
                method2.invoke(searchAutoComplete, null);
            } catch (Exception unused2) {
            }
        }
    }

    public final void n() {
        SearchAutoComplete searchAutoComplete = this.f1654s;
        if (!TextUtils.isEmpty(searchAutoComplete.getText())) {
            searchAutoComplete.setText("");
            searchAutoComplete.requestFocus();
            searchAutoComplete.setImeVisibility(true);
        } else if (this.f1638P) {
            clearFocus();
            x(true);
        }
    }

    public final void o(int i2) {
        int i3;
        Uri parse;
        String h2;
        Cursor cursor = this.f1640R.f798f;
        if (cursor != null && cursor.moveToPosition(i2)) {
            Intent intent = null;
            try {
                int i4 = i1.f3792A;
                String h3 = i1.h(cursor, cursor.getColumnIndex("suggest_intent_action"));
                if (h3 == null) {
                    h3 = this.f1650e0.getSuggestIntentAction();
                }
                if (h3 == null) {
                    h3 = "android.intent.action.SEARCH";
                }
                String h4 = i1.h(cursor, cursor.getColumnIndex("suggest_intent_data"));
                if (h4 == null) {
                    h4 = this.f1650e0.getSuggestIntentData();
                }
                if (h4 != null && (h2 = i1.h(cursor, cursor.getColumnIndex("suggest_intent_data_id"))) != null) {
                    h4 = h4 + "/" + Uri.encode(h2);
                }
                if (h4 == null) {
                    parse = null;
                } else {
                    parse = Uri.parse(h4);
                }
                intent = k(h3, parse, i1.h(cursor, cursor.getColumnIndex("suggest_intent_extra_data")), i1.h(cursor, cursor.getColumnIndex("suggest_intent_query")));
            } catch (RuntimeException e2) {
                try {
                    i3 = cursor.getPosition();
                } catch (RuntimeException unused) {
                    i3 = -1;
                }
                Log.w("SearchView", "Search suggestions cursor at row " + i3 + " returned exception.", e2);
            }
            if (intent != null) {
                try {
                    getContext().startActivity(intent);
                } catch (RuntimeException e3) {
                    Log.e("SearchView", "Failed launch activity: " + intent, e3);
                }
            }
        }
        SearchAutoComplete searchAutoComplete = this.f1654s;
        searchAutoComplete.setImeVisibility(false);
        searchAutoComplete.dismissDropDown();
    }

    @Override // android.view.ViewGroup, android.view.View
    public final void onDetachedFromWindow() {
        removeCallbacks(this.f1652g0);
        post(this.f1653h0);
        super.onDetachedFromWindow();
    }

    @Override // n.AbstractC0295E0, android.view.ViewGroup, android.view.View
    public final void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        super.onLayout(z2, i2, i3, i4, i5);
        if (z2) {
            int[] iArr = this.f1628E;
            SearchAutoComplete searchAutoComplete = this.f1654s;
            searchAutoComplete.getLocationInWindow(iArr);
            int[] iArr2 = this.f1629F;
            getLocationInWindow(iArr2);
            int i6 = iArr[1] - iArr2[1];
            int i7 = iArr[0] - iArr2[0];
            Rect rect = this.f1626C;
            rect.set(i7, i6, searchAutoComplete.getWidth() + i7, searchAutoComplete.getHeight() + i6);
            int i8 = rect.left;
            int i9 = rect.right;
            int i10 = i5 - i3;
            Rect rect2 = this.f1627D;
            rect2.set(i8, 0, i9, i10);
            g1 g1Var = this.f1625B;
            if (g1Var == null) {
                g1 g1Var2 = new g1(rect2, rect, searchAutoComplete);
                this.f1625B = g1Var2;
                setTouchDelegate(g1Var2);
                return;
            }
            g1Var.f3779b.set(rect2);
            Rect rect3 = g1Var.f3781d;
            rect3.set(rect2);
            int i11 = -g1Var.f3782e;
            rect3.inset(i11, i11);
            g1Var.f3780c.set(rect);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x001d, code lost:
        if (r0 <= 0) goto L13;
     */
    /* JADX WARN: Removed duplicated region for block: B:24:0x0042  */
    /* JADX WARN: Removed duplicated region for block: B:27:0x004a  */
    @Override // n.AbstractC0295E0, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void onMeasure(int i2, int i3) {
        int i4;
        int mode;
        if (this.f1639Q) {
            super.onMeasure(i2, i3);
            return;
        }
        int mode2 = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode2 != Integer.MIN_VALUE) {
            if (mode2 != 0) {
                if (mode2 == 1073741824) {
                    i4 = this.f1645W;
                }
            } else {
                size = this.f1645W;
                if (size <= 0) {
                    size = getPreferredWidth();
                }
            }
            mode = View.MeasureSpec.getMode(i3);
            int size2 = View.MeasureSpec.getSize(i3);
            if (mode == Integer.MIN_VALUE) {
                if (mode == 0) {
                    size2 = getPreferredHeight();
                }
            } else {
                size2 = Math.min(getPreferredHeight(), size2);
            }
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size2, 1073741824));
        }
        i4 = this.f1645W;
        if (i4 <= 0) {
            i4 = getPreferredWidth();
        }
        size = Math.min(i4, size);
        mode = View.MeasureSpec.getMode(i3);
        int size22 = View.MeasureSpec.getSize(i3);
        if (mode == Integer.MIN_VALUE) {
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size22, 1073741824));
    }

    @Override // android.view.View
    public final void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof f1)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        f1 f1Var = (f1) parcelable;
        super.onRestoreInstanceState(f1Var.f815a);
        x(f1Var.f3776c);
        requestLayout();
    }

    /* JADX WARN: Type inference failed for: r1v0, types: [M.c, android.os.Parcelable, n.f1] */
    @Override // android.view.View
    public final Parcelable onSaveInstanceState() {
        ?? cVar = new M.c(super.onSaveInstanceState());
        cVar.f3776c = this.f1639Q;
        return cVar;
    }

    @Override // android.view.View
    public final void onWindowFocusChanged(boolean z2) {
        super.onWindowFocusChanged(z2);
        post(this.f1652g0);
    }

    public final void p(int i2) {
        String c2;
        Editable text = this.f1654s.getText();
        Cursor cursor = this.f1640R.f798f;
        if (cursor != null) {
            if (cursor.moveToPosition(i2) && (c2 = this.f1640R.c(cursor)) != null) {
                setQuery(c2);
            } else {
                setQuery(text);
            }
        }
    }

    public final void q(CharSequence charSequence) {
        setQuery(charSequence);
    }

    public final void r() {
        SearchAutoComplete searchAutoComplete = this.f1654s;
        Editable text = searchAutoComplete.getText();
        if (text != null && TextUtils.getTrimmedLength(text) > 0) {
            if (this.f1650e0 != null) {
                getContext().startActivity(k("android.intent.action.SEARCH", null, null, text.toString()));
            }
            searchAutoComplete.setImeVisibility(false);
            searchAutoComplete.dismissDropDown();
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    public final boolean requestFocus(int i2, Rect rect) {
        if (this.f1644V || !isFocusable()) {
            return false;
        }
        if (!this.f1639Q) {
            boolean requestFocus = this.f1654s.requestFocus(i2, rect);
            if (requestFocus) {
                x(false);
            }
            return requestFocus;
        }
        return super.requestFocus(i2, rect);
    }

    public final void s() {
        boolean z2 = true;
        boolean z3 = !TextUtils.isEmpty(this.f1654s.getText());
        if (!z3 && (!this.f1638P || this.f1648c0)) {
            z2 = false;
        }
        int i2 = z2 ? 0 : 8;
        ImageView imageView = this.f1660y;
        imageView.setVisibility(i2);
        Drawable drawable = imageView.getDrawable();
        if (drawable != null) {
            drawable.setState(z3 ? ViewGroup.ENABLED_STATE_SET : ViewGroup.EMPTY_STATE_SET);
        }
    }

    public void setAppSearchData(Bundle bundle) {
        this.f1651f0 = bundle;
    }

    public void setIconified(boolean z2) {
        if (z2) {
            n();
            return;
        }
        x(false);
        SearchAutoComplete searchAutoComplete = this.f1654s;
        searchAutoComplete.requestFocus();
        searchAutoComplete.setImeVisibility(true);
        View.OnClickListener onClickListener = this.O;
        if (onClickListener != null) {
            onClickListener.onClick(this);
        }
    }

    public void setIconifiedByDefault(boolean z2) {
        if (this.f1638P == z2) {
            return;
        }
        this.f1638P = z2;
        x(z2);
        u();
    }

    public void setImeOptions(int i2) {
        this.f1654s.setImeOptions(i2);
    }

    public void setInputType(int i2) {
        this.f1654s.setInputType(i2);
    }

    public void setMaxWidth(int i2) {
        this.f1645W = i2;
        requestLayout();
    }

    public void setOnQueryTextFocusChangeListener(View.OnFocusChangeListener onFocusChangeListener) {
        this.f1637N = onFocusChangeListener;
    }

    public void setOnSearchClickListener(View.OnClickListener onClickListener) {
        this.O = onClickListener;
    }

    public void setQueryHint(CharSequence charSequence) {
        this.f1642T = charSequence;
        u();
    }

    public void setQueryRefinementEnabled(boolean z2) {
        int i2;
        this.f1643U = z2;
        L.b bVar = this.f1640R;
        if (bVar instanceof i1) {
            i1 i1Var = (i1) bVar;
            if (z2) {
                i2 = 2;
            } else {
                i2 = 1;
            }
            i1Var.f3801s = i2;
        }
    }

    public void setSearchableInfo(SearchableInfo searchableInfo) {
        int i2;
        this.f1650e0 = searchableInfo;
        Intent intent = null;
        boolean z2 = true;
        SearchAutoComplete searchAutoComplete = this.f1654s;
        if (searchableInfo != null) {
            searchAutoComplete.setThreshold(searchableInfo.getSuggestThreshold());
            searchAutoComplete.setImeOptions(this.f1650e0.getImeOptions());
            int inputType = this.f1650e0.getInputType();
            if ((inputType & 15) == 1) {
                inputType &= -65537;
                if (this.f1650e0.getSuggestAuthority() != null) {
                    inputType |= 589824;
                }
            }
            searchAutoComplete.setInputType(inputType);
            L.b bVar = this.f1640R;
            if (bVar != null) {
                bVar.b(null);
            }
            if (this.f1650e0.getSuggestAuthority() != null) {
                i1 i1Var = new i1(getContext(), this, this.f1650e0, this.i0);
                this.f1640R = i1Var;
                searchAutoComplete.setAdapter(i1Var);
                i1 i1Var2 = (i1) this.f1640R;
                if (this.f1643U) {
                    i2 = 2;
                } else {
                    i2 = 1;
                }
                i1Var2.f3801s = i2;
            }
            u();
        }
        SearchableInfo searchableInfo2 = this.f1650e0;
        boolean z3 = false;
        if (searchableInfo2 != null && searchableInfo2.getVoiceSearchEnabled()) {
            if (this.f1650e0.getVoiceSearchLaunchWebSearch()) {
                intent = this.f1634K;
            } else if (this.f1650e0.getVoiceSearchLaunchRecognizer()) {
                intent = this.f1635L;
            }
            if (intent != null) {
                if (getContext().getPackageManager().resolveActivity(intent, 65536) == null) {
                    z2 = false;
                }
                z3 = z2;
            }
        }
        this.f1646a0 = z3;
        if (z3) {
            searchAutoComplete.setPrivateImeOptions("nm");
        }
        x(this.f1639Q);
    }

    public void setSubmitButtonEnabled(boolean z2) {
        this.f1641S = z2;
        x(this.f1639Q);
    }

    public void setSuggestionsAdapter(L.b bVar) {
        this.f1640R = bVar;
        this.f1654s.setAdapter(bVar);
    }

    public final void t() {
        int[] iArr = this.f1654s.hasFocus() ? ViewGroup.FOCUSED_STATE_SET : ViewGroup.EMPTY_STATE_SET;
        Drawable background = this.f1656u.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.f1657v.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }

    public final void u() {
        Drawable drawable;
        SpannableStringBuilder queryHint = getQueryHint();
        if (queryHint == null) {
            queryHint = "";
        }
        boolean z2 = this.f1638P;
        SearchAutoComplete searchAutoComplete = this.f1654s;
        if (z2 && (drawable = this.f1631H) != null) {
            int textSize = (int) (searchAutoComplete.getTextSize() * 1.25d);
            drawable.setBounds(0, 0, textSize, textSize);
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder("   ");
            spannableStringBuilder.setSpan(new ImageSpan(drawable), 1, 2, 33);
            spannableStringBuilder.append(queryHint);
            queryHint = spannableStringBuilder;
        }
        searchAutoComplete.setHint(queryHint);
    }

    public final void v() {
        int i2;
        if ((this.f1641S || this.f1646a0) && !this.f1639Q && (this.f1659x.getVisibility() == 0 || this.f1661z.getVisibility() == 0)) {
            i2 = 0;
        } else {
            i2 = 8;
        }
        this.f1657v.setVisibility(i2);
    }

    public final void w(boolean z2) {
        int i2;
        boolean z3 = this.f1641S;
        if (z3 && ((z3 || this.f1646a0) && !this.f1639Q && hasFocus() && (z2 || !this.f1646a0))) {
            i2 = 0;
        } else {
            i2 = 8;
        }
        this.f1659x.setVisibility(i2);
    }

    public final void x(boolean z2) {
        int i2;
        int i3;
        int i4;
        this.f1639Q = z2;
        int i5 = 8;
        if (z2) {
            i2 = 0;
        } else {
            i2 = 8;
        }
        boolean isEmpty = TextUtils.isEmpty(this.f1654s.getText());
        this.f1658w.setVisibility(i2);
        w(!isEmpty);
        if (z2) {
            i3 = 8;
        } else {
            i3 = 0;
        }
        this.f1655t.setVisibility(i3);
        ImageView imageView = this.f1630G;
        if (imageView.getDrawable() != null && !this.f1638P) {
            i4 = 0;
        } else {
            i4 = 8;
        }
        imageView.setVisibility(i4);
        s();
        if (this.f1646a0 && !this.f1639Q && isEmpty) {
            this.f1659x.setVisibility(8);
            i5 = 0;
        }
        this.f1661z.setVisibility(i5);
        v();
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.searchViewStyle);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1626C = new Rect();
        this.f1627D = new Rect();
        this.f1628E = new int[2];
        this.f1629F = new int[2];
        this.f1652g0 = new Y0(this, 0);
        this.f1653h0 = new Y0(this, 1);
        this.i0 = new WeakHashMap();
        a aVar = new a(this);
        b bVar = new b(this);
        C0323b1 c0323b1 = new C0323b1(this);
        C0307O c0307o = new C0307O(1, this);
        C0297F0 c0297f0 = new C0297F0(1, this);
        X0 x02 = new X0(this);
        int[] iArr = AbstractC0225a.f2667u;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i2, 0);
        F0.b bVar2 = new F0.b(context, obtainStyledAttributes);
        U.g(this, context, iArr, attributeSet, obtainStyledAttributes, i2);
        LayoutInflater.from(context).inflate(obtainStyledAttributes.getResourceId(9, R.layout.abc_search_view), (ViewGroup) this, true);
        SearchAutoComplete searchAutoComplete = (SearchAutoComplete) findViewById(R.id.search_src_text);
        this.f1654s = searchAutoComplete;
        searchAutoComplete.setSearchView(this);
        this.f1655t = findViewById(R.id.search_edit_frame);
        View findViewById = findViewById(R.id.search_plate);
        this.f1656u = findViewById;
        View findViewById2 = findViewById(R.id.submit_area);
        this.f1657v = findViewById2;
        ImageView imageView = (ImageView) findViewById(R.id.search_button);
        this.f1658w = imageView;
        ImageView imageView2 = (ImageView) findViewById(R.id.search_go_btn);
        this.f1659x = imageView2;
        ImageView imageView3 = (ImageView) findViewById(R.id.search_close_btn);
        this.f1660y = imageView3;
        ImageView imageView4 = (ImageView) findViewById(R.id.search_voice_btn);
        this.f1661z = imageView4;
        ImageView imageView5 = (ImageView) findViewById(R.id.search_mag_icon);
        this.f1630G = imageView5;
        findViewById.setBackground(bVar2.L(10));
        findViewById2.setBackground(bVar2.L(14));
        imageView.setImageDrawable(bVar2.L(13));
        imageView2.setImageDrawable(bVar2.L(7));
        imageView3.setImageDrawable(bVar2.L(4));
        imageView4.setImageDrawable(bVar2.L(16));
        imageView5.setImageDrawable(bVar2.L(13));
        this.f1631H = bVar2.L(12);
        G1.b.H(imageView, getResources().getString(R.string.abc_searchview_description_search));
        this.f1632I = obtainStyledAttributes.getResourceId(15, R.layout.abc_search_dropdown_item_icons_2line);
        this.f1633J = obtainStyledAttributes.getResourceId(5, 0);
        imageView.setOnClickListener(aVar);
        imageView3.setOnClickListener(aVar);
        imageView2.setOnClickListener(aVar);
        imageView4.setOnClickListener(aVar);
        searchAutoComplete.setOnClickListener(aVar);
        searchAutoComplete.addTextChangedListener(x02);
        searchAutoComplete.setOnEditorActionListener(c0323b1);
        searchAutoComplete.setOnItemClickListener(c0307o);
        searchAutoComplete.setOnItemSelectedListener(c0297f0);
        searchAutoComplete.setOnKeyListener(bVar);
        searchAutoComplete.setOnFocusChangeListener(new Z0(this));
        setIconifiedByDefault(obtainStyledAttributes.getBoolean(8, true));
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(1, -1);
        if (dimensionPixelSize != -1) {
            setMaxWidth(dimensionPixelSize);
        }
        this.f1636M = obtainStyledAttributes.getText(6);
        this.f1642T = obtainStyledAttributes.getText(11);
        int i3 = obtainStyledAttributes.getInt(3, -1);
        if (i3 != -1) {
            setImeOptions(i3);
        }
        int i4 = obtainStyledAttributes.getInt(2, -1);
        if (i4 != -1) {
            setInputType(i4);
        }
        setFocusable(obtainStyledAttributes.getBoolean(0, true));
        bVar2.b0();
        Intent intent = new Intent("android.speech.action.WEB_SEARCH");
        this.f1634K = intent;
        intent.addFlags(268435456);
        intent.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        Intent intent2 = new Intent("android.speech.action.RECOGNIZE_SPEECH");
        this.f1635L = intent2;
        intent2.addFlags(268435456);
        View findViewById3 = findViewById(searchAutoComplete.getDropDownAnchor());
        this.f1624A = findViewById3;
        if (findViewById3 != null) {
            findViewById3.addOnLayoutChangeListener(new View$OnLayoutChangeListenerC0320a1(this));
        }
        x(this.f1638P);
        u();
    }

    public void setOnCloseListener(InterfaceC0326c1 interfaceC0326c1) {
    }

    public void setOnQueryTextListener(InterfaceC0329d1 interfaceC0329d1) {
    }

    public void setOnSuggestionListener(InterfaceC0332e1 interfaceC0332e1) {
    }
}
