package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.PorterDuff;
import android.os.Build;
import android.os.Parcelable;
import android.util.Log;
import androidx.versionedparcelable.CustomVersionedParcelable;
import java.lang.reflect.InvocationTargetException;
import z.AbstractC0488c;
/* loaded from: classes.dex */
public class IconCompat extends CustomVersionedParcelable {

    /* renamed from: k  reason: collision with root package name */
    public static final PorterDuff.Mode f1767k = PorterDuff.Mode.SRC_IN;

    /* renamed from: b  reason: collision with root package name */
    public Object f1769b;
    public String j;

    /* renamed from: a  reason: collision with root package name */
    public int f1768a = -1;

    /* renamed from: c  reason: collision with root package name */
    public byte[] f1770c = null;

    /* renamed from: d  reason: collision with root package name */
    public Parcelable f1771d = null;

    /* renamed from: e  reason: collision with root package name */
    public int f1772e = 0;

    /* renamed from: f  reason: collision with root package name */
    public int f1773f = 0;

    /* renamed from: g  reason: collision with root package name */
    public ColorStateList f1774g = null;

    /* renamed from: h  reason: collision with root package name */
    public PorterDuff.Mode f1775h = f1767k;

    /* renamed from: i  reason: collision with root package name */
    public String f1776i = null;

    public final String toString() {
        String str;
        int height;
        int i2;
        if (this.f1768a == -1) {
            return String.valueOf(this.f1769b);
        }
        StringBuilder sb = new StringBuilder("Icon(typ=");
        switch (this.f1768a) {
            case 1:
                str = "BITMAP";
                break;
            case 2:
                str = "RESOURCE";
                break;
            case 3:
                str = "DATA";
                break;
            case 4:
                str = "URI";
                break;
            case 5:
                str = "BITMAP_MASKABLE";
                break;
            case 6:
                str = "URI_MASKABLE";
                break;
            default:
                str = "UNKNOWN";
                break;
        }
        sb.append(str);
        switch (this.f1768a) {
            case 1:
            case 5:
                sb.append(" size=");
                sb.append(((Bitmap) this.f1769b).getWidth());
                sb.append("x");
                height = ((Bitmap) this.f1769b).getHeight();
                sb.append(height);
                break;
            case 2:
                sb.append(" pkg=");
                sb.append(this.j);
                sb.append(" id=");
                int i3 = this.f1768a;
                if (i3 == -1) {
                    int i4 = Build.VERSION.SDK_INT;
                    Object obj = this.f1769b;
                    if (i4 >= 28) {
                        i2 = AbstractC0488c.a(obj);
                    } else {
                        i2 = 0;
                        try {
                            i2 = ((Integer) obj.getClass().getMethod("getResId", null).invoke(obj, null)).intValue();
                        } catch (IllegalAccessException | NoSuchMethodException | InvocationTargetException e2) {
                            Log.e("IconCompat", "Unable to get icon resource", e2);
                        }
                    }
                } else if (i3 == 2) {
                    i2 = this.f1772e;
                } else {
                    throw new IllegalStateException("called getResId() on " + this);
                }
                sb.append(String.format("0x%08x", Integer.valueOf(i2)));
                break;
            case 3:
                sb.append(" len=");
                sb.append(this.f1772e);
                if (this.f1773f != 0) {
                    sb.append(" off=");
                    height = this.f1773f;
                    sb.append(height);
                    break;
                }
                break;
            case 4:
            case 6:
                sb.append(" uri=");
                sb.append(this.f1769b);
                break;
        }
        if (this.f1774g != null) {
            sb.append(" tint=");
            sb.append(this.f1774g);
        }
        if (this.f1775h != f1767k) {
            sb.append(" mode=");
            sb.append(this.f1775h);
        }
        sb.append(")");
        return sb.toString();
    }
}
