package androidx.core.widget;

import A1.y;
import F.A;
import F.AbstractC0029z;
import F.B;
import F.C0006b;
import F.C0013i;
import F.C0022s;
import F.C0025v;
import F.I;
import F.InterfaceC0024u;
import F.U;
import F.X;
import F.Y;
import G1.b;
import K.e;
import K.h;
import K.i;
import K.j;
import K.l;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Build;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.FocusFinder;
import android.view.InputDevice;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.animation.AnimationUtils;
import android.widget.EdgeEffect;
import android.widget.FrameLayout;
import android.widget.OverScroller;
import com.pichillilorenzo.flutter_inappwebview_android.R;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Map;
import java.util.Objects;
import java.util.WeakHashMap;
/* loaded from: classes.dex */
public class NestedScrollView extends FrameLayout implements InterfaceC0024u {

    /* renamed from: E  reason: collision with root package name */
    public static final float f1777E = (float) (Math.log(0.78d) / Math.log(0.9d));

    /* renamed from: F  reason: collision with root package name */
    public static final h f1778F = new C0006b();

    /* renamed from: G  reason: collision with root package name */
    public static final int[] f1779G = {16843130};

    /* renamed from: A  reason: collision with root package name */
    public final C0025v f1780A;

    /* renamed from: B  reason: collision with root package name */
    public final C0022s f1781B;

    /* renamed from: C  reason: collision with root package name */
    public float f1782C;

    /* renamed from: D  reason: collision with root package name */
    public final C0013i f1783D;

    /* renamed from: d  reason: collision with root package name */
    public final float f1784d;

    /* renamed from: e  reason: collision with root package name */
    public long f1785e;

    /* renamed from: f  reason: collision with root package name */
    public final Rect f1786f;

    /* renamed from: g  reason: collision with root package name */
    public final OverScroller f1787g;

    /* renamed from: h  reason: collision with root package name */
    public final EdgeEffect f1788h;

    /* renamed from: i  reason: collision with root package name */
    public final EdgeEffect f1789i;
    public int j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f1790k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f1791l;

    /* renamed from: m  reason: collision with root package name */
    public View f1792m;

    /* renamed from: n  reason: collision with root package name */
    public boolean f1793n;

    /* renamed from: o  reason: collision with root package name */
    public VelocityTracker f1794o;

    /* renamed from: p  reason: collision with root package name */
    public boolean f1795p;

    /* renamed from: q  reason: collision with root package name */
    public boolean f1796q;

    /* renamed from: r  reason: collision with root package name */
    public final int f1797r;

    /* renamed from: s  reason: collision with root package name */
    public final int f1798s;

    /* renamed from: t  reason: collision with root package name */
    public final int f1799t;

    /* renamed from: u  reason: collision with root package name */
    public int f1800u;

    /* renamed from: v  reason: collision with root package name */
    public final int[] f1801v;

    /* renamed from: w  reason: collision with root package name */
    public final int[] f1802w;

    /* renamed from: x  reason: collision with root package name */
    public int f1803x;

    /* renamed from: y  reason: collision with root package name */
    public int f1804y;

    /* renamed from: z  reason: collision with root package name */
    public l f1805z;

    /* JADX WARN: Type inference failed for: r7v2, types: [java.lang.Object, F.v] */
    public NestedScrollView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, R.attr.nestedScrollViewStyle);
        EdgeEffect edgeEffect;
        EdgeEffect edgeEffect2;
        this.f1786f = new Rect();
        this.f1790k = true;
        this.f1791l = false;
        this.f1792m = null;
        this.f1793n = false;
        this.f1796q = true;
        this.f1800u = -1;
        this.f1801v = new int[2];
        this.f1802w = new int[2];
        this.f1783D = new C0013i(getContext(), new y(12, this));
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 31) {
            edgeEffect = e.a(context, attributeSet);
        } else {
            edgeEffect = new EdgeEffect(context);
        }
        this.f1788h = edgeEffect;
        if (i2 >= 31) {
            edgeEffect2 = e.a(context, attributeSet);
        } else {
            edgeEffect2 = new EdgeEffect(context);
        }
        this.f1789i = edgeEffect2;
        this.f1784d = context.getResources().getDisplayMetrics().density * 160.0f * 386.0878f * 0.84f;
        this.f1787g = new OverScroller(getContext());
        setFocusable(true);
        setDescendantFocusability(262144);
        setWillNotDraw(false);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(getContext());
        this.f1797r = viewConfiguration.getScaledTouchSlop();
        this.f1798s = viewConfiguration.getScaledMinimumFlingVelocity();
        this.f1799t = viewConfiguration.getScaledMaximumFlingVelocity();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f1779G, R.attr.nestedScrollViewStyle, 0);
        setFillViewport(obtainStyledAttributes.getBoolean(0, false));
        obtainStyledAttributes.recycle();
        this.f1780A = new Object();
        this.f1781B = new C0022s(this);
        setNestedScrollingEnabled(true);
        U.h(this, f1778F);
    }

    public static boolean g(View view, View view2) {
        if (view == view2) {
            return true;
        }
        ViewParent parent = view.getParent();
        return (parent instanceof ViewGroup) && g((View) parent, view2);
    }

    public final boolean a(int i2) {
        View findFocus = findFocus();
        if (findFocus == this) {
            findFocus = null;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i2);
        int maxScrollAmount = getMaxScrollAmount();
        if (findNextFocus != null && h(findNextFocus, maxScrollAmount, getHeight())) {
            Rect rect = this.f1786f;
            findNextFocus.getDrawingRect(rect);
            offsetDescendantRectToMyCoords(findNextFocus, rect);
            n(b(rect), 0, 1, true);
            findNextFocus.requestFocus(i2);
        } else {
            if (i2 == 33 && getScrollY() < maxScrollAmount) {
                maxScrollAmount = getScrollY();
            } else if (i2 == 130 && getChildCount() > 0) {
                View childAt = getChildAt(0);
                maxScrollAmount = Math.min((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - ((getHeight() + getScrollY()) - getPaddingBottom()), maxScrollAmount);
            }
            if (maxScrollAmount == 0) {
                return false;
            }
            if (i2 != 130) {
                maxScrollAmount = -maxScrollAmount;
            }
            n(maxScrollAmount, 0, 1, true);
        }
        if (findFocus != null && findFocus.isFocused() && (!h(findFocus, 0, getHeight()))) {
            int descendantFocusability = getDescendantFocusability();
            setDescendantFocusability(131072);
            requestFocus();
            setDescendantFocusability(descendantFocusability);
        }
        return true;
    }

    @Override // android.view.ViewGroup
    public final void addView(View view) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view);
    }

    public final int b(Rect rect) {
        if (getChildCount() == 0) {
            return 0;
        }
        int height = getHeight();
        int scrollY = getScrollY();
        int i2 = scrollY + height;
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        if (rect.top > 0) {
            scrollY += verticalFadingEdgeLength;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        int i3 = rect.bottom < (childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin ? i2 - verticalFadingEdgeLength : i2;
        int i4 = rect.bottom;
        if (i4 > i3 && rect.top > scrollY) {
            return Math.min(rect.height() > height ? rect.top - scrollY : rect.bottom - i3, (childAt.getBottom() + layoutParams.bottomMargin) - i2);
        } else if (rect.top >= scrollY || i4 >= i3) {
            return 0;
        } else {
            return Math.max(rect.height() > height ? 0 - (i3 - rect.bottom) : 0 - (scrollY - rect.top), -getScrollY());
        }
    }

    public final boolean c(int i2, int i3, int[] iArr, int[] iArr2, int i4) {
        return this.f1781B.c(i2, i3, iArr, null, i4);
    }

    @Override // android.view.View
    public final int computeHorizontalScrollExtent() {
        return super.computeHorizontalScrollExtent();
    }

    @Override // android.view.View
    public final int computeHorizontalScrollOffset() {
        return super.computeHorizontalScrollOffset();
    }

    @Override // android.view.View
    public final int computeHorizontalScrollRange() {
        return super.computeHorizontalScrollRange();
    }

    /* JADX WARN: Removed duplicated region for block: B:21:0x007f  */
    /* JADX WARN: Removed duplicated region for block: B:23:0x00a4  */
    /* JADX WARN: Removed duplicated region for block: B:37:0x00e1  */
    /* JADX WARN: Removed duplicated region for block: B:38:0x00e5  */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void computeScroll() {
        int round;
        int i2;
        if (this.f1787g.isFinished()) {
            return;
        }
        this.f1787g.computeScrollOffset();
        int currY = this.f1787g.getCurrY();
        int i3 = currY - this.f1804y;
        int height = getHeight();
        EdgeEffect edgeEffect = this.f1789i;
        EdgeEffect edgeEffect2 = this.f1788h;
        if (i3 > 0 && b.v(edgeEffect2) != 0.0f) {
            round = Math.round(b.C(edgeEffect2, ((-i3) * 4.0f) / height, 0.5f) * ((-height) / 4.0f));
            if (round != i3) {
                edgeEffect2.finish();
            }
        } else {
            if (i3 < 0 && b.v(edgeEffect) != 0.0f) {
                float f2 = height;
                round = Math.round(b.C(edgeEffect, (i3 * 4.0f) / f2, 0.5f) * (f2 / 4.0f));
                if (round != i3) {
                    edgeEffect.finish();
                }
            }
            this.f1804y = currY;
            int[] iArr = this.f1802w;
            iArr[1] = 0;
            c(0, i3, iArr, null, 1);
            i2 = i3 - iArr[1];
            int scrollRange = getScrollRange();
            if (i2 != 0) {
                int scrollY = getScrollY();
                k(i2, getScrollX(), scrollY, scrollRange);
                int scrollY2 = getScrollY() - scrollY;
                int i4 = i2 - scrollY2;
                iArr[1] = 0;
                this.f1781B.e(0, scrollY2, 0, i4, this.f1801v, 1, iArr);
                i2 = i4 - iArr[1];
            }
            if (i2 != 0) {
                int overScrollMode = getOverScrollMode();
                if (overScrollMode == 0 || (overScrollMode == 1 && scrollRange > 0)) {
                    if (i2 < 0) {
                        if (edgeEffect2.isFinished()) {
                            edgeEffect2.onAbsorb((int) this.f1787g.getCurrVelocity());
                        }
                    } else if (edgeEffect.isFinished()) {
                        edgeEffect.onAbsorb((int) this.f1787g.getCurrVelocity());
                    }
                }
                this.f1787g.abortAnimation();
                s(1);
            }
            if (this.f1787g.isFinished()) {
                postInvalidateOnAnimation();
                return;
            } else {
                s(1);
                return;
            }
        }
        i3 -= round;
        this.f1804y = currY;
        int[] iArr2 = this.f1802w;
        iArr2[1] = 0;
        c(0, i3, iArr2, null, 1);
        i2 = i3 - iArr2[1];
        int scrollRange2 = getScrollRange();
        if (i2 != 0) {
        }
        if (i2 != 0) {
        }
        if (this.f1787g.isFinished()) {
        }
    }

    @Override // android.view.View
    public final int computeVerticalScrollExtent() {
        return super.computeVerticalScrollExtent();
    }

    @Override // android.view.View
    public final int computeVerticalScrollOffset() {
        return Math.max(0, super.computeVerticalScrollOffset());
    }

    @Override // android.view.View
    public final int computeVerticalScrollRange() {
        int childCount = getChildCount();
        int height = (getHeight() - getPaddingBottom()) - getPaddingTop();
        if (childCount == 0) {
            return height;
        }
        View childAt = getChildAt(0);
        int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin;
        int scrollY = getScrollY();
        int max = Math.max(0, bottom - height);
        return scrollY < 0 ? bottom - scrollY : scrollY > max ? bottom + (scrollY - max) : bottom;
    }

    public final boolean d(KeyEvent keyEvent) {
        this.f1786f.setEmpty();
        int i2 = 130;
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            if (childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin > (getHeight() - getPaddingTop()) - getPaddingBottom()) {
                if (keyEvent.getAction() != 0) {
                    return false;
                }
                int keyCode = keyEvent.getKeyCode();
                if (keyCode != 19) {
                    if (keyCode != 20) {
                        if (keyCode != 62) {
                            if (keyCode != 92) {
                                if (keyCode != 93) {
                                    if (keyCode != 122) {
                                        if (keyCode != 123) {
                                            return false;
                                        }
                                    } else {
                                        l(33);
                                        return false;
                                    }
                                }
                            }
                        } else if (keyEvent.isShiftPressed()) {
                            i2 = 33;
                        }
                        l(i2);
                        return false;
                    } else if (!keyEvent.isAltPressed()) {
                        return a(130);
                    }
                    return f(130);
                } else if (!keyEvent.isAltPressed()) {
                    return a(33);
                }
                return f(33);
            }
        }
        if (!isFocused() || keyEvent.getKeyCode() == 4) {
            return false;
        }
        View findFocus = findFocus();
        if (findFocus == this) {
            findFocus = null;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, 130);
        if (findNextFocus == null || findNextFocus == this || !findNextFocus.requestFocus(130)) {
            return false;
        }
        return true;
    }

    @Override // android.view.ViewGroup, android.view.View
    public final boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || d(keyEvent);
    }

    @Override // android.view.View
    public final boolean dispatchNestedFling(float f2, float f3, boolean z2) {
        return this.f1781B.a(f2, f3, z2);
    }

    @Override // android.view.View
    public final boolean dispatchNestedPreFling(float f2, float f3) {
        return this.f1781B.b(f2, f3);
    }

    @Override // android.view.View
    public final boolean dispatchNestedPreScroll(int i2, int i3, int[] iArr, int[] iArr2) {
        return this.f1781B.c(i2, i3, iArr, iArr2, 0);
    }

    @Override // android.view.View
    public final boolean dispatchNestedScroll(int i2, int i3, int i4, int i5, int[] iArr) {
        return this.f1781B.e(i2, i3, i4, i5, iArr, 0, null);
    }

    @Override // android.view.View
    public final void draw(Canvas canvas) {
        int i2;
        super.draw(canvas);
        int scrollY = getScrollY();
        EdgeEffect edgeEffect = this.f1788h;
        int i3 = 0;
        if (!edgeEffect.isFinished()) {
            int save = canvas.save();
            int width = getWidth();
            int height = getHeight();
            int min = Math.min(0, scrollY);
            if (i.a(this)) {
                width -= getPaddingRight() + getPaddingLeft();
                i2 = getPaddingLeft();
            } else {
                i2 = 0;
            }
            if (i.a(this)) {
                height -= getPaddingBottom() + getPaddingTop();
                min += getPaddingTop();
            }
            canvas.translate(i2, min);
            edgeEffect.setSize(width, height);
            if (edgeEffect.draw(canvas)) {
                postInvalidateOnAnimation();
            }
            canvas.restoreToCount(save);
        }
        EdgeEffect edgeEffect2 = this.f1789i;
        if (edgeEffect2.isFinished()) {
            return;
        }
        int save2 = canvas.save();
        int width2 = getWidth();
        int height2 = getHeight();
        int max = Math.max(getScrollRange(), scrollY) + height2;
        if (i.a(this)) {
            width2 -= getPaddingRight() + getPaddingLeft();
            i3 = getPaddingLeft();
        }
        if (i.a(this)) {
            height2 -= getPaddingBottom() + getPaddingTop();
            max -= getPaddingBottom();
        }
        canvas.translate(i3 - width2, max);
        canvas.rotate(180.0f, width2, 0.0f);
        edgeEffect2.setSize(width2, height2);
        if (edgeEffect2.draw(canvas)) {
            postInvalidateOnAnimation();
        }
        canvas.restoreToCount(save2);
    }

    public final void e(int i2) {
        if (getChildCount() > 0) {
            this.f1787g.fling(getScrollX(), getScrollY(), 0, i2, 0, 0, Integer.MIN_VALUE, Integer.MAX_VALUE, 0, 0);
            q(2, 1);
            this.f1804y = getScrollY();
            postInvalidateOnAnimation();
        }
    }

    public final boolean f(int i2) {
        int childCount;
        boolean z2 = i2 == 130;
        int height = getHeight();
        Rect rect = this.f1786f;
        rect.top = 0;
        rect.bottom = height;
        if (z2 && (childCount = getChildCount()) > 0) {
            View childAt = getChildAt(childCount - 1);
            int paddingBottom = getPaddingBottom() + childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin;
            rect.bottom = paddingBottom;
            rect.top = paddingBottom - height;
        }
        return m(i2, rect.top, rect.bottom);
    }

    @Override // android.view.View
    public float getBottomFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        View childAt = getChildAt(0);
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int bottom = ((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - getScrollY()) - (getHeight() - getPaddingBottom());
        if (bottom < verticalFadingEdgeLength) {
            return bottom / verticalFadingEdgeLength;
        }
        return 1.0f;
    }

    public int getMaxScrollAmount() {
        return (int) (getHeight() * 0.5f);
    }

    @Override // android.view.ViewGroup
    public int getNestedScrollAxes() {
        C0025v c0025v = this.f1780A;
        return c0025v.f420b | c0025v.f419a;
    }

    public int getScrollRange() {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            return Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom()));
        }
        return 0;
    }

    @Override // android.view.View
    public float getTopFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int scrollY = getScrollY();
        if (scrollY < verticalFadingEdgeLength) {
            return scrollY / verticalFadingEdgeLength;
        }
        return 1.0f;
    }

    public float getVerticalScrollFactorCompat() {
        if (this.f1782C == 0.0f) {
            TypedValue typedValue = new TypedValue();
            Context context = getContext();
            if (!context.getTheme().resolveAttribute(16842829, typedValue, true)) {
                throw new IllegalStateException("Expected theme to define listPreferredItemHeight.");
            }
            this.f1782C = typedValue.getDimension(context.getResources().getDisplayMetrics());
        }
        return this.f1782C;
    }

    public final boolean h(View view, int i2, int i3) {
        Rect rect = this.f1786f;
        view.getDrawingRect(rect);
        offsetDescendantRectToMyCoords(view, rect);
        return rect.bottom + i2 >= getScrollY() && rect.top - i2 <= getScrollY() + i3;
    }

    @Override // android.view.View
    public final boolean hasNestedScrollingParent() {
        return this.f1781B.g(0);
    }

    public final void i(int i2, int i3, int[] iArr) {
        int scrollY = getScrollY();
        scrollBy(0, i2);
        int scrollY2 = getScrollY() - scrollY;
        if (iArr != null) {
            iArr[1] = iArr[1] + scrollY2;
        }
        this.f1781B.d(scrollY2, i2 - scrollY2, i3, iArr);
    }

    @Override // android.view.View
    public final boolean isNestedScrollingEnabled() {
        return this.f1781B.f415d;
    }

    public final void j(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.f1800u) {
            int i2 = actionIndex == 0 ? 1 : 0;
            this.j = (int) motionEvent.getY(i2);
            this.f1800u = motionEvent.getPointerId(i2);
            VelocityTracker velocityTracker = this.f1794o;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    public final boolean k(int i2, int i3, int i4, int i5) {
        boolean z2;
        boolean z3;
        getOverScrollMode();
        super.computeHorizontalScrollRange();
        super.computeHorizontalScrollExtent();
        computeVerticalScrollRange();
        super.computeVerticalScrollExtent();
        int i6 = i4 + i2;
        if (i3 > 0 || i3 < 0) {
            i3 = 0;
            z2 = true;
        } else {
            z2 = false;
        }
        if (i6 <= i5) {
            if (i6 < 0) {
                i5 = 0;
            } else {
                i5 = i6;
                z3 = false;
                if (z3 && !this.f1781B.g(1)) {
                    this.f1787g.springBack(i3, i5, 0, 0, 0, getScrollRange());
                }
                super.scrollTo(i3, i5);
                if (z2 && !z3) {
                    return false;
                }
            }
        }
        z3 = true;
        if (z3) {
            this.f1787g.springBack(i3, i5, 0, 0, 0, getScrollRange());
        }
        super.scrollTo(i3, i5);
        return z2 ? true : true;
    }

    /* JADX WARN: Code restructure failed: missing block: B:14:0x0043, code lost:
        if (r0 < 0) goto L11;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void l(int i2) {
        boolean z2;
        int i3 = 0;
        if (i2 == 130) {
            z2 = true;
        } else {
            z2 = false;
        }
        int height = getHeight();
        Rect rect = this.f1786f;
        if (z2) {
            rect.top = getScrollY() + height;
            int childCount = getChildCount();
            if (childCount > 0) {
                View childAt = getChildAt(childCount - 1);
                int paddingBottom = getPaddingBottom() + childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin;
                if (rect.top + height > paddingBottom) {
                    i3 = paddingBottom - height;
                    rect.top = i3;
                }
            }
        } else {
            int scrollY = getScrollY() - height;
            rect.top = scrollY;
        }
        int i4 = rect.top;
        int i5 = height + i4;
        rect.bottom = i5;
        m(i2, i4, i5);
    }

    public final boolean m(int i2, int i3, int i4) {
        boolean z2;
        int i5;
        boolean z3;
        boolean z4;
        boolean z5;
        int height = getHeight();
        int scrollY = getScrollY();
        int i6 = height + scrollY;
        if (i2 == 33) {
            z2 = true;
        } else {
            z2 = false;
        }
        ArrayList<View> focusables = getFocusables(2);
        int size = focusables.size();
        View view = null;
        boolean z6 = false;
        for (int i7 = 0; i7 < size; i7++) {
            View view2 = focusables.get(i7);
            int top = view2.getTop();
            int bottom = view2.getBottom();
            if (i3 < bottom && top < i4) {
                if (i3 < top && bottom < i4) {
                    z4 = true;
                } else {
                    z4 = false;
                }
                if (view == null) {
                    view = view2;
                    z6 = z4;
                } else {
                    if ((z2 && top < view.getTop()) || (!z2 && bottom > view.getBottom())) {
                        z5 = true;
                    } else {
                        z5 = false;
                    }
                    if (z6) {
                        if (z4) {
                            if (!z5) {
                            }
                            view = view2;
                        }
                    } else if (z4) {
                        view = view2;
                        z6 = true;
                    } else {
                        if (!z5) {
                        }
                        view = view2;
                    }
                }
            }
        }
        if (view == null) {
            view = this;
        }
        if (i3 >= scrollY && i4 <= i6) {
            z3 = false;
        } else {
            if (z2) {
                i5 = i3 - scrollY;
            } else {
                i5 = i4 - i6;
            }
            n(i5, 0, 1, true);
            z3 = true;
        }
        if (view != findFocus()) {
            view.requestFocus(i2);
        }
        return z3;
    }

    @Override // android.view.ViewGroup
    public final void measureChild(View view, int i2, int i3) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        view.measure(ViewGroup.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft(), layoutParams.width), View.MeasureSpec.makeMeasureSpec(0, 0));
    }

    @Override // android.view.ViewGroup
    public final void measureChildWithMargins(View view, int i2, int i3, int i4, int i5) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        view.measure(ViewGroup.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i3, marginLayoutParams.width), View.MeasureSpec.makeMeasureSpec(marginLayoutParams.topMargin + marginLayoutParams.bottomMargin, 0));
    }

    public final int n(int i2, int i3, int i4, boolean z2) {
        int i5;
        int i6;
        boolean z3;
        boolean z4;
        boolean z5;
        VelocityTracker velocityTracker;
        if (i4 == 1) {
            q(2, i4);
        }
        boolean c2 = this.f1781B.c(0, i2, this.f1802w, this.f1801v, i4);
        int[] iArr = this.f1802w;
        int[] iArr2 = this.f1801v;
        if (c2) {
            i5 = i2 - iArr[1];
            i6 = iArr2[1];
        } else {
            i5 = i2;
            i6 = 0;
        }
        int scrollY = getScrollY();
        int scrollRange = getScrollRange();
        int overScrollMode = getOverScrollMode();
        if ((overScrollMode == 0 || (overScrollMode == 1 && getScrollRange() > 0)) && !z2) {
            z3 = true;
        } else {
            z3 = false;
        }
        if (k(i5, 0, scrollY, scrollRange) && !this.f1781B.g(i4)) {
            z4 = true;
        } else {
            z4 = false;
        }
        int scrollY2 = getScrollY() - scrollY;
        iArr[1] = 0;
        this.f1781B.e(0, scrollY2, 0, i5 - scrollY2, this.f1801v, i4, iArr);
        int i7 = i6 + iArr2[1];
        int i8 = i5 - iArr[1];
        int i9 = scrollY + i8;
        EdgeEffect edgeEffect = this.f1789i;
        EdgeEffect edgeEffect2 = this.f1788h;
        if (i9 < 0) {
            if (z3) {
                b.C(edgeEffect2, (-i8) / getHeight(), i3 / getWidth());
                if (!edgeEffect.isFinished()) {
                    edgeEffect.onRelease();
                }
            }
        } else if (i9 > scrollRange && z3) {
            b.C(edgeEffect, i8 / getHeight(), 1.0f - (i3 / getWidth()));
            if (!edgeEffect2.isFinished()) {
                edgeEffect2.onRelease();
            }
        }
        if (edgeEffect2.isFinished() && edgeEffect.isFinished()) {
            z5 = z4;
        } else {
            postInvalidateOnAnimation();
            z5 = false;
        }
        if (z5 && i4 == 0 && (velocityTracker = this.f1794o) != null) {
            velocityTracker.clear();
        }
        if (i4 == 1) {
            s(i4);
            edgeEffect2.onRelease();
            edgeEffect.onRelease();
        }
        return i7;
    }

    public final boolean o(EdgeEffect edgeEffect, int i2) {
        if (i2 > 0) {
            return true;
        }
        float v2 = b.v(edgeEffect) * getHeight();
        float f2 = this.f1784d * 0.015f;
        double log = Math.log((Math.abs(-i2) * 0.35f) / f2);
        double d2 = f1777E;
        if (((float) (Math.exp((d2 / (d2 - 1.0d)) * log) * f2)) < v2) {
            return true;
        }
        return false;
    }

    @Override // android.view.ViewGroup, android.view.View
    public final void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f1791l = false;
    }

    /* JADX WARN: Code restructure failed: missing block: B:51:0x00d4, code lost:
        if (r7 >= 0) goto L129;
     */
    /* JADX WARN: Removed duplicated region for block: B:146:0x02b6  */
    /* JADX WARN: Removed duplicated region for block: B:148:0x02be  */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final boolean onGenericMotionEvent(MotionEvent motionEvent) {
        float f2;
        int i2;
        int i3;
        int i4;
        int scaledMaximumFlingVelocity;
        int dimensionPixelSize;
        char c2;
        boolean z2;
        VelocityTracker velocityTracker;
        float f3;
        int i5;
        float f4;
        long j;
        float sqrt;
        int i6;
        VelocityTracker velocityTracker2;
        int i7;
        float f5;
        float abs;
        if (motionEvent.getAction() != 8 || this.f1793n) {
            return false;
        }
        if ((motionEvent.getSource() & 2) == 2) {
            i2 = 9;
            f2 = motionEvent.getAxisValue(9);
            i3 = (int) motionEvent.getX();
        } else if ((motionEvent.getSource() & 4194304) == 4194304) {
            f2 = motionEvent.getAxisValue(26);
            i3 = getWidth() / 2;
            i2 = 26;
        } else {
            f2 = 0.0f;
            i2 = 0;
            i3 = 0;
        }
        if (f2 != 0.0f) {
            n(-((int) (getVerticalScrollFactorCompat() * f2)), i3, 1, (motionEvent.getSource() & 8194) == 8194);
            if (i2 != 0) {
                C0013i c0013i = this.f1783D;
                c0013i.getClass();
                int source = motionEvent.getSource();
                int deviceId = motionEvent.getDeviceId();
                int i8 = c0013i.f384h;
                int[] iArr = c0013i.j;
                if (i8 == source && c0013i.f385i == deviceId && c0013i.f383g == i2) {
                    c2 = 0;
                    z2 = false;
                } else {
                    c0013i.f379c.getClass();
                    Context context = c0013i.f377a;
                    ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
                    int deviceId2 = motionEvent.getDeviceId();
                    int source2 = motionEvent.getSource();
                    int i9 = Build.VERSION.SDK_INT;
                    if (i9 >= 34) {
                        Method method = Y.f350a;
                        i4 = X.b(viewConfiguration, deviceId2, i2, source2);
                    } else {
                        Method method2 = Y.f350a;
                        InputDevice device = InputDevice.getDevice(deviceId2);
                        if (device != null && device.getMotionRange(i2, source2) != null) {
                            Resources resources = context.getResources();
                            int identifier = (source2 == 4194304 && i2 == 26) ? resources.getIdentifier("config_viewMinRotaryEncoderFlingVelocity", "dimen", "android") : -1;
                            Objects.requireNonNull(viewConfiguration);
                            if (identifier == -1) {
                                i4 = viewConfiguration.getScaledMinimumFlingVelocity();
                            } else if (identifier != 0) {
                                i4 = resources.getDimensionPixelSize(identifier);
                            }
                        }
                        i4 = Integer.MAX_VALUE;
                    }
                    iArr[0] = i4;
                    int deviceId3 = motionEvent.getDeviceId();
                    int source3 = motionEvent.getSource();
                    if (i9 >= 34) {
                        scaledMaximumFlingVelocity = X.a(viewConfiguration, deviceId3, i2, source3);
                    } else {
                        InputDevice device2 = InputDevice.getDevice(deviceId3);
                        int i10 = Integer.MIN_VALUE;
                        if ((device2 == null || device2.getMotionRange(i2, source3) == null) ? false : true) {
                            Resources resources2 = context.getResources();
                            int identifier2 = (source3 == 4194304 && i2 == 26) ? resources2.getIdentifier("config_viewMaxRotaryEncoderFlingVelocity", "dimen", "android") : -1;
                            Objects.requireNonNull(viewConfiguration);
                            if (identifier2 == -1) {
                                scaledMaximumFlingVelocity = viewConfiguration.getScaledMaximumFlingVelocity();
                            } else if (identifier2 != 0 && (dimensionPixelSize = resources2.getDimensionPixelSize(identifier2)) >= 0) {
                                i10 = dimensionPixelSize;
                            }
                        }
                        scaledMaximumFlingVelocity = i10;
                    }
                    iArr[1] = scaledMaximumFlingVelocity;
                    c0013i.f384h = source;
                    c0013i.f385i = deviceId;
                    c0013i.f383g = i2;
                    c2 = 0;
                    z2 = true;
                }
                if (iArr[c2] == Integer.MAX_VALUE) {
                    VelocityTracker velocityTracker3 = c0013i.f381e;
                    if (velocityTracker3 != null) {
                        velocityTracker3.recycle();
                        c0013i.f381e = null;
                    }
                } else {
                    if (c0013i.f381e == null) {
                        c0013i.f381e = VelocityTracker.obtain();
                    }
                    VelocityTracker velocityTracker4 = c0013i.f381e;
                    c0013i.f380d.getClass();
                    Map map = A.f325a;
                    velocityTracker4.addMovement(motionEvent);
                    if (Build.VERSION.SDK_INT < 34 && motionEvent.getSource() == 4194304) {
                        Map map2 = A.f325a;
                        if (!map2.containsKey(velocityTracker4)) {
                            map2.put(velocityTracker4, new B());
                        }
                        B b2 = (B) map2.get(velocityTracker4);
                        b2.getClass();
                        long eventTime = motionEvent.getEventTime();
                        int i11 = b2.f329d;
                        long[] jArr = b2.f327b;
                        if (i11 != 0 && eventTime - jArr[b2.f330e] > 40) {
                            b2.f329d = 0;
                            b2.f328c = 0.0f;
                        }
                        int i12 = (b2.f330e + 1) % 20;
                        b2.f330e = i12;
                        int i13 = b2.f329d;
                        if (i13 != 20) {
                            b2.f329d = i13 + 1;
                        }
                        b2.f326a[i12] = motionEvent.getAxisValue(26);
                        jArr[b2.f330e] = eventTime;
                    }
                    velocityTracker4.computeCurrentVelocity(1000, Float.MAX_VALUE);
                    B b3 = (B) A.f325a.get(velocityTracker4);
                    if (b3 != null) {
                        int i14 = b3.f329d;
                        if (i14 >= 2) {
                            int i15 = b3.f330e;
                            int i16 = ((i15 + 20) - (i14 - 1)) % 20;
                            long[] jArr2 = b3.f327b;
                            long j2 = jArr2[i15];
                            while (true) {
                                j = jArr2[i16];
                                if (j2 - j <= 100) {
                                    break;
                                }
                                b3.f329d--;
                                i16 = (i16 + 1) % 20;
                            }
                            int i17 = b3.f329d;
                            if (i17 >= 2) {
                                float[] fArr = b3.f326a;
                                if (i17 == 2) {
                                    int i18 = (i16 + 1) % 20;
                                    long j3 = jArr2[i18];
                                    if (j != j3) {
                                        velocityTracker = velocityTracker4;
                                        i6 = 1000;
                                        sqrt = fArr[i18] / ((float) (j3 - j));
                                    }
                                } else {
                                    float f6 = 0.0f;
                                    int i19 = 0;
                                    int i20 = 0;
                                    while (true) {
                                        if (i19 >= b3.f329d - 1) {
                                            break;
                                        }
                                        int i21 = i19 + i16;
                                        long j4 = jArr2[i21 % 20];
                                        int i22 = (i21 + 1) % 20;
                                        if (jArr2[i22] == j4) {
                                            velocityTracker2 = velocityTracker4;
                                            i7 = 1;
                                        } else {
                                            i20++;
                                            velocityTracker2 = velocityTracker4;
                                            float sqrt2 = (f6 < 0.0f ? -1.0f : 1.0f) * ((float) Math.sqrt(Math.abs(f6) * 2.0f));
                                            float f7 = fArr[i22] / ((float) (jArr2[i22] - j4));
                                            float abs2 = (Math.abs(f7) * (f7 - sqrt2)) + f6;
                                            i7 = 1;
                                            if (i20 == 1) {
                                                abs2 *= 0.5f;
                                            }
                                            f6 = abs2;
                                        }
                                        i19 += i7;
                                        velocityTracker4 = velocityTracker2;
                                    }
                                    velocityTracker = velocityTracker4;
                                    sqrt = ((float) Math.sqrt(Math.abs(f6) * 2.0f)) * (f6 < 0.0f ? -1.0f : 1.0f);
                                    i6 = 1000;
                                }
                                f5 = sqrt * i6;
                                b3.f328c = f5;
                                if (f5 >= (-Math.abs(Float.MAX_VALUE))) {
                                    abs = -Math.abs(Float.MAX_VALUE);
                                } else if (b3.f328c > Math.abs(Float.MAX_VALUE)) {
                                    abs = Math.abs(Float.MAX_VALUE);
                                }
                                b3.f328c = abs;
                            }
                        }
                        velocityTracker = velocityTracker4;
                        i6 = 1000;
                        sqrt = 0.0f;
                        f5 = sqrt * i6;
                        b3.f328c = f5;
                        if (f5 >= (-Math.abs(Float.MAX_VALUE))) {
                        }
                        b3.f328c = abs;
                    } else {
                        velocityTracker = velocityTracker4;
                    }
                    if (Build.VERSION.SDK_INT >= 34) {
                        f3 = AbstractC0029z.a(velocityTracker, i2);
                    } else {
                        VelocityTracker velocityTracker5 = velocityTracker;
                        if (i2 == 0) {
                            f3 = velocityTracker5.getXVelocity();
                        } else if (i2 == 1) {
                            f3 = velocityTracker5.getYVelocity();
                        } else {
                            B b4 = (B) A.f325a.get(velocityTracker5);
                            f3 = (b4 == null || i2 != 26) ? 0.0f : b4.f328c;
                        }
                    }
                    y yVar = c0013i.f378b;
                    float f8 = f3 * (-((NestedScrollView) yVar.f57e).getVerticalScrollFactorCompat());
                    float signum = Math.signum(f8);
                    NestedScrollView nestedScrollView = (NestedScrollView) yVar.f57e;
                    if (z2 || (signum != Math.signum(c0013i.f382f) && signum != 0.0f)) {
                        nestedScrollView.f1787g.abortAnimation();
                    }
                    if (Math.abs(f8) >= iArr[0]) {
                        float max = Math.max(-i5, Math.min(f8, iArr[1]));
                        if (max == 0.0f) {
                            f4 = 0.0f;
                        } else {
                            nestedScrollView.f1787g.abortAnimation();
                            nestedScrollView.e((int) max);
                            f4 = max;
                        }
                        c0013i.f382f = f4;
                    }
                }
                return true;
            }
            return true;
        }
        return false;
    }

    @Override // android.view.ViewGroup
    public final boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        boolean z2 = true;
        if (action == 2 && this.f1793n) {
            return true;
        }
        int i2 = action & 255;
        if (i2 != 0) {
            if (i2 != 1) {
                if (i2 != 2) {
                    if (i2 != 3) {
                        if (i2 == 6) {
                            j(motionEvent);
                        }
                    }
                } else {
                    int i3 = this.f1800u;
                    if (i3 != -1) {
                        int findPointerIndex = motionEvent.findPointerIndex(i3);
                        if (findPointerIndex == -1) {
                            Log.e("NestedScrollView", "Invalid pointerId=" + i3 + " in onInterceptTouchEvent");
                        } else {
                            int y2 = (int) motionEvent.getY(findPointerIndex);
                            if (Math.abs(y2 - this.j) > this.f1797r && (2 & getNestedScrollAxes()) == 0) {
                                this.f1793n = true;
                                this.j = y2;
                                if (this.f1794o == null) {
                                    this.f1794o = VelocityTracker.obtain();
                                }
                                this.f1794o.addMovement(motionEvent);
                                this.f1803x = 0;
                                ViewParent parent = getParent();
                                if (parent != null) {
                                    parent.requestDisallowInterceptTouchEvent(true);
                                }
                            }
                        }
                    }
                }
            }
            this.f1793n = false;
            this.f1800u = -1;
            VelocityTracker velocityTracker = this.f1794o;
            if (velocityTracker != null) {
                velocityTracker.recycle();
                this.f1794o = null;
            }
            if (this.f1787g.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                postInvalidateOnAnimation();
            }
            s(0);
        } else {
            int y3 = (int) motionEvent.getY();
            int x2 = (int) motionEvent.getX();
            if (getChildCount() > 0) {
                int scrollY = getScrollY();
                View childAt = getChildAt(0);
                if (y3 >= childAt.getTop() - scrollY && y3 < childAt.getBottom() - scrollY && x2 >= childAt.getLeft() && x2 < childAt.getRight()) {
                    this.j = y3;
                    this.f1800u = motionEvent.getPointerId(0);
                    VelocityTracker velocityTracker2 = this.f1794o;
                    if (velocityTracker2 == null) {
                        this.f1794o = VelocityTracker.obtain();
                    } else {
                        velocityTracker2.clear();
                    }
                    this.f1794o.addMovement(motionEvent);
                    this.f1787g.computeScrollOffset();
                    if (!r(motionEvent) && this.f1787g.isFinished()) {
                        z2 = false;
                    }
                    this.f1793n = z2;
                    q(2, 0);
                }
            }
            if (!r(motionEvent) && this.f1787g.isFinished()) {
                z2 = false;
            }
            this.f1793n = z2;
            VelocityTracker velocityTracker3 = this.f1794o;
            if (velocityTracker3 != null) {
                velocityTracker3.recycle();
                this.f1794o = null;
            }
        }
        return this.f1793n;
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
    public final void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        super.onLayout(z2, i2, i3, i4, i5);
        int i7 = 0;
        this.f1790k = false;
        View view = this.f1792m;
        if (view != null && g(view, this)) {
            View view2 = this.f1792m;
            Rect rect = this.f1786f;
            view2.getDrawingRect(rect);
            offsetDescendantRectToMyCoords(view2, rect);
            int b2 = b(rect);
            if (b2 != 0) {
                scrollBy(0, b2);
            }
        }
        this.f1792m = null;
        if (!this.f1791l) {
            if (this.f1805z != null) {
                scrollTo(getScrollX(), this.f1805z.f772a);
                this.f1805z = null;
            }
            if (getChildCount() > 0) {
                View childAt = getChildAt(0);
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                i6 = childAt.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
            } else {
                i6 = 0;
            }
            int paddingTop = ((i5 - i3) - getPaddingTop()) - getPaddingBottom();
            int scrollY = getScrollY();
            if (paddingTop < i6 && scrollY >= 0) {
                i7 = paddingTop + scrollY > i6 ? i6 - paddingTop : scrollY;
            }
            if (i7 != scrollY) {
                scrollTo(getScrollX(), i7);
            }
        }
        scrollTo(getScrollX(), getScrollY());
        this.f1791l = true;
    }

    @Override // android.widget.FrameLayout, android.view.View
    public final void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (this.f1795p && View.MeasureSpec.getMode(i3) != 0 && getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int measuredHeight2 = (((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom()) - layoutParams.topMargin) - layoutParams.bottomMargin;
            if (measuredHeight < measuredHeight2) {
                childAt.measure(ViewGroup.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + layoutParams.leftMargin + layoutParams.rightMargin, layoutParams.width), View.MeasureSpec.makeMeasureSpec(measuredHeight2, 1073741824));
            }
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final boolean onNestedFling(View view, float f2, float f3, boolean z2) {
        if (z2) {
            return false;
        }
        dispatchNestedFling(0.0f, f3, true);
        e((int) f3);
        return true;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final boolean onNestedPreFling(View view, float f2, float f3) {
        return this.f1781B.b(f2, f3);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final void onNestedPreScroll(View view, int i2, int i3, int[] iArr) {
        c(i2, i3, iArr, null, 0);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final void onNestedScroll(View view, int i2, int i3, int i4, int i5) {
        i(i5, 0, null);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final void onNestedScrollAccepted(View view, View view2, int i2) {
        onNestedScrollAccepted(view, view2, i2, 0);
    }

    @Override // android.view.View
    public final void onOverScrolled(int i2, int i3, boolean z2, boolean z3) {
        super.scrollTo(i2, i3);
    }

    @Override // android.view.ViewGroup
    public final boolean onRequestFocusInDescendants(int i2, Rect rect) {
        View findNextFocusFromRect;
        if (i2 == 2) {
            i2 = 130;
        } else if (i2 == 1) {
            i2 = 33;
        }
        FocusFinder focusFinder = FocusFinder.getInstance();
        if (rect == null) {
            findNextFocusFromRect = focusFinder.findNextFocus(this, null, i2);
        } else {
            findNextFocusFromRect = focusFinder.findNextFocusFromRect(this, rect, i2);
        }
        if (findNextFocusFromRect == null || (true ^ h(findNextFocusFromRect, 0, getHeight()))) {
            return false;
        }
        return findNextFocusFromRect.requestFocus(i2, rect);
    }

    @Override // android.view.View
    public final void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof l)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        l lVar = (l) parcelable;
        super.onRestoreInstanceState(lVar.getSuperState());
        this.f1805z = lVar;
        requestLayout();
    }

    /* JADX WARN: Type inference failed for: r1v0, types: [android.view.View$BaseSavedState, android.os.Parcelable, K.l] */
    @Override // android.view.View
    public final Parcelable onSaveInstanceState() {
        ?? baseSavedState = new View.BaseSavedState(super.onSaveInstanceState());
        baseSavedState.f772a = getScrollY();
        return baseSavedState;
    }

    @Override // android.view.View
    public final void onScrollChanged(int i2, int i3, int i4, int i5) {
        super.onScrollChanged(i2, i3, i4, i5);
    }

    @Override // android.view.View
    public final void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        View findFocus = findFocus();
        if (findFocus != null && this != findFocus && h(findFocus, 0, i5)) {
            Rect rect = this.f1786f;
            findFocus.getDrawingRect(rect);
            offsetDescendantRectToMyCoords(findFocus, rect);
            int b2 = b(rect);
            if (b2 != 0) {
                if (this.f1796q) {
                    p(0, b2, false);
                } else {
                    scrollBy(0, b2);
                }
            }
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final boolean onStartNestedScroll(View view, View view2, int i2) {
        return onStartNestedScroll(view, view2, i2, 0);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final void onStopNestedScroll(View view) {
        onStopNestedScroll(view, 0);
    }

    @Override // android.view.View
    public final boolean onTouchEvent(MotionEvent motionEvent) {
        ViewParent parent;
        int i2;
        if (this.f1794o == null) {
            this.f1794o = VelocityTracker.obtain();
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.f1803x = 0;
        }
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        float f2 = 0.0f;
        obtain.offsetLocation(0.0f, this.f1803x);
        if (actionMasked != 0) {
            EdgeEffect edgeEffect = this.f1789i;
            EdgeEffect edgeEffect2 = this.f1788h;
            if (actionMasked != 1) {
                if (actionMasked != 2) {
                    if (actionMasked != 3) {
                        if (actionMasked != 5) {
                            if (actionMasked == 6) {
                                j(motionEvent);
                                this.j = (int) motionEvent.getY(motionEvent.findPointerIndex(this.f1800u));
                            }
                        } else {
                            int actionIndex = motionEvent.getActionIndex();
                            this.j = (int) motionEvent.getY(actionIndex);
                            this.f1800u = motionEvent.getPointerId(actionIndex);
                        }
                    } else {
                        if (this.f1793n && getChildCount() > 0 && this.f1787g.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                            postInvalidateOnAnimation();
                        }
                        this.f1800u = -1;
                        this.f1793n = false;
                        VelocityTracker velocityTracker = this.f1794o;
                        if (velocityTracker != null) {
                            velocityTracker.recycle();
                            this.f1794o = null;
                        }
                        s(0);
                        this.f1788h.onRelease();
                        this.f1789i.onRelease();
                    }
                } else {
                    int findPointerIndex = motionEvent.findPointerIndex(this.f1800u);
                    if (findPointerIndex == -1) {
                        Log.e("NestedScrollView", "Invalid pointerId=" + this.f1800u + " in onTouchEvent");
                    } else {
                        int y2 = (int) motionEvent.getY(findPointerIndex);
                        int i3 = this.j - y2;
                        float x2 = motionEvent.getX(findPointerIndex) / getWidth();
                        float height = i3 / getHeight();
                        if (b.v(edgeEffect2) != 0.0f) {
                            float f3 = -b.C(edgeEffect2, -height, x2);
                            if (b.v(edgeEffect2) == 0.0f) {
                                edgeEffect2.onRelease();
                            }
                            f2 = f3;
                        } else if (b.v(edgeEffect) != 0.0f) {
                            float C2 = b.C(edgeEffect, height, 1.0f - x2);
                            if (b.v(edgeEffect) == 0.0f) {
                                edgeEffect.onRelease();
                            }
                            f2 = C2;
                        }
                        int round = Math.round(f2 * getHeight());
                        if (round != 0) {
                            invalidate();
                        }
                        int i4 = i3 - round;
                        if (!this.f1793n && Math.abs(i4) > this.f1797r) {
                            ViewParent parent2 = getParent();
                            if (parent2 != null) {
                                parent2.requestDisallowInterceptTouchEvent(true);
                            }
                            this.f1793n = true;
                            int i5 = this.f1797r;
                            i4 = i4 > 0 ? i4 - i5 : i4 + i5;
                        }
                        if (this.f1793n) {
                            int n2 = n(i4, (int) motionEvent.getX(findPointerIndex), 0, false);
                            this.j = y2 - n2;
                            this.f1803x += n2;
                        }
                    }
                }
            } else {
                VelocityTracker velocityTracker2 = this.f1794o;
                velocityTracker2.computeCurrentVelocity(1000, this.f1799t);
                int yVelocity = (int) velocityTracker2.getYVelocity(this.f1800u);
                if (Math.abs(yVelocity) >= this.f1798s) {
                    if (b.v(edgeEffect2) != 0.0f) {
                        if (o(edgeEffect2, yVelocity)) {
                            edgeEffect2.onAbsorb(yVelocity);
                        } else {
                            i2 = -yVelocity;
                            e(i2);
                        }
                    } else if (b.v(edgeEffect) != 0.0f) {
                        i2 = -yVelocity;
                        if (o(edgeEffect, i2)) {
                            edgeEffect.onAbsorb(i2);
                        }
                        e(i2);
                    } else {
                        int i6 = -yVelocity;
                        float f4 = i6;
                        if (!this.f1781B.b(0.0f, f4)) {
                            dispatchNestedFling(0.0f, f4, true);
                            e(i6);
                        }
                    }
                } else if (this.f1787g.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                    postInvalidateOnAnimation();
                }
                this.f1800u = -1;
                this.f1793n = false;
                VelocityTracker velocityTracker3 = this.f1794o;
                if (velocityTracker3 != null) {
                    velocityTracker3.recycle();
                    this.f1794o = null;
                }
                s(0);
                this.f1788h.onRelease();
                this.f1789i.onRelease();
            }
        } else if (getChildCount() == 0) {
            return false;
        } else {
            if (this.f1793n && (parent = getParent()) != null) {
                parent.requestDisallowInterceptTouchEvent(true);
            }
            if (!this.f1787g.isFinished()) {
                this.f1787g.abortAnimation();
                s(1);
            }
            int pointerId = motionEvent.getPointerId(0);
            this.j = (int) motionEvent.getY();
            this.f1800u = pointerId;
            q(2, 0);
        }
        VelocityTracker velocityTracker4 = this.f1794o;
        if (velocityTracker4 != null) {
            velocityTracker4.addMovement(obtain);
        }
        obtain.recycle();
        return true;
    }

    public final void p(int i2, int i3, boolean z2) {
        if (getChildCount() == 0) {
            return;
        }
        if (AnimationUtils.currentAnimationTimeMillis() - this.f1785e > 250) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int scrollY = getScrollY();
            OverScroller overScroller = this.f1787g;
            int scrollX = getScrollX();
            overScroller.startScroll(scrollX, scrollY, 0, Math.max(0, Math.min(i3 + scrollY, Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom())))) - scrollY, 250);
            if (z2) {
                q(2, 1);
            } else {
                s(1);
            }
            this.f1804y = getScrollY();
            postInvalidateOnAnimation();
        } else {
            if (!this.f1787g.isFinished()) {
                this.f1787g.abortAnimation();
                s(1);
            }
            scrollBy(i2, i3);
        }
        this.f1785e = AnimationUtils.currentAnimationTimeMillis();
    }

    public final boolean q(int i2, int i3) {
        return this.f1781B.h(2, i3);
    }

    public final boolean r(MotionEvent motionEvent) {
        boolean z2;
        EdgeEffect edgeEffect = this.f1788h;
        if (b.v(edgeEffect) != 0.0f) {
            b.C(edgeEffect, 0.0f, motionEvent.getX() / getWidth());
            z2 = true;
        } else {
            z2 = false;
        }
        EdgeEffect edgeEffect2 = this.f1789i;
        if (b.v(edgeEffect2) != 0.0f) {
            b.C(edgeEffect2, 0.0f, 1.0f - (motionEvent.getX() / getWidth()));
            return true;
        }
        return z2;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final void requestChildFocus(View view, View view2) {
        if (!this.f1790k) {
            Rect rect = this.f1786f;
            view2.getDrawingRect(rect);
            offsetDescendantRectToMyCoords(view2, rect);
            int b2 = b(rect);
            if (b2 != 0) {
                scrollBy(0, b2);
            }
        } else {
            this.f1792m = view2;
        }
        super.requestChildFocus(view, view2);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z2) {
        boolean z3;
        rect.offset(view.getLeft() - view.getScrollX(), view.getTop() - view.getScrollY());
        int b2 = b(rect);
        if (b2 != 0) {
            z3 = true;
        } else {
            z3 = false;
        }
        if (z3) {
            if (z2) {
                scrollBy(0, b2);
            } else {
                p(0, b2, false);
            }
        }
        return z3;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public final void requestDisallowInterceptTouchEvent(boolean z2) {
        VelocityTracker velocityTracker;
        if (z2 && (velocityTracker = this.f1794o) != null) {
            velocityTracker.recycle();
            this.f1794o = null;
        }
        super.requestDisallowInterceptTouchEvent(z2);
    }

    @Override // android.view.View, android.view.ViewParent
    public final void requestLayout() {
        this.f1790k = true;
        super.requestLayout();
    }

    public final void s(int i2) {
        this.f1781B.i(i2);
    }

    @Override // android.view.View
    public final void scrollTo(int i2, int i3) {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int width = (getWidth() - getPaddingLeft()) - getPaddingRight();
            int width2 = childAt.getWidth() + layoutParams.leftMargin + layoutParams.rightMargin;
            int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
            int height2 = childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
            if (width < width2 && i2 >= 0) {
                if (width + i2 > width2) {
                    i2 = width2 - width;
                }
            } else {
                i2 = 0;
            }
            if (height < height2 && i3 >= 0) {
                if (height + i3 > height2) {
                    i3 = height2 - height;
                }
            } else {
                i3 = 0;
            }
            if (i2 != getScrollX() || i3 != getScrollY()) {
                super.scrollTo(i2, i3);
            }
        }
    }

    public void setFillViewport(boolean z2) {
        if (z2 != this.f1795p) {
            this.f1795p = z2;
            requestLayout();
        }
    }

    @Override // android.view.View
    public void setNestedScrollingEnabled(boolean z2) {
        C0022s c0022s = this.f1781B;
        if (c0022s.f415d) {
            WeakHashMap weakHashMap = U.f345a;
            I.z(c0022s.f414c);
        }
        c0022s.f415d = z2;
    }

    public void setSmoothScrollingEnabled(boolean z2) {
        this.f1796q = z2;
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup
    public final boolean shouldDelayChildPressedState() {
        return true;
    }

    @Override // android.view.View
    public final boolean startNestedScroll(int i2) {
        return this.f1781B.h(i2, 0);
    }

    @Override // android.view.View
    public final void stopNestedScroll() {
        s(0);
    }

    @Override // android.view.ViewGroup
    public final void addView(View view, int i2) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, i2);
    }

    @Override // F.InterfaceC0023t
    public final void onNestedPreScroll(View view, int i2, int i3, int[] iArr, int i4) {
        c(i2, i3, iArr, null, i4);
    }

    @Override // F.InterfaceC0023t
    public final void onNestedScroll(View view, int i2, int i3, int i4, int i5, int i6) {
        i(i5, i6, null);
    }

    @Override // F.InterfaceC0023t
    public final void onNestedScrollAccepted(View view, View view2, int i2, int i3) {
        C0025v c0025v = this.f1780A;
        if (i3 == 1) {
            c0025v.f420b = i2;
        } else {
            c0025v.f419a = i2;
        }
        q(2, i3);
    }

    @Override // F.InterfaceC0023t
    public final boolean onStartNestedScroll(View view, View view2, int i2, int i3) {
        return (i2 & 2) != 0;
    }

    @Override // F.InterfaceC0023t
    public final void onStopNestedScroll(View view, int i2) {
        C0025v c0025v = this.f1780A;
        if (i2 == 1) {
            c0025v.f420b = 0;
        } else {
            c0025v.f419a = 0;
        }
        s(i2);
    }

    @Override // android.view.ViewGroup
    public final void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, i2, layoutParams);
    }

    @Override // F.InterfaceC0024u
    public final void onNestedScroll(View view, int i2, int i3, int i4, int i5, int i6, int[] iArr) {
        i(i5, i6, iArr);
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public final void addView(View view, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, layoutParams);
    }

    public void setOnScrollChangeListener(j jVar) {
    }
}
