package com.pichillilorenzo.flutter_inappwebview_android;

import A1.f;
import G1.b;
import Q0.l;
import Q0.n;
import Q0.o;
import android.util.Log;
import android.webkit.CookieManager;
import android.webkit.ValueCallback;
import com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.TimeZone;
import l0.d;
import m0.H;
import m0.I;
import org.chromium.support_lib_boundary.WebViewCookieManagerBoundaryInterface;
import org.chromium.support_lib_boundary.WebkitToCompatConverterBoundaryInterface;
/* loaded from: classes.dex */
public class MyCookieManager extends ChannelDelegateImpl {
    protected static final String LOG_TAG = "MyCookieManager";
    public static final String METHOD_CHANNEL_NAME = "com.pichillilorenzo/flutter_inappwebview_cookiemanager";
    public static CookieManager cookieManager;
    public InAppWebViewFlutterPlugin plugin;

    public MyCookieManager(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        super(new o(inAppWebViewFlutterPlugin.messenger, METHOD_CHANNEL_NAME));
        this.plugin = inAppWebViewFlutterPlugin;
    }

    public static String getCookieExpirationDate(Long l2) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("EEE, dd MMM yyyy hh:mm:ss z", Locale.US);
        simpleDateFormat.setTimeZone(TimeZone.getTimeZone("GMT"));
        return simpleDateFormat.format(new Date(l2.longValue()));
    }

    private static CookieManager getCookieManager() {
        if (cookieManager == null) {
            try {
                cookieManager = CookieManager.getInstance();
            } catch (IllegalArgumentException unused) {
                return null;
            } catch (Exception e2) {
                if (e2.getMessage() == null || !e2.getClass().getCanonicalName().equals("android.webkit.WebViewFactory.MissingWebViewPackageException")) {
                    throw e2;
                }
                return null;
            }
        }
        return cookieManager;
    }

    public static void init() {
        if (cookieManager == null) {
            cookieManager = getCookieManager();
        }
    }

    public void deleteAllCookies(final n nVar) {
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            nVar.success(Boolean.FALSE);
            return;
        }
        cookieManager.removeAllCookies(new ValueCallback<Boolean>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.MyCookieManager.3
            @Override // android.webkit.ValueCallback
            public void onReceiveValue(Boolean bool) {
                nVar.success(bool);
            }
        });
        cookieManager.flush();
    }

    public void deleteCookie(String str, String str2, String str3, String str4, final n nVar) {
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            nVar.success(Boolean.FALSE);
            return;
        }
        String str5 = str2 + "=; Path=" + str4 + "; Max-Age=-1";
        if (str3 != null) {
            str5 = str5 + "; Domain=" + str3;
        }
        cookieManager.setCookie(str, f.g(str5, ";"), new ValueCallback<Boolean>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.MyCookieManager.2
            @Override // android.webkit.ValueCallback
            public void onReceiveValue(Boolean bool) {
                nVar.success(bool);
            }
        });
        cookieManager.flush();
    }

    public void deleteCookies(String str, String str2, String str3, n nVar) {
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            nVar.success(Boolean.FALSE);
            return;
        }
        String cookie = cookieManager2.getCookie(str);
        if (cookie != null) {
            for (String str4 : cookie.split(";")) {
                String str5 = str4.split("=", 2)[0].trim() + "=; Path=" + str3 + "; Max-Age=-1";
                if (str2 != null) {
                    str5 = str5 + "; Domain=" + str2;
                }
                cookieManager.setCookie(str, f.g(str5, ";"), null);
            }
            cookieManager.flush();
        }
        nVar.success(Boolean.TRUE);
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        super.dispose();
        this.plugin = null;
    }

    public List<Map<String, Object>> getCookies(String str) {
        String str2;
        String str3;
        ArrayList arrayList = new ArrayList();
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            return arrayList;
        }
        List<String> arrayList2 = new ArrayList<>();
        String str4 = "GET_COOKIE_INFO";
        if (d.a("GET_COOKIE_INFO")) {
            CookieManager cookieManager3 = cookieManager;
            if (H.f3504N.b()) {
                arrayList2 = ((WebViewCookieManagerBoundaryInterface) b.f(WebViewCookieManagerBoundaryInterface.class, ((WebkitToCompatConverterBoundaryInterface) I.f3530a.f3551b).convertCookieManager(cookieManager3))).getCookieInfo(str);
            } else {
                throw H.a();
            }
        } else {
            String cookie = cookieManager.getCookie(str);
            if (cookie != null) {
                arrayList2 = Arrays.asList(cookie.split(";"));
            }
        }
        Iterator<String> it = arrayList2.iterator();
        while (it.hasNext()) {
            String[] split = it.next().split(";");
            if (split.length != 0) {
                String[] split2 = split[0].split("=", 2);
                String trim = split2[0].trim();
                if (split2.length <= 1) {
                    str2 = "";
                } else {
                    str2 = split2[1].trim();
                }
                HashMap hashMap = new HashMap();
                hashMap.put("name", trim);
                hashMap.put("value", str2);
                hashMap.put("expiresDate", null);
                hashMap.put("isSessionOnly", null);
                hashMap.put("domain", null);
                hashMap.put("sameSite", null);
                hashMap.put("isSecure", null);
                hashMap.put("isHttpOnly", null);
                hashMap.put("path", null);
                if (d.a(str4)) {
                    Boolean bool = Boolean.FALSE;
                    hashMap.put("isSecure", bool);
                    hashMap.put("isHttpOnly", bool);
                    int i2 = 1;
                    while (i2 < split.length) {
                        Iterator<String> it2 = it;
                        String[] split3 = split[i2].split("=", 2);
                        String trim2 = split3[0].trim();
                        String str5 = str4;
                        String[] strArr = split;
                        if (split3.length <= 1) {
                            str3 = "";
                        } else {
                            str3 = split3[1].trim();
                        }
                        if (trim2.equalsIgnoreCase("Expires")) {
                            try {
                                Date parse = new SimpleDateFormat("EEE, dd MMM yyyy hh:mm:ss z", Locale.US).parse(str3);
                                if (parse != null) {
                                    hashMap.put("expiresDate", Long.valueOf(parse.getTime()));
                                }
                            } catch (ParseException e2) {
                                e = e2;
                                Log.e(LOG_TAG, "", e);
                                i2++;
                                str4 = str5;
                                it = it2;
                                split = strArr;
                            }
                        } else if (trim2.equalsIgnoreCase("Max-Age")) {
                            try {
                                hashMap.put("expiresDate", Long.valueOf(System.currentTimeMillis() + Long.parseLong(str3)));
                            } catch (NumberFormatException e3) {
                                e = e3;
                                Log.e(LOG_TAG, "", e);
                                i2++;
                                str4 = str5;
                                it = it2;
                                split = strArr;
                            }
                        } else if (trim2.equalsIgnoreCase("Domain")) {
                            hashMap.put("domain", str3);
                        } else if (trim2.equalsIgnoreCase("SameSite")) {
                            hashMap.put("sameSite", str3);
                        } else if (trim2.equalsIgnoreCase("Secure")) {
                            hashMap.put("isSecure", Boolean.TRUE);
                        } else if (trim2.equalsIgnoreCase("HttpOnly")) {
                            hashMap.put("isHttpOnly", Boolean.TRUE);
                        } else if (trim2.equalsIgnoreCase("Path")) {
                            hashMap.put("path", str3);
                        }
                        i2++;
                        str4 = str5;
                        it = it2;
                        split = strArr;
                    }
                }
                arrayList.add(hashMap);
                str4 = str4;
                it = it;
            }
        }
        return arrayList;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.IChannelDelegate, Q0.m
    public void onMethodCall(l lVar, n nVar) {
        Long l2;
        init();
        String str = lVar.f1112a;
        str.getClass();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1222815761:
                if (str.equals("deleteCookie")) {
                    c2 = 0;
                    break;
                }
                break;
            case -913968963:
                if (str.equals("removeSessionCookies")) {
                    c2 = 1;
                    break;
                }
                break;
            case 126640486:
                if (str.equals("setCookie")) {
                    c2 = 2;
                    break;
                }
                break;
            case 747417188:
                if (str.equals("deleteCookies")) {
                    c2 = 3;
                    break;
                }
                break;
            case 822411705:
                if (str.equals("deleteAllCookies")) {
                    c2 = 4;
                    break;
                }
                break;
            case 1989049945:
                if (str.equals("getCookies")) {
                    c2 = 5;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                deleteCookie((String) lVar.a("url"), (String) lVar.a("name"), (String) lVar.a("domain"), (String) lVar.a("path"), nVar);
                return;
            case 1:
                removeSessionCookies(nVar);
                return;
            case 2:
                String str2 = (String) lVar.a("url");
                String str3 = (String) lVar.a("name");
                String str4 = (String) lVar.a("value");
                String str5 = (String) lVar.a("domain");
                String str6 = (String) lVar.a("path");
                String str7 = (String) lVar.a("expiresDate");
                if (str7 != null) {
                    l2 = new Long(str7);
                } else {
                    l2 = null;
                }
                setCookie(str2, str3, str4, str5, str6, l2, (Integer) lVar.a("maxAge"), (Boolean) lVar.a("isSecure"), (Boolean) lVar.a("isHttpOnly"), (String) lVar.a("sameSite"), nVar);
                return;
            case 3:
                deleteCookies((String) lVar.a("url"), (String) lVar.a("domain"), (String) lVar.a("path"), nVar);
                return;
            case 4:
                deleteAllCookies(nVar);
                return;
            case 5:
                nVar.success(getCookies((String) lVar.a("url")));
                return;
            default:
                nVar.notImplemented();
                return;
        }
    }

    public void removeSessionCookies(final n nVar) {
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            nVar.success(Boolean.FALSE);
            return;
        }
        cookieManager.removeSessionCookies(new ValueCallback<Boolean>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.MyCookieManager.4
            @Override // android.webkit.ValueCallback
            public void onReceiveValue(Boolean bool) {
                nVar.success(bool);
            }
        });
        cookieManager.flush();
    }

    public void setCookie(String str, String str2, String str3, String str4, String str5, Long l2, Integer num, Boolean bool, Boolean bool2, String str6, final n nVar) {
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            nVar.success(Boolean.FALSE);
            return;
        }
        String str7 = str2 + "=" + str3 + "; Path=" + str5;
        if (str4 != null) {
            str7 = str7 + "; Domain=" + str4;
        }
        if (l2 != null) {
            StringBuilder k2 = f.k(str7, "; Expires=");
            k2.append(getCookieExpirationDate(l2));
            str7 = k2.toString();
        }
        if (num != null) {
            StringBuilder k3 = f.k(str7, "; Max-Age=");
            k3.append(num.toString());
            str7 = k3.toString();
        }
        if (bool != null && bool.booleanValue()) {
            str7 = f.g(str7, "; Secure");
        }
        if (bool2 != null && bool2.booleanValue()) {
            str7 = f.g(str7, "; HttpOnly");
        }
        if (str6 != null) {
            str7 = str7 + "; SameSite=" + str6;
        }
        cookieManager.setCookie(str, f.g(str7, ";"), new ValueCallback<Boolean>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.MyCookieManager.1
            @Override // android.webkit.ValueCallback
            public void onReceiveValue(Boolean bool3) {
                nVar.success(bool3);
            }
        });
        cookieManager.flush();
    }
}
