package com.pichillilorenzo.flutter_inappwebview_android;

import Q0.l;
import Q0.n;
import Q0.o;
import android.webkit.ValueCallback;
import android.webkit.WebStorage;
import com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class MyWebStorage extends ChannelDelegateImpl {
    protected static final String LOG_TAG = "MyWebStorage";
    public static final String METHOD_CHANNEL_NAME = "com.pichillilorenzo/flutter_inappwebview_webstoragemanager";
    public static WebStorage webStorageManager;
    public InAppWebViewFlutterPlugin plugin;

    public MyWebStorage(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        super(new o(inAppWebViewFlutterPlugin.messenger, METHOD_CHANNEL_NAME));
        this.plugin = inAppWebViewFlutterPlugin;
    }

    public static void init() {
        if (webStorageManager == null) {
            webStorageManager = WebStorage.getInstance();
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        super.dispose();
        this.plugin = null;
    }

    public void getOrigins(final n nVar) {
        WebStorage webStorage = webStorageManager;
        if (webStorage == null) {
            nVar.success(new ArrayList());
        } else {
            webStorage.getOrigins(new ValueCallback<Map>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.MyWebStorage.1
                @Override // android.webkit.ValueCallback
                public void onReceiveValue(Map map) {
                    ArrayList arrayList = new ArrayList();
                    for (Object obj : map.keySet()) {
                        WebStorage.Origin origin = (WebStorage.Origin) map.get(obj);
                        HashMap hashMap = new HashMap();
                        hashMap.put("origin", origin.getOrigin());
                        hashMap.put("quota", Long.valueOf(origin.getQuota()));
                        hashMap.put("usage", Long.valueOf(origin.getUsage()));
                        arrayList.add(hashMap);
                    }
                    nVar.success(arrayList);
                }
            });
        }
    }

    public void getQuotaForOrigin(String str, final n nVar) {
        WebStorage webStorage = webStorageManager;
        if (webStorage == null) {
            nVar.success(0);
        } else {
            webStorage.getQuotaForOrigin(str, new ValueCallback<Long>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.MyWebStorage.2
                @Override // android.webkit.ValueCallback
                public void onReceiveValue(Long l2) {
                    nVar.success(l2);
                }
            });
        }
    }

    public void getUsageForOrigin(String str, final n nVar) {
        WebStorage webStorage = webStorageManager;
        if (webStorage == null) {
            nVar.success(0);
        } else {
            webStorage.getUsageForOrigin(str, new ValueCallback<Long>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.MyWebStorage.3
                @Override // android.webkit.ValueCallback
                public void onReceiveValue(Long l2) {
                    nVar.success(l2);
                }
            });
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.IChannelDelegate, Q0.m
    public void onMethodCall(l lVar, n nVar) {
        Boolean bool;
        init();
        String str = lVar.f1112a;
        str.getClass();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1308548435:
                if (str.equals("getQuotaForOrigin")) {
                    c2 = 0;
                    break;
                }
                break;
            case -1117417280:
                if (str.equals("deleteAllData")) {
                    c2 = 1;
                    break;
                }
                break;
            case -876677967:
                if (str.equals("deleteOrigin")) {
                    c2 = 2;
                    break;
                }
                break;
            case -165580329:
                if (str.equals("getOrigins")) {
                    c2 = 3;
                    break;
                }
                break;
            case 843309476:
                if (str.equals("getUsageForOrigin")) {
                    c2 = 4;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                getQuotaForOrigin((String) lVar.a("origin"), nVar);
                return;
            case 1:
                WebStorage webStorage = webStorageManager;
                if (webStorage != null) {
                    webStorage.deleteAllData();
                    bool = Boolean.TRUE;
                    nVar.success(bool);
                    return;
                }
                bool = Boolean.FALSE;
                nVar.success(bool);
                return;
            case 2:
                if (webStorageManager != null) {
                    webStorageManager.deleteOrigin((String) lVar.a("origin"));
                    bool = Boolean.TRUE;
                    nVar.success(bool);
                    return;
                }
                bool = Boolean.FALSE;
                nVar.success(bool);
                return;
            case 3:
                getOrigins(nVar);
                return;
            case 4:
                getUsageForOrigin((String) lVar.a("origin"), nVar);
                return;
            default:
                nVar.notImplemented();
                return;
        }
    }
}
