package com.pichillilorenzo.flutter_inappwebview_android.chrome_custom_tabs;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.RemoteException;
import android.text.TextUtils;
import b.C0138b;
import b.InterfaceC0140d;
import java.util.List;
import java.util.Map;
import q.AbstractC0383a;
import q.AbstractC0390h;
import q.BinderC0389g;
import q.m;
import q.o;
import q.r;
import r.C0396c;
/* loaded from: classes.dex */
public class CustomTabActivityHelper implements ServiceConnectionCallback {
    private AbstractC0390h mClient;
    private o mConnection;
    private ConnectionCallback mConnectionCallback;
    private AbstractC0383a mCustomTabsCallback;
    private r mCustomTabsSession;

    /* loaded from: classes.dex */
    public interface ConnectionCallback {
        void onCustomTabsConnected();

        void onCustomTabsDisconnected();
    }

    public static boolean isAvailable(Activity activity) {
        return CustomTabsHelper.getPackageNameToUse(activity) != null;
    }

    public static void openCustomTab(Activity activity, Intent intent, Uri uri, Map<String, String> map, Uri uri2, int i2) {
        intent.setData(uri);
        if (map != null) {
            Bundle bundle = new Bundle();
            for (Map.Entry<String, String> entry : map.entrySet()) {
                bundle.putString(entry.getKey(), entry.getValue());
            }
            intent.putExtra("com.android.browser.headers", bundle);
        }
        if (uri2 != null) {
            intent.putExtra("android.intent.extra.REFERRER", uri2);
        }
        activity.startActivityForResult(intent, i2);
    }

    public static void openTrustedWebActivity(Activity activity, C0396c c0396c, Uri uri, Map<String, String> map, Uri uri2, int i2) {
        openCustomTab(activity, c0396c.f4072a, uri, map, uri2, i2);
    }

    public boolean bindCustomTabsService(Activity activity) {
        if (this.mClient != null) {
            return true;
        }
        String packageNameToUse = CustomTabsHelper.getPackageNameToUse(activity);
        if (packageNameToUse == null) {
            return false;
        }
        ServiceConnection serviceConnection = new ServiceConnection(this);
        this.mConnection = serviceConnection;
        serviceConnection.setApplicationContext(activity.getApplicationContext());
        Intent intent = new Intent("android.support.customtabs.action.CustomTabsService");
        if (!TextUtils.isEmpty(packageNameToUse)) {
            intent.setPackage(packageNameToUse);
        }
        return activity.bindService(intent, serviceConnection, 33);
    }

    public r getSession() {
        AbstractC0390h abstractC0390h = this.mClient;
        r rVar = null;
        if (abstractC0390h == null) {
            this.mCustomTabsSession = null;
        } else if (this.mCustomTabsSession == null) {
            BinderC0389g binderC0389g = new BinderC0389g(this.mCustomTabsCallback);
            InterfaceC0140d interfaceC0140d = abstractC0390h.f4040a;
            try {
                if (((C0138b) interfaceC0140d).c(binderC0389g)) {
                    rVar = new r(interfaceC0140d, binderC0389g, abstractC0390h.f4041b);
                }
            } catch (RemoteException unused) {
            }
            this.mCustomTabsSession = rVar;
        }
        return this.mCustomTabsSession;
    }

    public boolean mayLaunchUrl(Uri uri, Bundle bundle, List<Bundle> list) {
        r session;
        if (this.mClient == null || (session = getSession()) == null) {
            return false;
        }
        try {
            return ((C0138b) session.f4058b).b((BinderC0389g) session.f4059c, uri, session.a(bundle), list);
        } catch (RemoteException unused) {
            return false;
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.chrome_custom_tabs.ServiceConnectionCallback
    public void onServiceConnected(AbstractC0390h abstractC0390h) {
        this.mClient = abstractC0390h;
        abstractC0390h.getClass();
        try {
            ((C0138b) abstractC0390h.f4040a).j();
        } catch (RemoteException unused) {
        }
        ConnectionCallback connectionCallback = this.mConnectionCallback;
        if (connectionCallback != null) {
            connectionCallback.onCustomTabsConnected();
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.chrome_custom_tabs.ServiceConnectionCallback
    public void onServiceDisconnected() {
        this.mClient = null;
        this.mCustomTabsSession = null;
        ConnectionCallback connectionCallback = this.mConnectionCallback;
        if (connectionCallback != null) {
            connectionCallback.onCustomTabsDisconnected();
        }
    }

    public void setConnectionCallback(ConnectionCallback connectionCallback) {
        this.mConnectionCallback = connectionCallback;
    }

    public void setCustomTabsCallback(AbstractC0383a abstractC0383a) {
        this.mCustomTabsCallback = abstractC0383a;
    }

    public void unbindCustomTabsService(Activity activity) {
        o oVar = this.mConnection;
        if (oVar == null) {
            return;
        }
        activity.unbindService(oVar);
        this.mClient = null;
        this.mCustomTabsSession = null;
        this.mConnection = null;
    }

    public static void openCustomTab(Activity activity, m mVar, Uri uri, Map<String, String> map, Uri uri2, int i2) {
        openCustomTab(activity, mVar.f4049a, uri, map, uri2, i2);
    }
}
