package com.pichillilorenzo.flutter_inappwebview_android.chrome_custom_tabs;

import android.app.PendingIntent;
import android.content.Intent;
import android.graphics.Color;
import android.net.Uri;
import android.os.Bundle;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import q.BinderC0389g;
import q.l;
import q.m;
import q.r;
import r.C0396c;
import r.C0397d;
import r.InterfaceC0395b;
/* loaded from: classes.dex */
public class TrustedWebActivity extends ChromeCustomTabsActivity {
    protected static final String LOG_TAG = "TrustedWebActivity";
    public C0397d builder;

    private void prepareCustomTabs() {
        Integer num;
        Integer num2;
        Integer num3;
        String str = this.customSettings.toolbarBackgroundColor;
        Integer num4 = null;
        if (str != null && !str.isEmpty()) {
            num = Integer.valueOf(Color.parseColor(this.customSettings.toolbarBackgroundColor) | (-16777216));
        } else {
            num = null;
        }
        String str2 = this.customSettings.navigationBarColor;
        if (str2 != null && !str2.isEmpty()) {
            num2 = Integer.valueOf((-16777216) | Color.parseColor(this.customSettings.navigationBarColor));
        } else {
            num2 = null;
        }
        String str3 = this.customSettings.navigationBarDividerColor;
        if (str3 != null && !str3.isEmpty()) {
            num3 = Integer.valueOf(Color.parseColor(this.customSettings.navigationBarDividerColor));
        } else {
            num3 = null;
        }
        String str4 = this.customSettings.secondaryToolbarColor;
        if (str4 != null && !str4.isEmpty()) {
            num4 = Integer.valueOf(Color.parseColor(this.customSettings.secondaryToolbarColor));
        }
        l lVar = this.builder.f4074b;
        lVar.getClass();
        Bundle bundle = new Bundle();
        if (num != null) {
            bundle.putInt("android.support.customtabs.extra.TOOLBAR_COLOR", num.intValue());
        }
        if (num4 != null) {
            bundle.putInt("android.support.customtabs.extra.SECONDARY_TOOLBAR_COLOR", num4.intValue());
        }
        if (num2 != null) {
            bundle.putInt("androidx.browser.customtabs.extra.NAVIGATION_BAR_COLOR", num2.intValue());
        }
        if (num3 != null) {
            bundle.putInt("androidx.browser.customtabs.extra.NAVIGATION_BAR_DIVIDER_COLOR", num3.intValue());
        }
        lVar.f4046e = bundle;
        List<String> list = this.customSettings.additionalTrustedOrigins;
        if (list != null && !list.isEmpty()) {
            this.builder.f4075c = this.customSettings.additionalTrustedOrigins;
        }
        ChromeCustomTabsSettings chromeCustomTabsSettings = this.customSettings;
        InterfaceC0395b interfaceC0395b = chromeCustomTabsSettings.displayMode;
        if (interfaceC0395b != null) {
            this.builder.f4076d = interfaceC0395b;
        }
        this.builder.f4077e = chromeCustomTabsSettings.screenOrientation.intValue();
    }

    private void prepareCustomTabsIntent(C0396c c0396c) {
        Intent intent = c0396c.f4072a;
        String str = this.customSettings.packageName;
        if (str == null) {
            str = CustomTabsHelper.getPackageNameToUse(this);
        }
        intent.setPackage(str);
        if (this.customSettings.keepAliveEnabled.booleanValue()) {
            CustomTabsHelper.addKeepAliveExtra(this, intent);
        }
        if (this.customSettings.alwaysUseBrowserUI.booleanValue()) {
            if (intent == null) {
                intent = new Intent("android.intent.action.VIEW");
            }
            intent.addFlags(268435456);
            intent.putExtra("android.support.customtabs.extra.user_opt_out", true);
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.chrome_custom_tabs.ChromeCustomTabsActivity
    public void launchUrl(String str, Map<String, String> map, String str2, List<String> list) {
        Uri uri;
        if (this.customTabsSession == null) {
            return;
        }
        Uri parse = Uri.parse(str);
        mayLaunchUrl(str, list);
        this.builder = new C0397d(parse);
        prepareCustomTabs();
        C0397d c0397d = this.builder;
        r rVar = this.customTabsSession;
        if (rVar != null) {
            l lVar = c0397d.f4074b;
            lVar.getClass();
            String packageName = rVar.f4060d.getPackageName();
            Intent intent = lVar.f4042a;
            intent.setPackage(packageName);
            BinderC0389g binderC0389g = (BinderC0389g) rVar.f4059c;
            binderC0389g.getClass();
            Bundle bundle = new Bundle();
            bundle.putBinder("android.support.customtabs.extra.SESSION", binderC0389g);
            PendingIntent pendingIntent = rVar.f4061e;
            if (pendingIntent != null) {
                bundle.putParcelable("android.support.customtabs.extra.SESSION_ID", pendingIntent);
            }
            intent.putExtras(bundle);
            m a2 = lVar.a();
            Uri uri2 = c0397d.f4073a;
            Intent intent2 = a2.f4049a;
            intent2.setData(uri2);
            intent2.putExtra("android.support.customtabs.extra.LAUNCH_AS_TRUSTED_WEB_ACTIVITY", true);
            if (c0397d.f4075c != null) {
                intent2.putExtra("android.support.customtabs.extra.ADDITIONAL_TRUSTED_ORIGINS", new ArrayList(c0397d.f4075c));
            }
            Collections.emptyList();
            intent2.putExtra("androidx.browser.trusted.extra.DISPLAY_MODE", c0397d.f4076d.b());
            intent2.putExtra("androidx.browser.trusted.extra.SCREEN_ORIENTATION", c0397d.f4077e);
            C0396c c0396c = new C0396c(intent2);
            prepareCustomTabsIntent(c0396c);
            if (str2 != null) {
                uri = Uri.parse(str2);
            } else {
                uri = null;
            }
            CustomTabActivityHelper.openTrustedWebActivity(this, c0396c, parse, map, uri, 100);
            return;
        }
        c0397d.getClass();
        throw new NullPointerException("CustomTabsSession is required for launching a TWA");
    }
}
