package com.pichillilorenzo.flutter_inappwebview_android.proxy;

import Q0.l;
import Q0.n;
import Q0.o;
import com.pichillilorenzo.flutter_inappwebview_android.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.ProxyRuleExt;
import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.Executor;
import l0.C0258b;
import l0.d;
import l0.e;
import m0.C0272b;
import m0.H;
import m0.J;
import m0.u;
/* loaded from: classes.dex */
public class ProxyManager extends ChannelDelegateImpl {
    protected static final String LOG_TAG = "ProxyManager";
    public static final String METHOD_CHANNEL_NAME = "com.pichillilorenzo/flutter_inappwebview_proxycontroller";
    public static e proxyController;
    public InAppWebViewFlutterPlugin plugin;

    public ProxyManager(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        super(new o(inAppWebViewFlutterPlugin.messenger, METHOD_CHANNEL_NAME));
        this.plugin = inAppWebViewFlutterPlugin;
    }

    private void clearProxyOverride(final n nVar) {
        e eVar = proxyController;
        if (eVar != null) {
            Executor executor = new Executor() { // from class: com.pichillilorenzo.flutter_inappwebview_android.proxy.ProxyManager.3
                @Override // java.util.concurrent.Executor
                public void execute(Runnable runnable) {
                    runnable.run();
                }
            };
            Runnable runnable = new Runnable() { // from class: com.pichillilorenzo.flutter_inappwebview_android.proxy.ProxyManager.4
                @Override // java.lang.Runnable
                public void run() {
                    nVar.success(Boolean.TRUE);
                }
            };
            u uVar = (u) eVar;
            if (H.f3495E.b()) {
                if (uVar.f3557a == null) {
                    uVar.f3557a = J.f3531a.getProxyController();
                }
                uVar.f3557a.clearProxyOverride(runnable, executor);
                return;
            }
            throw H.a();
        }
    }

    public static void init() {
        if (proxyController == null && d.a("PROXY_OVERRIDE")) {
            if (d.a("PROXY_OVERRIDE")) {
                proxyController = d.f3295a;
                return;
            }
            throw new UnsupportedOperationException("Proxy override not supported");
        }
    }

    private void setProxyOverride(ProxySettings proxySettings, final n nVar) {
        boolean z2;
        if (proxyController != null) {
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList();
            for (String str : proxySettings.bypassRules) {
                arrayList2.add(str);
            }
            for (String str2 : proxySettings.directs) {
                arrayList.add(new C0258b(str2, "direct://"));
            }
            for (ProxyRuleExt proxyRuleExt : proxySettings.proxyRules) {
                if (proxyRuleExt.getSchemeFilter() != null) {
                    arrayList.add(new C0258b(proxyRuleExt.getSchemeFilter(), proxyRuleExt.getUrl()));
                } else {
                    arrayList.add(new C0258b("*", proxyRuleExt.getUrl()));
                }
            }
            Boolean bool = proxySettings.bypassSimpleHostnames;
            if (bool != null && bool.booleanValue()) {
                arrayList2.add("<local>");
            }
            Boolean bool2 = proxySettings.removeImplicitRules;
            if (bool2 != null && bool2.booleanValue()) {
                arrayList2.add("<-loopback>");
            }
            if (proxySettings.reverseBypassEnabled != null && d.a("PROXY_OVERRIDE_REVERSE_BYPASS")) {
                z2 = proxySettings.reverseBypassEnabled.booleanValue();
            } else {
                z2 = false;
            }
            e eVar = proxyController;
            Executor executor = new Executor() { // from class: com.pichillilorenzo.flutter_inappwebview_android.proxy.ProxyManager.1
                @Override // java.util.concurrent.Executor
                public void execute(Runnable runnable) {
                    runnable.run();
                }
            };
            Runnable runnable = new Runnable() { // from class: com.pichillilorenzo.flutter_inappwebview_android.proxy.ProxyManager.2
                @Override // java.lang.Runnable
                public void run() {
                    nVar.success(Boolean.TRUE);
                }
            };
            u uVar = (u) eVar;
            uVar.getClass();
            C0272b c0272b = H.f3495E;
            C0272b c0272b2 = H.f3501K;
            List unmodifiableList = Collections.unmodifiableList(arrayList);
            String[][] strArr = (String[][]) Array.newInstance(String.class, unmodifiableList.size(), 2);
            for (int i2 = 0; i2 < unmodifiableList.size(); i2++) {
                strArr[i2][0] = ((C0258b) unmodifiableList.get(i2)).f3293a;
                strArr[i2][1] = ((C0258b) unmodifiableList.get(i2)).f3294b;
            }
            String[] strArr2 = (String[]) Collections.unmodifiableList(arrayList2).toArray(new String[0]);
            if (c0272b.b() && !z2) {
                if (uVar.f3557a == null) {
                    uVar.f3557a = J.f3531a.getProxyController();
                }
                uVar.f3557a.setProxyOverride(strArr, strArr2, runnable, executor);
            } else if (c0272b.b() && c0272b2.b()) {
                if (uVar.f3557a == null) {
                    uVar.f3557a = J.f3531a.getProxyController();
                }
                uVar.f3557a.setProxyOverride(strArr, strArr2, runnable, executor, z2);
            } else {
                throw H.a();
            }
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        super.dispose();
        this.plugin = null;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.IChannelDelegate, Q0.m
    public void onMethodCall(l lVar, n nVar) {
        init();
        String str = lVar.f1112a;
        str.getClass();
        if (!str.equals("clearProxyOverride")) {
            if (!str.equals("setProxyOverride")) {
                nVar.notImplemented();
                return;
            } else if (proxyController != null) {
                HashMap hashMap = (HashMap) lVar.a("settings");
                ProxySettings proxySettings = new ProxySettings();
                if (hashMap != null) {
                    proxySettings.parse2((Map<String, Object>) hashMap);
                }
                setProxyOverride(proxySettings, nVar);
                return;
            }
        } else if (proxyController != null) {
            clearProxyOverride(nVar);
            return;
        }
        nVar.success(Boolean.FALSE);
    }
}
