package com.pichillilorenzo.flutter_inappwebview_android.service_worker;

import Q.k;
import Q0.l;
import Q0.n;
import Q0.o;
import com.pichillilorenzo.flutter_inappwebview_android.Util;
import com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.SyncBaseCallbackResultImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebResourceRequestExt;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebResourceResponseExt;
import java.util.Map;
import l0.d;
import l0.j;
import m0.AbstractC0277g;
import m0.H;
import m0.x;
import m0.y;
/* loaded from: classes.dex */
public class ServiceWorkerChannelDelegate extends ChannelDelegateImpl {
    private ServiceWorkerManager serviceWorkerManager;

    /* loaded from: classes.dex */
    public static class ShouldInterceptRequestCallback extends BaseCallbackResultImpl<WebResourceResponseExt> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public WebResourceResponseExt decodeResult(Object obj) {
            return WebResourceResponseExt.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class SyncShouldInterceptRequestCallback extends SyncBaseCallbackResultImpl<WebResourceResponseExt> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public WebResourceResponseExt decodeResult(Object obj) {
            return new ShouldInterceptRequestCallback().decodeResult(obj);
        }
    }

    public ServiceWorkerChannelDelegate(ServiceWorkerManager serviceWorkerManager, o oVar) {
        super(oVar);
        this.serviceWorkerManager = serviceWorkerManager;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        super.dispose();
        this.serviceWorkerManager = null;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.IChannelDelegate, Q0.m
    public void onMethodCall(l lVar, n nVar) {
        y yVar;
        boolean a2;
        Object valueOf;
        ServiceWorkerManager.init();
        j jVar = ServiceWorkerManager.serviceWorkerController;
        if (jVar != null) {
            yVar = ((x) jVar).f3563c;
        } else {
            yVar = null;
        }
        String str = lVar.f1112a;
        str.getClass();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1332730774:
                if (str.equals("getAllowContentAccess")) {
                    c2 = 0;
                    break;
                }
                break;
            case -1165005700:
                if (str.equals("setServiceWorkerClient")) {
                    c2 = 1;
                    break;
                }
                break;
            case -563397233:
                if (str.equals("getCacheMode")) {
                    c2 = 2;
                    break;
                }
                break;
            case 674894835:
                if (str.equals("getAllowFileAccess")) {
                    c2 = 3;
                    break;
                }
                break;
            case 985595395:
                if (str.equals("setCacheMode")) {
                    c2 = 4;
                    break;
                }
                break;
            case 1083898794:
                if (str.equals("setBlockNetworkLoads")) {
                    c2 = 5;
                    break;
                }
                break;
            case 1203480182:
                if (str.equals("setAllowContentAccess")) {
                    c2 = 6;
                    break;
                }
                break;
            case 1594928487:
                if (str.equals("setAllowFileAccess")) {
                    c2 = 7;
                    break;
                }
                break;
            case 1694822198:
                if (str.equals("getBlockNetworkLoads")) {
                    c2 = '\b';
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                if (yVar != null && d.a("SERVICE_WORKER_CONTENT_ACCESS")) {
                    H.j.getClass();
                    a2 = AbstractC0277g.a(yVar.a());
                    valueOf = Boolean.valueOf(a2);
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            case 1:
                if (this.serviceWorkerManager != null) {
                    this.serviceWorkerManager.setServiceWorkerClient((Boolean) lVar.a("isNull"));
                    valueOf = Boolean.TRUE;
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            case 2:
                if (yVar != null && d.a("SERVICE_WORKER_CACHE_MODE")) {
                    H.f3513i.getClass();
                    valueOf = Integer.valueOf(AbstractC0277g.d(yVar.a()));
                    break;
                } else {
                    nVar.success(null);
                    return;
                }
            case 3:
                if (yVar != null && d.a("SERVICE_WORKER_FILE_ACCESS")) {
                    H.f3514k.getClass();
                    a2 = AbstractC0277g.b(yVar.a());
                    valueOf = Boolean.valueOf(a2);
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            case 4:
                if (yVar != null && d.a("SERVICE_WORKER_CACHE_MODE")) {
                    int intValue = ((Integer) lVar.a("mode")).intValue();
                    H.f3513i.getClass();
                    AbstractC0277g.n(yVar.a(), intValue);
                }
                valueOf = Boolean.TRUE;
                break;
            case 5:
                if (yVar != null && d.a("SERVICE_WORKER_BLOCK_NETWORK_LOADS")) {
                    boolean booleanValue = ((Boolean) lVar.a("flag")).booleanValue();
                    H.f3515l.getClass();
                    AbstractC0277g.m(yVar.a(), booleanValue);
                }
                valueOf = Boolean.TRUE;
                break;
            case 6:
                if (yVar != null && d.a("SERVICE_WORKER_CONTENT_ACCESS")) {
                    boolean booleanValue2 = ((Boolean) lVar.a("allow")).booleanValue();
                    H.j.getClass();
                    AbstractC0277g.k(yVar.a(), booleanValue2);
                }
                valueOf = Boolean.TRUE;
                break;
            case k.DOUBLE_FIELD_NUMBER /* 7 */:
                if (yVar != null && d.a("SERVICE_WORKER_FILE_ACCESS")) {
                    boolean booleanValue3 = ((Boolean) lVar.a("allow")).booleanValue();
                    H.f3514k.getClass();
                    AbstractC0277g.l(yVar.a(), booleanValue3);
                }
                valueOf = Boolean.TRUE;
                break;
            case k.BYTES_FIELD_NUMBER /* 8 */:
                if (yVar != null && d.a("SERVICE_WORKER_BLOCK_NETWORK_LOADS")) {
                    H.f3515l.getClass();
                    a2 = AbstractC0277g.c(yVar.a());
                    valueOf = Boolean.valueOf(a2);
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            default:
                nVar.notImplemented();
                return;
        }
        nVar.success(valueOf);
    }

    public WebResourceResponseExt shouldInterceptRequest(WebResourceRequestExt webResourceRequestExt) {
        o channel = getChannel();
        if (channel == null) {
            return null;
        }
        return (WebResourceResponseExt) Util.invokeMethodAndWaitResult(channel, "shouldInterceptRequest", webResourceRequestExt.toMap(), new SyncShouldInterceptRequestCallback());
    }

    public void shouldInterceptRequest(WebResourceRequestExt webResourceRequestExt, ShouldInterceptRequestCallback shouldInterceptRequestCallback) {
        o channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.a("shouldInterceptRequest", webResourceRequestExt.toMap(), shouldInterceptRequestCallback);
    }
}
