package com.pichillilorenzo.flutter_inappwebview_android.service_worker;

import Q0.o;
import android.util.Log;
import android.webkit.WebResourceRequest;
import android.webkit.WebResourceResponse;
import com.pichillilorenzo.flutter_inappwebview_android.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview_android.types.Disposable;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebResourceRequestExt;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebResourceResponseExt;
import java.io.ByteArrayInputStream;
import java.util.Map;
import l0.d;
import l0.h;
import l0.i;
import l0.j;
import m0.AbstractC0277g;
import m0.H;
import m0.x;
/* loaded from: classes.dex */
public class ServiceWorkerManager implements Disposable {
    protected static final String LOG_TAG = "ServiceWorkerManager";
    public static final String METHOD_CHANNEL_NAME = "com.pichillilorenzo/flutter_inappwebview_serviceworkercontroller";
    public static j serviceWorkerController;
    public ServiceWorkerChannelDelegate channelDelegate;
    public InAppWebViewFlutterPlugin plugin;

    /* loaded from: classes.dex */
    public static final class DummyServiceWorkerClientCompat extends h {
        static final h INSTANCE = new DummyServiceWorkerClientCompat();

        private DummyServiceWorkerClientCompat() {
        }

        @Override // l0.h
        public WebResourceResponse shouldInterceptRequest(WebResourceRequest webResourceRequest) {
            return null;
        }
    }

    public ServiceWorkerManager(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        this.plugin = inAppWebViewFlutterPlugin;
        this.channelDelegate = new ServiceWorkerChannelDelegate(this, new o(inAppWebViewFlutterPlugin.messenger, METHOD_CHANNEL_NAME));
    }

    private h dummyServiceWorkerClientCompat() {
        return DummyServiceWorkerClientCompat.INSTANCE;
    }

    public static void init() {
        if (serviceWorkerController == null && d.a("SERVICE_WORKER_BASIC_USAGE")) {
            serviceWorkerController = i.f3296a;
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        ServiceWorkerChannelDelegate serviceWorkerChannelDelegate = this.channelDelegate;
        if (serviceWorkerChannelDelegate != null) {
            serviceWorkerChannelDelegate.dispose();
            this.channelDelegate = null;
        }
        this.plugin = null;
    }

    public void setServiceWorkerClient(Boolean bool) {
        h hVar;
        j jVar = serviceWorkerController;
        if (jVar != null) {
            if (bool.booleanValue()) {
                hVar = dummyServiceWorkerClientCompat();
            } else {
                hVar = new h() { // from class: com.pichillilorenzo.flutter_inappwebview_android.service_worker.ServiceWorkerManager.1
                    @Override // l0.h
                    public WebResourceResponse shouldInterceptRequest(WebResourceRequest webResourceRequest) {
                        WebResourceResponseExt shouldInterceptRequest;
                        WebResourceRequestExt fromWebResourceRequest = WebResourceRequestExt.fromWebResourceRequest(webResourceRequest);
                        ServiceWorkerChannelDelegate serviceWorkerChannelDelegate = ServiceWorkerManager.this.channelDelegate;
                        if (serviceWorkerChannelDelegate != null) {
                            try {
                                shouldInterceptRequest = serviceWorkerChannelDelegate.shouldInterceptRequest(fromWebResourceRequest);
                            } catch (InterruptedException e2) {
                                Log.e(ServiceWorkerManager.LOG_TAG, "", e2);
                                return null;
                            }
                        } else {
                            shouldInterceptRequest = null;
                        }
                        if (shouldInterceptRequest != null) {
                            String contentType = shouldInterceptRequest.getContentType();
                            String contentEncoding = shouldInterceptRequest.getContentEncoding();
                            byte[] data = shouldInterceptRequest.getData();
                            Map<String, String> headers = shouldInterceptRequest.getHeaders();
                            Integer statusCode = shouldInterceptRequest.getStatusCode();
                            String reasonPhrase = shouldInterceptRequest.getReasonPhrase();
                            ByteArrayInputStream byteArrayInputStream = data != null ? new ByteArrayInputStream(data) : null;
                            return (statusCode == null || reasonPhrase == null) ? new WebResourceResponse(contentType, contentEncoding, byteArrayInputStream) : new WebResourceResponse(contentType, contentEncoding, statusCode.intValue(), reasonPhrase, headers, byteArrayInputStream);
                        }
                        return null;
                    }
                };
            }
            x xVar = (x) jVar;
            H.f3512h.getClass();
            if (hVar == null) {
                if (xVar.f3561a == null) {
                    xVar.f3561a = AbstractC0277g.g();
                }
                AbstractC0277g.p(xVar.f3561a, null);
                return;
            }
            if (xVar.f3561a == null) {
                xVar.f3561a = AbstractC0277g.g();
            }
            AbstractC0277g.q(xVar.f3561a, hVar);
        }
    }
}
