package com.pichillilorenzo.flutter_inappwebview_android.webview;

import Q.k;
import Q0.l;
import Q0.n;
import Q0.o;
import android.content.Context;
import android.content.pm.PackageInfo;
import android.net.Uri;
import android.os.Build;
import android.os.Message;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.ValueCallback;
import android.webkit.WebSettings;
import android.webkit.WebView;
import com.pichillilorenzo.flutter_inappwebview_android.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl;
import com.pichillilorenzo.flutter_inappwebview_android.webview.in_app_webview.FlutterWebView;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import l0.d;
import l0.y;
import m0.AbstractC0280j;
import m0.C0272b;
import m0.H;
import m0.J;
/* loaded from: classes.dex */
public class InAppWebViewManager extends ChannelDelegateImpl {
    protected static final String LOG_TAG = "InAppWebViewManager";
    public static final String METHOD_CHANNEL_NAME = "com.pichillilorenzo/flutter_inappwebview_manager";
    public final Map<String, FlutterWebView> keepAliveWebViews;
    public InAppWebViewFlutterPlugin plugin;
    public int windowAutoincrementId;
    public final Map<Integer, Message> windowWebViewMessages;

    public InAppWebViewManager(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        super(new o(inAppWebViewFlutterPlugin.messenger, METHOD_CHANNEL_NAME));
        this.keepAliveWebViews = new HashMap();
        this.windowWebViewMessages = new HashMap();
        this.windowAutoincrementId = 0;
        this.plugin = inAppWebViewFlutterPlugin;
    }

    public void clearAllCache(Context context, boolean z2) {
        WebView webView = new WebView(context);
        webView.clearCache(z2);
        webView.destroy();
    }

    public Map<String, Object> convertWebViewPackageToMap(PackageInfo packageInfo) {
        HashMap hashMap = new HashMap();
        hashMap.put("versionName", packageInfo.versionName);
        hashMap.put("packageName", packageInfo.packageName);
        return hashMap;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        super.dispose();
        for (FlutterWebView flutterWebView : this.keepAliveWebViews.values()) {
            String str = flutterWebView.keepAliveId;
            if (str != null) {
                disposeKeepAlive(str);
            }
        }
        this.keepAliveWebViews.clear();
        this.windowWebViewMessages.clear();
        this.plugin = null;
    }

    public void disposeKeepAlive(String str) {
        ViewGroup viewGroup;
        FlutterWebView flutterWebView = this.keepAliveWebViews.get(str);
        if (flutterWebView != null) {
            flutterWebView.keepAliveId = null;
            View view = flutterWebView.getView();
            if (view != null && (viewGroup = (ViewGroup) view.getParent()) != null) {
                viewGroup.removeView(view);
            }
            flutterWebView.dispose();
        }
        if (this.keepAliveWebViews.containsKey(str)) {
            this.keepAliveWebViews.put(str, null);
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.IChannelDelegate, Q0.m
    public void onMethodCall(l lVar, final n nVar) {
        Object variationsHeader;
        Uri safeBrowsingPrivacyPolicyUrl;
        Context context;
        PackageInfo packageInfo;
        String str = lVar.f1112a;
        str.getClass();
        Map<String, Object> map = null;
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1496477679:
                if (str.equals("disableWebView")) {
                    c2 = 0;
                    break;
                }
                break;
            case -910403233:
                if (str.equals("setWebContentsDebuggingEnabled")) {
                    c2 = 1;
                    break;
                }
                break;
            case -633518365:
                if (str.equals("getVariationsHeader")) {
                    c2 = 2;
                    break;
                }
                break;
            case -436220260:
                if (str.equals("clearClientCertPreferences")) {
                    c2 = 3;
                    break;
                }
                break;
            case 258673215:
                if (str.equals("getSafeBrowsingPrivacyPolicyUrl")) {
                    c2 = 4;
                    break;
                }
                break;
            case 426229521:
                if (str.equals("setSafeBrowsingAllowlist")) {
                    c2 = 5;
                    break;
                }
                break;
            case 643643439:
                if (str.equals("getDefaultUserAgent")) {
                    c2 = 6;
                    break;
                }
                break;
            case 1033609166:
                if (str.equals("clearAllCache")) {
                    c2 = 7;
                    break;
                }
                break;
            case 1586319888:
                if (str.equals("getCurrentWebViewPackage")) {
                    c2 = '\b';
                    break;
                }
                break;
            case 1667434977:
                if (str.equals("isMultiProcessEnabled")) {
                    c2 = '\t';
                    break;
                }
                break;
            case 1867011305:
                if (str.equals("disposeKeepAlive")) {
                    c2 = '\n';
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                if (Build.VERSION.SDK_INT >= 28) {
                    WebView.disableWebView();
                }
                variationsHeader = Boolean.TRUE;
                nVar.success(variationsHeader);
                return;
            case 1:
                WebView.setWebContentsDebuggingEnabled(((Boolean) lVar.a("debuggingEnabled")).booleanValue());
                variationsHeader = Boolean.TRUE;
                nVar.success(variationsHeader);
                return;
            case 2:
                if (d.a("GET_VARIATIONS_HEADER")) {
                    Uri uri = y.f3313a;
                    if (H.f3502L.b()) {
                        variationsHeader = J.f3531a.getStatics().getVariationsHeader();
                        nVar.success(variationsHeader);
                        return;
                    }
                    throw H.a();
                }
                nVar.success(map);
                return;
            case 3:
                WebView.clearClientCertPreferences(new Runnable() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.InAppWebViewManager.1
                    @Override // java.lang.Runnable
                    public void run() {
                        nVar.success(Boolean.TRUE);
                    }
                });
                return;
            case 4:
                if (d.a("SAFE_BROWSING_PRIVACY_POLICY_URL")) {
                    Uri uri2 = y.f3313a;
                    C0272b c0272b = H.f3511g;
                    if (c0272b.a()) {
                        safeBrowsingPrivacyPolicyUrl = AbstractC0280j.b();
                    } else if (c0272b.b()) {
                        safeBrowsingPrivacyPolicyUrl = J.f3531a.getStatics().getSafeBrowsingPrivacyPolicyUrl();
                    } else {
                        throw H.a();
                    }
                    variationsHeader = safeBrowsingPrivacyPolicyUrl.toString();
                    nVar.success(variationsHeader);
                    return;
                }
                nVar.success(map);
                return;
            case 5:
                if (d.a("SAFE_BROWSING_ALLOWLIST")) {
                    y.f(new HashSet((List) lVar.a("hosts")), new ValueCallback<Boolean>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.InAppWebViewManager.2
                        @Override // android.webkit.ValueCallback
                        public void onReceiveValue(Boolean bool) {
                            nVar.success(bool);
                        }
                    });
                    return;
                }
                if (d.a("SAFE_BROWSING_WHITELIST")) {
                    ValueCallback<Boolean> valueCallback = new ValueCallback<Boolean>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.InAppWebViewManager.3
                        @Override // android.webkit.ValueCallback
                        public void onReceiveValue(Boolean bool) {
                            nVar.success(bool);
                        }
                    };
                    Uri uri3 = y.f3313a;
                    y.f(new HashSet((List) lVar.a("hosts")), valueCallback);
                    return;
                }
                variationsHeader = Boolean.FALSE;
                nVar.success(variationsHeader);
                return;
            case 6:
                InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin = this.plugin;
                if (inAppWebViewFlutterPlugin != null) {
                    variationsHeader = WebSettings.getDefaultUserAgent(inAppWebViewFlutterPlugin.applicationContext);
                    nVar.success(variationsHeader);
                    return;
                }
                nVar.success(map);
                return;
            case k.DOUBLE_FIELD_NUMBER /* 7 */:
                InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin2 = this.plugin;
                if (inAppWebViewFlutterPlugin2 != null) {
                    Context context2 = inAppWebViewFlutterPlugin2.activity;
                    if (context2 == null) {
                        context2 = inAppWebViewFlutterPlugin2.applicationContext;
                    }
                    if (context2 != null) {
                        clearAllCache(context2, ((Boolean) lVar.a("includeDiskFiles")).booleanValue());
                    }
                }
                variationsHeader = Boolean.TRUE;
                nVar.success(variationsHeader);
                return;
            case k.BYTES_FIELD_NUMBER /* 8 */:
                InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin3 = this.plugin;
                if (inAppWebViewFlutterPlugin3 != null) {
                    context = inAppWebViewFlutterPlugin3.activity;
                    if (context == null) {
                        context = inAppWebViewFlutterPlugin3.applicationContext;
                    }
                } else {
                    context = null;
                }
                if (context != null) {
                    packageInfo = y.b(context);
                } else {
                    packageInfo = null;
                }
                if (packageInfo != null) {
                    map = convertWebViewPackageToMap(packageInfo);
                }
                nVar.success(map);
                return;
            case '\t':
                if (d.a("MULTI_PROCESS")) {
                    Uri uri4 = y.f3313a;
                    if (H.f3496F.b()) {
                        variationsHeader = Boolean.valueOf(J.f3531a.getStatics().isMultiProcessEnabled());
                        nVar.success(variationsHeader);
                        return;
                    }
                    throw H.a();
                }
                variationsHeader = Boolean.FALSE;
                nVar.success(variationsHeader);
                return;
            case '\n':
                String str2 = (String) lVar.a("keepAliveId");
                if (str2 != null) {
                    disposeKeepAlive(str2);
                }
                variationsHeader = Boolean.TRUE;
                nVar.success(variationsHeader);
                return;
            default:
                nVar.notImplemented();
                return;
        }
    }
}
