package com.pichillilorenzo.flutter_inappwebview_android.webview.web_message;

import A1.f;
import G1.a;
import Q0.n;
import Q0.o;
import android.net.Uri;
import android.webkit.ValueCallback;
import com.pichillilorenzo.flutter_inappwebview_android.types.Disposable;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebMessageCompatExt;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebMessagePort;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebMessagePortCompatExt;
import com.pichillilorenzo.flutter_inappwebview_android.webview.InAppWebViewInterface;
import com.pichillilorenzo.flutter_inappwebview_android.webview.in_app_webview.InAppWebView;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import l0.d;
import l0.p;
import l0.y;
import m0.AbstractC0276f;
import m0.C0285o;
import m0.D;
import m0.H;
/* loaded from: classes.dex */
public class WebMessageChannel implements Disposable {
    protected static final String LOG_TAG = "WebMessageChannel";
    public static final String METHOD_CHANNEL_NAME_PREFIX = "com.pichillilorenzo/flutter_inappwebview_web_message_channel_";
    public WebMessageChannelChannelDelegate channelDelegate;
    public final List<p> compatPorts;
    public String id;
    public final List<WebMessagePort> ports;
    public InAppWebViewInterface webView;

    public WebMessageChannel(String str, InAppWebViewInterface inAppWebViewInterface) {
        p[] pVarArr;
        this.id = str;
        this.channelDelegate = new WebMessageChannelChannelDelegate(this, new o(inAppWebViewInterface.getPlugin().messenger, f.n(METHOD_CHANNEL_NAME_PREFIX, str)));
        if (inAppWebViewInterface instanceof InAppWebView) {
            Uri uri = y.f3313a;
            H.f3526w.getClass();
            android.webkit.WebMessagePort[] c2 = AbstractC0276f.c((InAppWebView) inAppWebViewInterface);
            if (c2 == null) {
                pVarArr = null;
            } else {
                p[] pVarArr2 = new p[c2.length];
                for (int i2 = 0; i2 < c2.length; i2++) {
                    pVarArr2[i2] = new D(c2[i2]);
                }
                pVarArr = pVarArr2;
            }
            this.compatPorts = new ArrayList(Arrays.asList(pVarArr));
            this.ports = new ArrayList();
        } else {
            this.ports = Arrays.asList(new WebMessagePort("port1", this), new WebMessagePort("port2", this));
            this.compatPorts = new ArrayList();
        }
        this.webView = inAppWebViewInterface;
    }

    public void closeForInAppWebView(Integer num, n nVar) {
        if (this.webView != null && this.compatPorts.size() > 0 && d.a("WEB_MESSAGE_PORT_CLOSE")) {
            try {
                D d2 = (D) this.compatPorts.get(num.intValue());
                d2.getClass();
                H.f3523t.getClass();
                AbstractC0276f.a(d2.c());
                nVar.success(Boolean.TRUE);
                return;
            } catch (Exception e2) {
                nVar.error(LOG_TAG, e2.getMessage(), null);
                return;
            }
        }
        nVar.success(Boolean.TRUE);
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        if (d.a("WEB_MESSAGE_PORT_CLOSE")) {
            Iterator<p> it = this.compatPorts.iterator();
            while (it.hasNext()) {
                try {
                    D d2 = (D) it.next();
                    d2.getClass();
                    H.f3523t.getClass();
                    AbstractC0276f.a(d2.c());
                } catch (Exception unused) {
                }
            }
        }
        WebMessageChannelChannelDelegate webMessageChannelChannelDelegate = this.channelDelegate;
        if (webMessageChannelChannelDelegate != null) {
            webMessageChannelChannelDelegate.dispose();
            this.channelDelegate = null;
        }
        this.compatPorts.clear();
        this.webView = null;
    }

    public void initJsInstance(InAppWebViewInterface inAppWebViewInterface, final ValueCallback<WebMessageChannel> valueCallback) {
        if (inAppWebViewInterface != null) {
            inAppWebViewInterface.evaluateJavascript(f.j(new StringBuilder("(function() {window.flutter_inappwebview._webMessageChannels['"), this.id, "'] = new MessageChannel();})();"), null, new ValueCallback<String>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.web_message.WebMessageChannel.1
                @Override // android.webkit.ValueCallback
                public void onReceiveValue(String str) {
                    valueCallback.onReceiveValue(this);
                }
            });
        } else {
            valueCallback.onReceiveValue(this);
        }
    }

    public void onMessage(int i2, WebMessageCompatExt webMessageCompatExt) {
        WebMessageChannelChannelDelegate webMessageChannelChannelDelegate = this.channelDelegate;
        if (webMessageChannelChannelDelegate != null) {
            webMessageChannelChannelDelegate.onMessage(i2, webMessageCompatExt);
        }
    }

    public void postMessageForInAppWebView(Integer num, WebMessageCompatExt webMessageCompatExt, n nVar) {
        l0.n nVar2;
        String str;
        if (this.webView != null && this.compatPorts.size() > 0 && d.a("WEB_MESSAGE_PORT_POST_MESSAGE")) {
            p pVar = this.compatPorts.get(num.intValue());
            ArrayList arrayList = new ArrayList();
            List<WebMessagePortCompatExt> ports = webMessageCompatExt.getPorts();
            if (ports != null) {
                for (WebMessagePortCompatExt webMessagePortCompatExt : ports) {
                    WebMessageChannel webMessageChannel = this.webView.getWebMessageChannels().get(webMessagePortCompatExt.getWebMessageChannelId());
                    if (webMessageChannel != null) {
                        arrayList.add(webMessageChannel.compatPorts.get(webMessagePortCompatExt.getIndex()));
                    }
                }
            }
            Object data = webMessageCompatExt.getData();
            try {
                if (d.a("WEB_MESSAGE_ARRAY_BUFFER") && data != null && webMessageCompatExt.getType() == 1) {
                    nVar2 = new l0.n((byte[]) data, (p[]) arrayList.toArray(new p[0]));
                } else {
                    if (data != null) {
                        str = data.toString();
                    } else {
                        str = null;
                    }
                    nVar2 = new l0.n(str, (p[]) arrayList.toArray(new p[0]));
                }
                pVar.a(nVar2);
                nVar.success(Boolean.TRUE);
                return;
            } catch (Exception e2) {
                nVar.error(LOG_TAG, e2.getMessage(), null);
                return;
            }
        }
        nVar.success(Boolean.TRUE);
    }

    public void setWebMessageCallbackForInAppWebView(final int i2, n nVar) {
        if (this.webView != null && this.compatPorts.size() > 0 && d.a("WEB_MESSAGE_PORT_SET_MESSAGE_CALLBACK")) {
            p pVar = this.compatPorts.get(i2);
            try {
                l0.o oVar = new l0.o() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.web_message.WebMessageChannel.2
                    @Override // l0.o
                    public void onMessage(p pVar2, l0.n nVar2) {
                        WebMessageCompatExt webMessageCompatExt;
                        WebMessageChannel webMessageChannel = this;
                        int i3 = i2;
                        if (nVar2 != null) {
                            webMessageCompatExt = WebMessageCompatExt.fromMapWebMessageCompat(nVar2);
                        } else {
                            webMessageCompatExt = null;
                        }
                        webMessageChannel.onMessage(i3, webMessageCompatExt);
                    }
                };
                D d2 = (D) pVar;
                d2.getClass();
                if (H.f3525v.b()) {
                    d2.b().setWebMessageCallback(new a(new C0285o(1, oVar)));
                } else {
                    AbstractC0276f.l(d2.c(), oVar);
                }
                nVar.success(Boolean.TRUE);
                return;
            } catch (Exception e2) {
                nVar.error(LOG_TAG, e2.getMessage(), null);
                return;
            }
        }
        nVar.success(Boolean.TRUE);
    }

    public Map<String, Object> toMap() {
        HashMap hashMap = new HashMap();
        hashMap.put("id", this.id);
        return hashMap;
    }
}
