package com.pichillilorenzo.flutter_inappwebview_android.webview.web_message;

import G1.a;
import Q0.f;
import Q0.o;
import android.net.Uri;
import android.text.TextUtils;
import android.webkit.WebView;
import com.pichillilorenzo.flutter_inappwebview_android.Util;
import com.pichillilorenzo.flutter_inappwebview_android.types.Disposable;
import com.pichillilorenzo.flutter_inappwebview_android.types.PluginScript;
import com.pichillilorenzo.flutter_inappwebview_android.types.UserScriptInjectionTime;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebMessageCompatExt;
import com.pichillilorenzo.flutter_inappwebview_android.webview.InAppWebViewInterface;
import com.pichillilorenzo.flutter_inappwebview_android.webview.in_app_webview.InAppWebView;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import l0.AbstractC0257a;
import l0.d;
import l0.n;
import l0.x;
import m0.C0270C;
import m0.H;
import m0.t;
/* loaded from: classes.dex */
public class WebMessageListener implements Disposable {
    static final /* synthetic */ boolean $assertionsDisabled = false;
    protected static final String LOG_TAG = "WebMessageListener";
    public static final String METHOD_CHANNEL_NAME_PREFIX = "com.pichillilorenzo/flutter_inappwebview_web_message_listener_";
    public Set<String> allowedOriginRules;
    public WebMessageListenerChannelDelegate channelDelegate;
    public String id;
    public String jsObjectName;
    public x listener;
    public AbstractC0257a replyProxy;
    public InAppWebViewInterface webView;

    public WebMessageListener(String str, InAppWebViewInterface inAppWebViewInterface, f fVar, String str2, Set<String> set) {
        this.id = str;
        this.webView = inAppWebViewInterface;
        this.jsObjectName = str2;
        this.allowedOriginRules = set;
        this.channelDelegate = new WebMessageListenerChannelDelegate(this, new o(fVar, METHOD_CHANNEL_NAME_PREFIX + this.id + "_" + this.jsObjectName));
        if (this.webView instanceof InAppWebView) {
            this.listener = new x() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.web_message.WebMessageListener.1
                @Override // l0.x
                public void onPostMessage(WebView webView, n nVar, Uri uri, boolean z2, AbstractC0257a abstractC0257a) {
                    String uri2;
                    WebMessageListener webMessageListener = WebMessageListener.this;
                    webMessageListener.replyProxy = abstractC0257a;
                    WebMessageListenerChannelDelegate webMessageListenerChannelDelegate = webMessageListener.channelDelegate;
                    if (webMessageListenerChannelDelegate != null) {
                        WebMessageCompatExt fromMapWebMessageCompat = WebMessageCompatExt.fromMapWebMessageCompat(nVar);
                        if (uri.toString().equals("null")) {
                            uri2 = null;
                        } else {
                            uri2 = uri.toString();
                        }
                        webMessageListenerChannelDelegate.onPostMessage(fromMapWebMessageCompat, uri2, z2);
                    }
                }
            };
        }
    }

    public static WebMessageListener fromMap(InAppWebViewInterface inAppWebViewInterface, f fVar, Map<String, Object> map) {
        if (map == null) {
            return null;
        }
        return new WebMessageListener((String) map.get("id"), inAppWebViewInterface, fVar, (String) map.get("jsObjectName"), new HashSet((List) map.get("allowedOriginRules")));
    }

    public void assertOriginRulesValid() {
        int i2 = 0;
        for (String str : this.allowedOriginRules) {
            if (str != null) {
                if (!str.isEmpty()) {
                    if (!"*".equals(str)) {
                        Uri parse = Uri.parse(str);
                        String scheme = parse.getScheme();
                        String host = parse.getHost();
                        String path = parse.getPath();
                        int port = parse.getPort();
                        if (scheme != null) {
                            if ((!"http".equals(scheme) && !"https".equals(scheme)) || (host != null && !host.isEmpty())) {
                                if (!"http".equals(scheme) && !"https".equals(scheme) && (host != null || port != -1)) {
                                    throw new Exception(A1.f.i("allowedOriginRules ", str, " is invalid"));
                                }
                                if ((host != null && !host.isEmpty()) || port == -1) {
                                    if (path.isEmpty()) {
                                        if (host != null) {
                                            int indexOf = host.indexOf("*");
                                            if (indexOf == 0 && (indexOf != 0 || host.startsWith("*."))) {
                                                if (host.startsWith("[")) {
                                                    if (host.endsWith("]")) {
                                                        if (!Util.isIPv6(host.substring(1, host.length() - 1))) {
                                                            throw new Exception(A1.f.i("allowedOriginRules ", str, " is invalid"));
                                                        }
                                                    } else {
                                                        throw new Exception(A1.f.i("allowedOriginRules ", str, " is invalid"));
                                                    }
                                                }
                                            } else {
                                                throw new Exception(A1.f.i("allowedOriginRules ", str, " is invalid"));
                                            }
                                        }
                                        i2++;
                                    } else {
                                        throw new Exception(A1.f.i("allowedOriginRules ", str, " is invalid"));
                                    }
                                } else {
                                    throw new Exception(A1.f.i("allowedOriginRules ", str, " is invalid"));
                                }
                            } else {
                                throw new Exception(A1.f.i("allowedOriginRules ", str, " is invalid"));
                            }
                        } else {
                            throw new Exception(A1.f.i("allowedOriginRules ", str, " is invalid"));
                        }
                    }
                } else {
                    throw new Exception("allowedOriginRules[" + i2 + "] is empty");
                }
            } else {
                throw new Exception("allowedOriginRules[" + i2 + "] is null");
            }
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        WebMessageListenerChannelDelegate webMessageListenerChannelDelegate = this.channelDelegate;
        if (webMessageListenerChannelDelegate != null) {
            webMessageListenerChannelDelegate.dispose();
            this.channelDelegate = null;
        }
        this.listener = null;
        this.replyProxy = null;
        this.webView = null;
    }

    public void initJsInstance() {
        String str;
        String sb;
        if (this.webView != null) {
            String replaceAll = Util.replaceAll(this.jsObjectName, "'", "\\'");
            ArrayList arrayList = new ArrayList();
            for (String str2 : this.allowedOriginRules) {
                if ("*".equals(str2)) {
                    sb = "'*'";
                } else {
                    Uri parse = Uri.parse(str2);
                    Object obj = "null";
                    if (parse.getHost() == null) {
                        str = "null";
                    } else {
                        str = "'" + Util.replaceAll(parse.getHost(), "'", "\\'") + "'";
                    }
                    StringBuilder sb2 = new StringBuilder("{scheme: '");
                    sb2.append(parse.getScheme());
                    sb2.append("', host: ");
                    sb2.append(str);
                    sb2.append(", port: ");
                    if (parse.getPort() != -1) {
                        obj = Integer.valueOf(parse.getPort());
                    }
                    sb2.append(obj);
                    sb2.append("}");
                    sb = sb2.toString();
                }
                arrayList.add(sb);
            }
            String join = TextUtils.join(", ", arrayList);
            StringBuilder sb3 = new StringBuilder("(function() {  var allowedOriginRules = [");
            sb3.append(join);
            sb3.append("];  var isPageBlank = window.location.href === 'about:blank';  var scheme = !isPageBlank ? window.location.protocol.replace(':', '') : null;  var host = !isPageBlank ? window.location.hostname : null;  var port = !isPageBlank ? window.location.port : null;  if (window.flutter_inappwebview._isOriginAllowed(allowedOriginRules, scheme, host, port)) {      window['");
            sb3.append(replaceAll);
            sb3.append("'] = new FlutterInAppWebViewWebMessageListener('");
            String j = A1.f.j(sb3, replaceAll, "');  }})();");
            this.webView.getUserContentController().addPluginScript(new PluginScript("WebMessageListener-" + this.jsObjectName, j, UserScriptInjectionTime.AT_DOCUMENT_START, null, $assertionsDisabled, null));
        }
    }

    /* JADX WARN: Can't wrap try/catch for region: R(13:17|(2:72|(1:74)(1:75))(1:21)|(2:69|(1:71))(1:24)|25|(8:29|30|31|32|33|(1:63)(1:48)|(1:50)|(2:56|57))|68|31|32|33|(1:35)|63|(0)|(1:62)(4:52|54|56|57)) */
    /* JADX WARN: Removed duplicated region for block: B:64:0x00ef  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean isOriginAllowed(String str, String str2, int i2) {
        String str3;
        boolean equals;
        Iterator<String> it = this.allowedOriginRules.iterator();
        while (true) {
            boolean hasNext = it.hasNext();
            boolean z2 = $assertionsDisabled;
            if (!hasNext) {
                return $assertionsDisabled;
            }
            String next = it.next();
            if ("*".equals(next)) {
                return true;
            }
            if (str != null && !str.isEmpty() && (!str.isEmpty() || ((str2 != null && !str2.isEmpty()) || (i2 != 0 && i2 != -1)))) {
                Uri parse = Uri.parse(next);
                int i3 = 80;
                int port = (parse.getPort() == -1 || parse.getPort() == 0) ? "https".equals(parse.getScheme()) ? 443 : 80 : parse.getPort();
                if (i2 != 0 && i2 != -1) {
                    i3 = i2;
                } else if ("https".equals(str)) {
                    i3 = 443;
                }
                String str4 = null;
                if (parse.getHost() != null && parse.getHost().startsWith("[")) {
                    try {
                        str3 = Util.normalizeIPv6(parse.getHost().substring(1, parse.getHost().length() - 1));
                    } catch (Exception unused) {
                    }
                    str4 = Util.normalizeIPv6(str2);
                    equals = parse.getScheme().equals(str);
                    boolean z3 = parse.getHost() != null || parse.getHost().isEmpty() || parse.getHost().equals(str2) || (parse.getHost().startsWith("*") && str2 != null && str2.contains(parse.getHost().split("\\*")[1])) || !(str4 == null || str3 == null || !str4.equals(str3));
                    if (port == i3) {
                        z2 = true;
                    }
                    if (equals && z3 && z2) {
                        return true;
                    }
                }
                str3 = null;
                str4 = Util.normalizeIPv6(str2);
                equals = parse.getScheme().equals(str);
                if (parse.getHost() != null) {
                }
                if (port == i3) {
                }
                if (equals) {
                    return true;
                }
                continue;
            }
        }
    }

    public void postMessageForInAppWebView(WebMessageCompatExt webMessageCompatExt, Q0.n nVar) {
        Object data;
        if (this.replyProxy != null && d.a("WEB_MESSAGE_LISTENER") && (data = webMessageCompatExt.getData()) != null) {
            if (d.a("WEB_MESSAGE_ARRAY_BUFFER") && webMessageCompatExt.getType() == 1) {
                byte[] bArr = (byte[]) data;
                t tVar = (t) this.replyProxy;
                tVar.getClass();
                if (H.f3524u.b()) {
                    tVar.f3556a.postMessageWithPayload(new a(new C0270C(bArr)));
                } else {
                    throw H.a();
                }
            } else {
                AbstractC0257a abstractC0257a = this.replyProxy;
                String obj = data.toString();
                t tVar2 = (t) abstractC0257a;
                tVar2.getClass();
                if (H.f3499I.b()) {
                    tVar2.f3556a.postMessage(obj);
                } else {
                    throw H.a();
                }
            }
        }
        nVar.success(Boolean.TRUE);
    }
}
