package v;

import android.app.Activity;
import android.app.AppOpsManager;
import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.net.Uri;
import android.os.Binder;
import android.os.Build;
import android.os.Environment;
import android.os.ParcelFileDescriptor;
import android.os.Process;
import android.os.StrictMode;
import android.text.TextUtils;
import android.util.Log;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Objects;
/* renamed from: v.f  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public abstract class AbstractC0422f {
    public static int a(Context context, String str) {
        if (str != null) {
            if (Build.VERSION.SDK_INT < 33 && TextUtils.equals("android.permission.POST_NOTIFICATIONS", str)) {
                if (o.a(new p(context).f4260a)) {
                    return 0;
                }
                return -1;
            }
            return context.checkPermission(str, Process.myPid(), Process.myUid());
        }
        throw new NullPointerException("permission must be non-null");
    }

    public static int b(Context context, String str) {
        int c2;
        int myPid = Process.myPid();
        int myUid = Process.myUid();
        String packageName = context.getPackageName();
        if (context.checkPermission(str, myPid, myUid) == -1) {
            return -1;
        }
        String d2 = AbstractC0425i.d(str);
        if (d2 != null) {
            if (packageName == null) {
                String[] packagesForUid = context.getPackageManager().getPackagesForUid(myUid);
                if (packagesForUid == null || packagesForUid.length <= 0) {
                    return -1;
                }
                packageName = packagesForUid[0];
            }
            int myUid2 = Process.myUid();
            String packageName2 = context.getPackageName();
            if (myUid2 == myUid && Objects.equals(packageName2, packageName)) {
                if (Build.VERSION.SDK_INT >= 29) {
                    AppOpsManager c3 = AbstractC0426j.c(context);
                    c2 = AbstractC0426j.a(c3, d2, Binder.getCallingUid(), packageName);
                    if (c2 == 0) {
                        c2 = AbstractC0426j.a(c3, d2, myUid, AbstractC0426j.b(context));
                    }
                } else {
                    c2 = AbstractC0425i.c((AppOpsManager) AbstractC0425i.a(context, AppOpsManager.class), d2, packageName);
                }
            } else {
                c2 = AbstractC0425i.c((AppOpsManager) AbstractC0425i.a(context, AppOpsManager.class), d2, packageName);
            }
            if (c2 != 0) {
                return -2;
            }
        }
        return 0;
    }

    public static void c(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (IOException unused) {
            }
        }
    }

    public static boolean d(File file, Resources resources, int i2) {
        InputStream inputStream;
        try {
            inputStream = resources.openRawResource(i2);
            try {
                boolean e2 = e(file, inputStream);
                c(inputStream);
                return e2;
            } catch (Throwable th) {
                th = th;
                c(inputStream);
                throw th;
            }
        } catch (Throwable th2) {
            th = th2;
            inputStream = null;
        }
    }

    public static boolean e(File file, InputStream inputStream) {
        FileOutputStream fileOutputStream;
        StrictMode.ThreadPolicy allowThreadDiskWrites = StrictMode.allowThreadDiskWrites();
        FileOutputStream fileOutputStream2 = null;
        try {
            try {
                fileOutputStream = new FileOutputStream(file, false);
            } catch (IOException e2) {
                e = e2;
            }
        } catch (Throwable th) {
            th = th;
        }
        try {
            byte[] bArr = new byte[1024];
            while (true) {
                int read = inputStream.read(bArr);
                if (read != -1) {
                    fileOutputStream.write(bArr, 0, read);
                } else {
                    c(fileOutputStream);
                    StrictMode.setThreadPolicy(allowThreadDiskWrites);
                    return true;
                }
            }
        } catch (IOException e3) {
            e = e3;
            fileOutputStream2 = fileOutputStream;
            Log.e("TypefaceCompatUtil", "Error copying resource contents to temp file: " + e.getMessage());
            c(fileOutputStream2);
            StrictMode.setThreadPolicy(allowThreadDiskWrites);
            return false;
        } catch (Throwable th2) {
            th = th2;
            fileOutputStream2 = fileOutputStream;
            c(fileOutputStream2);
            StrictMode.setThreadPolicy(allowThreadDiskWrites);
            throw th;
        }
    }

    public static String f(Context context, String str) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 31 && j(context, null, str)) {
            return str;
        }
        if (i2 < 29) {
            if (j(context, null, "android.permission.ACCESS_FINE_LOCATION")) {
                return "android.permission.ACCESS_FINE_LOCATION";
            }
            if (!j(context, null, "android.permission.ACCESS_COARSE_LOCATION")) {
                return null;
            }
            return "android.permission.ACCESS_COARSE_LOCATION";
        } else if (!j(context, null, "android.permission.ACCESS_FINE_LOCATION")) {
            return null;
        } else {
            return "android.permission.ACCESS_FINE_LOCATION";
        }
    }

    public static int g(Activity activity, String str) {
        if (activity == null) {
            return 0;
        }
        boolean z2 = activity.getSharedPreferences(str, 0).getBoolean("sp_permission_handler_permission_was_denied_before", false);
        boolean m2 = m(activity, str);
        if (z2) {
            if (!m2) {
                m2 = true;
            } else {
                m2 = false;
            }
        }
        if (!z2 && m2) {
            activity.getSharedPreferences(str, 0).edit().putBoolean("sp_permission_handler_permission_was_denied_before", true).apply();
        }
        if (!z2 || !m2) {
            return 0;
        }
        return 4;
    }

    /* JADX WARN: Code restructure failed: missing block: B:107:0x0145, code lost:
        if (j(r6, r0, "android.permission.RECEIVE_MMS") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:110:0x014f, code lost:
        if (j(r6, r0, "android.permission.BODY_SENSORS") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:115:0x015d, code lost:
        if (j(r6, r0, "android.permission.READ_MEDIA_IMAGES") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0028, code lost:
        if (j(r6, r0, "android.permission.BODY_SENSORS_BACKGROUND") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x002a, code lost:
        r0.add(r7);
     */
    /* JADX WARN: Code restructure failed: missing block: B:143:0x01bc, code lost:
        if (j(r6, r0, "android.permission.ANSWER_PHONE_CALLS") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:146:0x01c6, code lost:
        if (j(r6, r0, "android.permission.RECORD_AUDIO") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0035, code lost:
        if (j(r6, r0, "android.permission.SCHEDULE_EXACT_ALARM") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:154:0x01d8, code lost:
        if (j(r6, r0, "android.permission.ACCESS_BACKGROUND_LOCATION") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:160:0x01ed, code lost:
        if (j(r6, r0, "android.permission.ACCESS_FINE_LOCATION") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:169:0x020d, code lost:
        if (j(r6, r0, "android.permission.GET_ACCOUNTS") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:172:0x0217, code lost:
        if (j(r6, r0, "android.permission.CAMERA") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0042, code lost:
        if (j(r6, r0, "android.permission.READ_MEDIA_AUDIO") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x004f, code lost:
        if (j(r6, r0, "android.permission.READ_MEDIA_VIDEO") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x005c, code lost:
        if (j(r6, r0, "android.permission.NEARBY_WIFI_DEVICES") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x0069, code lost:
        if (r6 != null) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x0077, code lost:
        if (r6 != null) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0084, code lost:
        if (r6 != null) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x008d, code lost:
        if (j(r6, r0, "android.permission.ACCESS_NOTIFICATION_POLICY") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x0096, code lost:
        if (j(r6, r0, "android.permission.REQUEST_INSTALL_PACKAGES") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x009f, code lost:
        if (j(r6, r0, "android.permission.SYSTEM_ALERT_WINDOW") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x00ae, code lost:
        if (j(r6, r0, "android.permission.MANAGE_EXTERNAL_STORAGE") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x00b8, code lost:
        if (j(r6, r0, "android.permission.BLUETOOTH") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:67:0x00c7, code lost:
        if (j(r6, r0, "android.permission.ACTIVITY_RECOGNITION") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:73:0x00d6, code lost:
        if (j(r6, r0, "android.permission.ACCESS_MEDIA_LOCATION") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:78:0x00e4, code lost:
        if (j(r6, r0, "android.permission.POST_NOTIFICATIONS") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:81:0x00ee, code lost:
        if (j(r6, r0, "android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS") != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:90:0x0107, code lost:
        if (r7 != false) goto L75;
     */
    /* JADX WARN: Code restructure failed: missing block: B:92:0x010f, code lost:
        if (j(r6, r0, "android.permission.WRITE_EXTERNAL_STORAGE") != false) goto L10;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static ArrayList h(Context context, int i2) {
        String str;
        String str2;
        boolean isExternalStorageLegacy;
        ArrayList arrayList = new ArrayList();
        switch (i2) {
            case 0:
            case 37:
                if (j(context, arrayList, "android.permission.WRITE_CALENDAR")) {
                    arrayList.add("android.permission.WRITE_CALENDAR");
                }
                if (j(context, arrayList, "android.permission.READ_CALENDAR")) {
                    str = "android.permission.READ_CALENDAR";
                    arrayList.add(str);
                    break;
                }
                break;
            case 1:
                str2 = "android.permission.CAMERA";
                break;
            case 2:
                if (j(context, arrayList, "android.permission.READ_CONTACTS")) {
                    arrayList.add("android.permission.READ_CONTACTS");
                }
                if (j(context, arrayList, "android.permission.WRITE_CONTACTS")) {
                    arrayList.add("android.permission.WRITE_CONTACTS");
                }
                str2 = "android.permission.GET_ACCOUNTS";
                break;
            case 3:
            case 4:
            case 5:
                if (i2 == 4 && Build.VERSION.SDK_INT >= 29) {
                    str2 = "android.permission.ACCESS_BACKGROUND_LOCATION";
                    break;
                } else {
                    if (j(context, arrayList, "android.permission.ACCESS_COARSE_LOCATION")) {
                        arrayList.add("android.permission.ACCESS_COARSE_LOCATION");
                    }
                    str2 = "android.permission.ACCESS_FINE_LOCATION";
                    break;
                }
            case 6:
            case 11:
            case 20:
                return null;
            case Q.k.DOUBLE_FIELD_NUMBER /* 7 */:
            case 14:
                str2 = "android.permission.RECORD_AUDIO";
                break;
            case Q.k.BYTES_FIELD_NUMBER /* 8 */:
                if (j(context, arrayList, "android.permission.READ_PHONE_STATE")) {
                    arrayList.add("android.permission.READ_PHONE_STATE");
                }
                int i3 = Build.VERSION.SDK_INT;
                if (i3 > 29 && j(context, arrayList, "android.permission.READ_PHONE_NUMBERS")) {
                    arrayList.add("android.permission.READ_PHONE_NUMBERS");
                }
                if (j(context, arrayList, "android.permission.CALL_PHONE")) {
                    arrayList.add("android.permission.CALL_PHONE");
                }
                if (j(context, arrayList, "android.permission.READ_CALL_LOG")) {
                    arrayList.add("android.permission.READ_CALL_LOG");
                }
                if (j(context, arrayList, "android.permission.WRITE_CALL_LOG")) {
                    arrayList.add("android.permission.WRITE_CALL_LOG");
                }
                if (j(context, arrayList, "com.android.voicemail.permission.ADD_VOICEMAIL")) {
                    arrayList.add("com.android.voicemail.permission.ADD_VOICEMAIL");
                }
                if (j(context, arrayList, "android.permission.USE_SIP")) {
                    arrayList.add("android.permission.USE_SIP");
                }
                if (i3 >= 26) {
                    str2 = "android.permission.ANSWER_PHONE_CALLS";
                    break;
                }
                break;
            case 9:
                if (Build.VERSION.SDK_INT >= 33) {
                    str2 = "android.permission.READ_MEDIA_IMAGES";
                    break;
                }
                break;
            case 12:
                str2 = "android.permission.BODY_SENSORS";
                break;
            case 13:
                if (j(context, arrayList, "android.permission.SEND_SMS")) {
                    arrayList.add("android.permission.SEND_SMS");
                }
                if (j(context, arrayList, "android.permission.RECEIVE_SMS")) {
                    arrayList.add("android.permission.RECEIVE_SMS");
                }
                if (j(context, arrayList, "android.permission.READ_SMS")) {
                    arrayList.add("android.permission.READ_SMS");
                }
                if (j(context, arrayList, "android.permission.RECEIVE_WAP_PUSH")) {
                    arrayList.add("android.permission.RECEIVE_WAP_PUSH");
                }
                str2 = "android.permission.RECEIVE_MMS";
                break;
            case 15:
                if (j(context, arrayList, "android.permission.READ_EXTERNAL_STORAGE")) {
                    arrayList.add("android.permission.READ_EXTERNAL_STORAGE");
                }
                int i4 = Build.VERSION.SDK_INT;
                if (i4 >= 29) {
                    if (i4 == 29) {
                        isExternalStorageLegacy = Environment.isExternalStorageLegacy();
                        break;
                    }
                }
                str2 = "android.permission.WRITE_EXTERNAL_STORAGE";
                break;
            case 16:
                str2 = "android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS";
                break;
            case 17:
                if (Build.VERSION.SDK_INT >= 33) {
                    str2 = "android.permission.POST_NOTIFICATIONS";
                    break;
                }
                break;
            case 18:
                if (Build.VERSION.SDK_INT < 29) {
                    return null;
                }
                str2 = "android.permission.ACCESS_MEDIA_LOCATION";
                break;
            case 19:
                if (Build.VERSION.SDK_INT < 29) {
                    return null;
                }
                str2 = "android.permission.ACTIVITY_RECOGNITION";
                break;
            case 21:
                str2 = "android.permission.BLUETOOTH";
                break;
            case 22:
                if (Build.VERSION.SDK_INT >= 30) {
                    str2 = "android.permission.MANAGE_EXTERNAL_STORAGE";
                    break;
                }
                break;
            case 23:
                str2 = "android.permission.SYSTEM_ALERT_WINDOW";
                break;
            case 24:
                str2 = "android.permission.REQUEST_INSTALL_PACKAGES";
                break;
            case 27:
                str2 = "android.permission.ACCESS_NOTIFICATION_POLICY";
                break;
            case 28:
                if (Build.VERSION.SDK_INT >= 31) {
                    str = f(context, "android.permission.BLUETOOTH_SCAN");
                    break;
                }
                break;
            case 29:
                if (Build.VERSION.SDK_INT >= 31) {
                    str = f(context, "android.permission.BLUETOOTH_ADVERTISE");
                    break;
                }
                break;
            case 30:
                if (Build.VERSION.SDK_INT >= 31) {
                    str = f(context, "android.permission.BLUETOOTH_CONNECT");
                    break;
                }
                break;
            case 31:
                if (Build.VERSION.SDK_INT >= 33) {
                    str2 = "android.permission.NEARBY_WIFI_DEVICES";
                    break;
                }
                break;
            case 32:
                if (Build.VERSION.SDK_INT >= 33) {
                    str2 = "android.permission.READ_MEDIA_VIDEO";
                    break;
                }
                break;
            case 33:
                if (Build.VERSION.SDK_INT >= 33) {
                    str2 = "android.permission.READ_MEDIA_AUDIO";
                    break;
                }
                break;
            case 34:
                str2 = "android.permission.SCHEDULE_EXACT_ALARM";
                break;
            case 35:
                if (Build.VERSION.SDK_INT >= 33) {
                    str2 = "android.permission.BODY_SENSORS_BACKGROUND";
                    break;
                }
                break;
            case 36:
                if (j(context, arrayList, "android.permission.WRITE_CALENDAR")) {
                    arrayList.add("android.permission.WRITE_CALENDAR");
                    break;
                }
                break;
        }
        return arrayList;
    }

    public static File i(Context context) {
        File cacheDir = context.getCacheDir();
        if (cacheDir == null) {
            return null;
        }
        String str = ".font" + Process.myPid() + "-" + Process.myTid() + "-";
        for (int i2 = 0; i2 < 100; i2++) {
            File file = new File(cacheDir, str + i2);
            if (file.createNewFile()) {
                return file;
            }
        }
        return null;
    }

    public static boolean j(Context context, ArrayList arrayList, String str) {
        PackageInfo packageInfo;
        PackageManager.PackageInfoFlags of;
        if (arrayList != null) {
            try {
                Iterator it = arrayList.iterator();
                while (it.hasNext()) {
                    if (((String) it.next()).equals(str)) {
                        return true;
                    }
                }
            } catch (Exception e2) {
                Log.d("permissions_handler", "Unable to check manifest for permission: ", e2);
            }
        }
        if (context == null) {
            Log.d("permissions_handler", "Unable to detect current Activity or App Context.");
            return false;
        }
        PackageManager packageManager = context.getPackageManager();
        if (Build.VERSION.SDK_INT >= 33) {
            String packageName = context.getPackageName();
            of = PackageManager.PackageInfoFlags.of(4096L);
            packageInfo = packageManager.getPackageInfo(packageName, of);
        } else {
            packageInfo = packageManager.getPackageInfo(context.getPackageName(), 4096);
        }
        if (packageInfo == null) {
            Log.d("permissions_handler", "Unable to get Package info, will not be able to determine permissions to request.");
            return false;
        }
        Iterator it2 = new ArrayList(Arrays.asList(packageInfo.requestedPermissions)).iterator();
        while (it2.hasNext()) {
            if (((String) it2.next()).equals(str)) {
                return true;
            }
        }
        return false;
    }

    public static MappedByteBuffer k(Context context, Uri uri) {
        try {
            ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(uri, "r", null);
            if (openFileDescriptor == null) {
                if (openFileDescriptor != null) {
                    openFileDescriptor.close();
                }
                return null;
            }
            FileInputStream fileInputStream = new FileInputStream(openFileDescriptor.getFileDescriptor());
            FileChannel channel = fileInputStream.getChannel();
            MappedByteBuffer map = channel.map(FileChannel.MapMode.READ_ONLY, 0L, channel.size());
            fileInputStream.close();
            openFileDescriptor.close();
            return map;
        } catch (IOException unused) {
            return null;
        }
    }

    public static void l(Activity activity, String[] strArr, int i2) {
        String[] strArr2;
        HashSet hashSet = new HashSet();
        for (int i3 = 0; i3 < strArr.length; i3++) {
            if (!TextUtils.isEmpty(strArr[i3])) {
                if (Build.VERSION.SDK_INT < 33 && TextUtils.equals(strArr[i3], "android.permission.POST_NOTIFICATIONS")) {
                    hashSet.add(Integer.valueOf(i3));
                }
            } else {
                throw new IllegalArgumentException(A1.f.j(new StringBuilder("Permission request for permissions "), Arrays.toString(strArr), " must not contain null or empty values"));
            }
        }
        int size = hashSet.size();
        if (size > 0) {
            strArr2 = new String[strArr.length - size];
        } else {
            strArr2 = strArr;
        }
        if (size > 0) {
            if (size == strArr.length) {
                return;
            }
            int i4 = 0;
            for (int i5 = 0; i5 < strArr.length; i5++) {
                if (!hashSet.contains(Integer.valueOf(i5))) {
                    strArr2[i4] = strArr[i5];
                    i4++;
                }
            }
        }
        if (activity instanceof InterfaceC0421e) {
            ((InterfaceC0421e) activity).validateRequestPermissionsRequestCode(i2);
        }
        AbstractC0418b.b(activity, strArr, i2);
    }

    public static boolean m(Activity activity, String str) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 33 && TextUtils.equals("android.permission.POST_NOTIFICATIONS", str)) {
            return false;
        }
        if (i2 >= 32) {
            return AbstractC0420d.a(activity, str);
        }
        if (i2 == 31) {
            return AbstractC0419c.b(activity, str);
        }
        return AbstractC0418b.c(activity, str);
    }

    public static Integer n(HashSet hashSet) {
        if (hashSet.contains(4)) {
            return 4;
        }
        if (hashSet.contains(2)) {
            return 2;
        }
        if (hashSet.contains(0)) {
            return 0;
        }
        if (hashSet.contains(3)) {
            return 3;
        }
        return 1;
    }

    public static int o(Activity activity, String str, int i2) {
        if (i2 == -1) {
            return g(activity, str);
        }
        return 1;
    }
}
